linux (6.17.0-40.40) questing; urgency=medium

  * questing/linux: 6.17.0-40.40 -proposed tracker (LP: #2157631)

  * CVE-2026-43037
    - ip6_tunnel: clear skb2->cb[] in ip4ip6_err()

 -- Manuel Diewald <manuel.diewald@canonical.com>  Fri, 19 Jun 2026 15:57:33 +0200

linux (6.17.0-39.39) questing; urgency=medium

  * questing/linux: 6.17.0-39.39 -proposed tracker (LP: #2157145)

  * Packaging resync (LP: #1786013)
    - [Packaging] update annotations scripts

  * CVE-2026-45988
    - rxrpc: Fix re-decryption of RESPONSE packets

  * CVE-2026-46135
    - nvmet-tcp: fix race between ICReq handling and queue teardown

  * CVE-2026-46195
    - smb: client: validate dacloffset before building DACL pointers

  * CVE-2026-31402
    - nfsd: fix heap overflow in NFSv4.0 LOCK replay cache

  * CVE-2026-43378
    - smb: server: fix use-after-free in smb2_open()

  * CVE-2026-31657
    - batman-adv: hold claim backbone gateways by reference

  * CVE-2026-46266
    - inet: RAW sockets using IPPROTO_RAW MUST drop incoming ICMP

  * CVE-2026-46289
    - lib/scatterlist: fix length calculations in extract_kvec_to_sg

  * CVE-2026-31436
    - dmaengine: idxd: fix possible wrong descriptor completion in
      llist_abort_desc()

  * CVE-2026-31649
    - net: stmmac: fix integer underflow in chain mode

  * CVE-2026-31659
    - batman-adv: reject oversized global TT response buffers

  * CVE-2026-31448
    - ext4: avoid infinite loops caused by residual data

  * CVE-2026-43071
    - dcache: Limit the minimal number of bucket to two

  * CVE-2026-31478
    - ksmbd: replace hardcoded hdr2_len with offsetof() in
      smb2_calc_max_out_buf_len()

  * CVE-2026-31682
    - bridge: br_nd_send: linearize skb before parsing ND options

  * CVE-2026-43117
    - btrfs: tracepoints: get correct superblock from dentry in event
      btrfs_sync_file()

  * CVE-2026-31669
    - mptcp: fix slab-use-after-free in __inet_lookup_established

  * CVE-2026-46115
    - block: add pgmap check to biovec_phys_mergeable

  * CVE-2026-45898
    - RDMA/iwcm: Fix workqueue list corruption by removing work_list

  * CVE-2026-46244
    - netfilter: nft_inner: Fix IPv6 inner_thoff desync

  * CVE-2026-43493
    - crypto: pcrypt - Fix handling of MAY_BACKLOG requests

  * CVE-2026-43186
    - ipv6: ioam: fix heap buffer overflow in __ioam6_fill_trace_data()

  * CVE-2026-31685
    - netfilter: ip6t_eui64: reject invalid MAC header for all packets

  * CVE-2026-43114
    - netfilter: nft_set_pipapo_avx2: don't return non-matching entry on
      expiry

  * CVE-2026-46325
    - RDMA/rxe: Fix iova-to-va conversion for MR page sizes != PAGE_SIZE

  * CVE-2026-31668
    - seg6: separate dst_cache for input and output paths in seg6 lwtunnel

  * CVE-2026-43197
    - netconsole: avoid OOB reads, msg is not nul-terminated

  * CVE-2026-43083
    - net: ioam6: fix OOB and missing lock

  * CVE-2026-46043
    - RDMA/rxe: Validate pad and ICRC before payload_size() in rxe_rcv

  * CVE-2026-23428
    - ksmbd: fix use-after-free of share_conf in compound request

  * CVE-2026-23450
    - net/smc: fix NULL dereference and UAF in smc_tcp_syn_recv_sock()

  * CVE-2026-46185
    - smb/client: fix out-of-bounds read in symlink_data()

  * CVE-2026-23455
    - netfilter: nf_conntrack_h323: check for zero length in DecodeQ931()

  * CVE-2026-46119
    - libceph: Fix slab-out-of-bounds access in auth message processing

  * CVE-2026-46039
    - rxgk: Fix potential integer overflow in length check

  * CVE-2026-23427
    - ksmbd: fix use-after-free in durable v2 replay of active file handles

  * CVE-2026-31718
    - ksmbd: fix use-after-free in __ksmbd_close_fd() via durable scavenger

  * CVE-2026-31637
    - rxrpc: reject undecryptable rxkad response tickets

  * CVE-2026-43011
    - net/x25: Fix potential double free of skb

  * CVE-2026-43038
    - ipv6: icmp: clear skb2->cb[] in ip6_err_gen_icmpv6_unreach()

  * CVE-2026-31635
    - rxrpc: fix oversized RESPONSE authenticator length check

  * CVE-2026-43501
    - ipv6: rpl: reserve mac_len headroom when recompressed SRH grows

  * CVE-2026-43125
    - dlm: validate length in dlm_search_rsb_tree

  * CVE-2026-46316
    - KVM: arm64: vgic-its: Drop the translation cache reference only for the
      erased entry

  * CVE-2026-43185
    - ksmbd: fix signededness bug in smb_direct_prepare_negotiation()

  * CVE-2026-43341
    - net/ipv6: ioam6: prevent schema length wraparound in trace fill

  * CVE-2026-31607
    - usbip: validate number_of_packets in usbip_pack_ret_submit()

  * CVE-2026-43402
    - kthread: consolidate kthread exit paths to prevent use-after-free

  * CVE-2026-43384
    - net/tcp-ao: Fix MAC comparison to be constant-time

  * CVE-2026-43383
    - net/tcp-md5: Fix MAC comparison to be constant-time

  * CVE-2026-43376
    - ksmbd: fix use-after-free by using call_rcu() for oplock_info

  * CVE-2026-46243
    - smb: client: reject userspace cifs.spnego descriptions

  * CVE-2026-43414
    - scsi: qla2xxx: Completely fix fcport double free

  * CVE-2026-43407
    - libceph: Fix potential out-of-bounds access in ceph_handle_auth_reply()

  * CVE-2026-43406
    - libceph: prevent potential out-of-bounds reads in
      process_message_header()

  * CVE-2026-43304
    - libceph: define and enforce CEPH_MAX_KEY_LEN

  * CVE-2026-22984
    - libceph: prevent potential out-of-bounds reads in handle_auth_done()

 -- Manuel Diewald <manuel.diewald@canonical.com>  Thu, 18 Jun 2026 22:58:24 +0200

linux (6.17.0-38.38) questing; urgency=medium

  * questing/linux: 6.17.0-38.38 -proposed tracker (LP: #2154532)

  * Generic questing kernel oops on bootup with newer Nvidia machines
    (LP: #2154481)
    - nouveau: don't attempt fwsec on sb on newer platforms.

  * Kernel regression (6.8.0-117.generic) (LP: #2153556)
    - bonding: do not set usable_slaves for broadcast mode

  * powerpc-build in ubuntu_kernel_selftests fails to build due to
    uninitialized value (LP: #2129844)
    - selftests/powerpc: Suppress -Wmaybe-uninitialized with GCC 15

  * iptables connlimit traffic loss (LP: #2149872)
    - netfilter: nf_conncount: fix tracking of connections from localhost

  * On Dell system, the internal OLED display drops to a visibly low FPS after
    suspend/resume (LP: #2144712)
    - drm/i915/psr: Disable Panel Replay on Dell XPS 14 DA14260 as a quirk
    - drm/i915/psr: Fixes for Dell XPS DA14260 quirk

  * CVE-2026-23272
    - netfilter: nf_tables: unconditionally bump set->nelems before insertion

  * CVE-2026-31418
    - netfilter: ipset: drop logically empty buckets in mtype_del

  * CVE-2026-23392
    - netfilter: nf_tables: release flowtable after rcu grace period on error

  * CVE-2026-23278
    - netfilter: nf_tables: always walk all pending catchall elements

  * GRO managed-frag use-after-free leading to local privilege escalation
    (LP: #2154172)
    - net: gro: don't merge zcopy skbs

  * AppArmor Vulnerabilities  (LP: #2151747)
    - SAUCE: apparmor: pass big_resp to handler
    - SAUCE: apparmor: remove redundant kref_init for listener->count
    - SAUCE: apparmor: fix NULL pointer dereference in unpack_pdb

  * AppArmor Vulnerabilities  (LP: #2151747) // CVE-2026-47337
    - SAUCE: apparmor: fix NULL pointer dereference in bind_map_addr

  * AppArmor Vulnerabilities  (LP: #2151747) // CVE-2026-47334
    - SAUCE: apparmor: fix sleep prone memory allocation under a spin_lock

  * AppArmor Vulnerabilities  (LP: #2151747) // CVE-2026-47333
    - SAUCE: apparmor: fix dfa unpacking size of the notification filter

  * AppArmor Vulnerabilities  (LP: #2151747) // CVE-2026-47332
    - SAUCE: apparmor: fix size check against type instead of pointer

  * apparmor: LLVM/clang build failure due to uninitialized variable in
    notify.c (LP: #2148809) // CVE-2026-47330
    - SAUCE: apparmor: initialize variable used in uninitialized context

  * AppArmor Vulnerabilities  (LP: #2151747) // CVE-2026-47329
    - SAUCE: apparmor: fix name validation bypass on notification

  * AppArmor Vulnerabilities  (LP: #2151747) // CVE-2026-47327 //
    CVE-2026-47328
    - SAUCE: apparmor: fix glob memory leak after kstrdup

  * AppArmor Vulnerabilities  (LP: #2151747) // CVE-2026-47326
    - SAUCE: apparmor: fix inverted NULL check after aa_get_buffer

  * CVE-2026-46300
    - net: skbuff: preserve shared-frag marker during coalescing
    - net: skbuff: propagate shared-frag marker through frag-transfer helpers

  * net/rds: reset op_nents when zerocopy page pin fails (LP: #2153962)
    - net/rds: reset op_nents when zerocopy page pin fails

  * CVE-2026-46333
    - ptrace: slightly saner 'get_dumpable()' logic

  * CVE-2026-43500
    - rxrpc: Fix conn-level packet handling to unshare RESPONSE packets
    - rxrpc: Fix potential UAF after skb_unshare() failure
    - rxrpc: Fix rxrpc_input_call_event() to only unshare DATA packets
    - rxrpc: Also unshare DATA/RESPONSE packets when paged frags are present

  * CVE-2026-31676 // CVE-2026-43500
    - rxrpc: only handle RESPONSE during service challenge

  * CVE-2026-43284
    - xfrm: esp: avoid in-place decrypt on shared skb frags

  * CVE-2026-31419
    - net: bonding: fix use-after-free in bond_xmit_broadcast()

  * CVE-2026-31431
    - crypto: algif_aead - Revert to operating out-of-place
    - crypto: algif_aead - snapshot IV for async AEAD requests
    - crypto: authencesn - Do not place hiseq at end of dst for out-of-place
      decryption
    - crypto: authencesn - Fix src offset when decrypting in-place
    - crypto: af_alg - Fix page reassignment overflow in af_alg_pull_tsgl
    - crypto: algif_aead - Fix minimum RX size check for decryption

  * CVE-2026-31533
    - net/tls: fix use-after-free in -EBUSY error path of tls_do_encryption

  * CVE-2026-31504
    - net: fix fanout UAF in packet_release() via NETDEV_UP race

 -- Edoardo Canepa <edoardo.canepa@canonical.com>  Fri, 29 May 2026 03:41:15 +0200

linux (6.17.0-28.28) questing; urgency=medium

  * questing/linux: 6.17.0-28.28 -proposed tracker (LP: #2150051)

  * Linux kernel  6.17.0-22.22  breaks amdxdna (LP: #2149766)
    - Revert "iommu: disable SVA when CONFIG_X86 is set"

 -- Mehmet Basaran <mehmet.basaran@canonical.com>  Thu, 23 Apr 2026 00:20:25 +0300

linux (6.17.0-24.24) questing; urgency=medium

  * questing/linux: 6.17.0-24.24 -proposed tracker (LP: #2148025)

  * Remount ext4 to readonly with data=journal mode may dump call trace
    (LP: #2147400)
    - ext4: fix stale xarray tags after writeback

  * System hangs during stress-ng stack test (LP: #2137755)
    - mm, swap: fix swap cache index error when retrying reclaim

  * BUG: kernel NULL pointer dereference when starting VM inside a container
    (LP: #2147374)
    - apparmor: fix NULL pointer dereference in __unix_needs_revalidation

  * BUG: kernel NULL pointer dereference in amdgpu (LP: #2144577)
    - drm/amdgpu: validate the flush_gpu_tlb_pasid()
    - drm/amdgpu: Fix validating flush_gpu_tlb_pasid()

  * Jellyfin Desktop Flatpak doesn't work with the current AppArmor profile
    (LP: #2142956)
    - SAUCE: apparmor5.0.0 [53/57]: apparmor: fix af_unix local addr mediation
      binding

  * Fine grained network mediation was broken if v8/v9 was used (LP: #2142860)
    - SAUCE: apparmor5.0.0 [29/57]: apparmor: fix fine grained inet mediation
      sock_file_perm

  * Enable CirrusLogic audio solution CS42L45+CS35L63 on AMD and Intel PTL
    (LP: #2143104)
    - ASoC: amd: acp: Add ACP7.0 match entries for cs35l56 and cs42l43
    - ASoC: amd: acp: soc-acpi: add is_device_rt712_vb() helper
    - ASoC: amd: acp: Sort match table into most specific first
    - ASoC: amd: acp: Rename Cirrus Logic component match entries to include
      link and uid
    - ASoC: amd: acp: Sort Cirrus Logic match entries
    - ASoC: amd: acp: Add ACP7.0 match entries for Cirrus Logic parts
    - ASoC: amd: acp: Fix Kconfig dependencies for
      SND_SOC_ACPI_AMD_SDCA_QUIRKS
    - [Config] Enable SND_SOC_ACPI_AMD_SDCA_QUIRKS
    - soundwire: amd: add clock init control function
    - soundwire: amd: refactor bandwidth calculation logic

  * CVE-2026-23112
    - nvmet-tcp: add bounds checks in nvmet_tcp_build_pdu_iovec

  * Canonical Kmod 2025 key rotation (LP: #2147447)
    - [Packaging] ubuntu-compatible-signing -- make Ubuntu-Compatible-Signing
      extensible
    - [Packaging] ubuntu-compatible-signing -- allow consumption of positive
      certs
    - [Packaging] ubuntu-compatible-signing -- report the livepatch:2025 key
    - [Config] prepare for Canonical Kmod key rotation
    - [Packaging] ubuntu-compatible-signing -- report the kmod:2025 key
    - [Packaging] ensure our cert rollups are always fresh

  * Questing update: upstream stable patchset 2026-03-24 (LP: #2146193)
    - mptcp: fallback earlier on simult connection
    - mm: consider non-anon swap cache folios in folio_expected_ref_count()
    - mptcp: ensure context reset on disconnect()
    - wifi: mac80211: Discard Beacon frames to non-broadcast address
    - net: phy: mediatek: fix nvmem cell reference leak in
      mt798x_phy_calibration
    - drm/amdgpu: Forward VMID reservation errors
    - sched/fair: Small cleanup to sched_balance_newidle()
    - sched/fair: Small cleanup to update_newidle_cost()
    - sched/fair: Proportional newidle balance
    - Revert "iommu/amd: Skip enabling command/event buffers for kdump"
    - sched/proxy: Yield the donor task
    - drm: nova: depend on CONFIG_64BIT
    - sched/core: Add comment explaining force-idle vruntime snapshots
    - mm/huge_memory: merge uniform_split_supported() and
      non_uniform_split_supported()
    - drm/amdgpu: don't attach the tlb fence for SI
    - sched_ext: fix uninitialized ret on alloc_percpu() failure
    - idpf: fix LAN memory regions command on some NVMs
    - Bluetooth: MGMT: report BIS capability flags in supported settings
    - powerpc/tools: drop `-o pipefail` in gcc check scripts
    - net: airoha: Move net_devs registration in a dedicated routine
    - net: wangxun: move PHYLINK dependency
    - platform/x86/intel/pmt: Fix kobject memory leak on init failure
    - bng_en: update module description
    - mcb: Add missing modpost build support
    - net: mdio: rtl9300: use scoped for loops
    - tools/sched_ext: fix scx_show_state.py for scx_root change
    - platform/x86/intel/pmt/discovery: use valid device pointer in
      dev_err_probe
    - net: fib: restore ECMP balance from loopback
    - RDMA/mana_ib: check cqe length for kernel CQs
    - drm/gem-shmem: Fix the MODULE_LICENSE() string
    - kunit: Enforce task execution in {soft,hard}irq contexts
    - ublk: don't pass q_id to ublk_queue_cmd_buf_size()
    - ublk: implement NUMA-aware memory allocation
    - ublk: scan partition in async way
    - drm/xe/guc: READ/WRITE_ONCE g2h_fence->done
    - IB/rxe: Fix missing umem_odp->umem_mutex unlock on error path
    - hisi_acc_vfio_pci: Add .match_token_uuid callback in
      hisi_acc_vfio_pci_migrn_ops
    - mm, swap: do not perform synchronous discard during allocation
    - clk: qcom: mmcc-sdm660: Add missing MDSS reset
    - clk: qcom: Fix SM_VIDEOCC_6350 dependencies
    - [Config] set CONFIG_SM_GCC_6350, CONFIG_SM_VIDEOCC_6350 to '-'
    - clk: qcom: Fix dependencies of QCS_{DISP,GPU,VIDEO}CC_615
    - [Config] set CONFIG_QCS_{DISP,GPU,VIDEO}CC_615 to '-'
    - arm64: dts: ti: k3-am62d2-evm: Fix regulator properties
    - arm64: dts: ti: k3-am62d2-evm: Fix PMIC padconfig
    - arm64: dts: st: Add memory-region-names property for stm32mp257f-ev1
    - arm64: dts: qcom: sm6350: Fix wrong order of freq-table-hz for UFS
    - NFSD: Make FILE_SYNC WRITEs comply with spec
    - nvmet: pci-epf: move DMA initialization to EPC init callback
    - PCI: dwc: Add support for ELBI resource mapping
    - PCI: meson: Fix parsing the DBI register region
    - power: supply: max77705: Fix potential IRQ chip conflict when probing
      two devices
    - media: iris: Refine internal buffer reconfiguration logic for resolution
      change
    - LoongArch: Fix arch_dup_task_struct() for CONFIG_RANDSTRUCT
    - mm/damon/tests/core-kunit: fix memory leak in
      damon_test_set_filters_default_reject()
    - mm/damon/tests/core-kunit: handle alloc failures on
      damon_test_set_filters_default_reject()
    - mm/damon/tests/core-kunit: handle alloc failures on
      damos_test_filter_out()
    - af_unix: don't post cmsg for SO_INQ unless explicitly asked for
    - kernel/kexec: change the prototype of kimage_map_segment()
    - selftests/mm: fix thread state check in uffd-unit-tests
    - LoongArch: BPF: Save return address register ra to t0 before trampoline
    - LoongArch: BPF: Enable trampoline-based tracing for module functions
    - LoongArch: BPF: Adjust the jump offset of tail calls
    - platform/x86: samsung-galaxybook: Fix problematic pointer cast
    - platform/x86: alienware-wmi-wmax: Add support for new Area-51 laptops
    - platform/x86: alienware-wmi-wmax: Add AWCC support for Alienware x16
    - platform/x86: alienware-wmi-wmax: Add support for Alienware 16X Aurora
    - drm/amdgpu/sdma6: Update SDMA 6.0.3 FW version to include UMQ protected-
      fence fix
    - drm/rockchip: Set VOP for the DRM DMA device
    - drm/mediatek: mtk_hdmi: Fix probe device leaks
    - drm/mediatek: ovl_adaptor: Fix probe device leaks
    - drm/amd: Fix unbind/rebind for VCN 4.0.5
    - drm/rockchip: vop2: Use OVL_LAYER_SEL configuration instead of use
      win_mask calculate used layers
    - drm/bridge: ti-sn65dsi83: ignore PLL_UNLOCK errors
    - drm/nouveau/gsp: Allocate fwsec-sb at boot
    - drm/xe/eustall: Disallow 0 EU stall property values
    - drm/xe/svm: Fix a debug printout
    - powercap: intel_rapl: Add support for Wildcat Lake platform
    - powercap: intel_rapl: Add support for Nova Lake processors
    - LoongArch: BPF: Enhance the bpf_arch_text_poke() function
    - SAUCE: remove git merge section marker
    - Upstream stable to v6.12.65, v6.18.4

  * Questing update: upstream stable patchset 2026-03-24 (LP: #2146193) //
    CVE-2025-71141
    - drm/tilcdc: Fix removal actions in case of failed probe

  * Questing update: upstream stable patchset 2026-03-24 (LP: #2146193) //
    CVE-2025-71090
    - nfsd: fix nfsd_file reference leak in nfsd4_add_rdaccess_to_wrdeleg()

  * Questing update: upstream stable patchset 2026-03-24 (LP: #2146193) //
    CVE-2025-71139
    - kernel/kexec: fix IMA when allocation happens in CMA area

  * Questing update: upstream stable patchset 2026-03-24 (LP: #2146193) //
    CVE-2025-71152
    - net: dsa: properly keep track of conduit reference

  * Questing update: upstream stable patchset 2026-03-24 (LP: #2146193) //
    CVE-2025-71142
    - cpuset: fix warning when disabling remote partition

  * Questing update: upstream stable patchset 2026-03-24 (LP: #2146193) //
    CVE-2025-71155
    - KVM: s390: Fix gmap_helper_zap_one_page() again

  * Questing update: upstream stable patchset 2026-03-24 (LP: #2146193) //
    CVE-2025-71134
    - mm/page_alloc: change all pageblocks migrate type on coalescing

  * CVE-2026-23394
    - af_unix: Give up GC if MSG_PEEK intervened.

  * [SRU] MIPI camera is not working after upgrading to 6.17-oem
    (LP: #2145171)
    - SAUCE: ACPI: respect items already in honor_dep before skipping

  * ADATA SU680 causes repeated SATA resets and I/O errors on Ubuntu unless
    link power management is forced to max_performance (LP: #2144060)
    - ata: libata-core: disable LPM on ADATA SU680 SSD

  * [SRU] Fix for i915 PSR issue on SDC panels on Intel PTL (LP: #2144637)
    - drm/i915/psr: Panel Replay SU cap dpcd read return value
    - drm/i915/psr: Add panel granularity information into intel_connector
    - drm/i915/psr: Use SU granularity information available in
      intel_connector
    - drm/dp: Add definition for Panel Replay full-line granularity
    - drm/i915/psr: Fix for Panel Replay X granularity DPCD register handling

  * Got black screen after clicked logout button (LP: #2143100)
    - drm/i915/alpm: ALPM disable fixes

  * Dell Machines cannot boot into OS with 6.17.0-1012-oem (LP: #2144522)
    - drm/amd: Disable MES LR compute W/A
    - drm/amd: Set minimum version for set_hw_resource_1 on gfx11 to 0x52

  * [SRU] Duplicated entries in /proc/<pid>/mountinfo (LP: #2143083)
    - namespace: fix proc mount iteration

  * CVE-2026-23274
    - netfilter: xt_IDLETIMER: reject rev0 reuse of ALARM timer labels

  * macvlan: observe an RCU grace period in macvlan_common_newlink() error
    path (LP: #2144380) // CVE-2026-23209
    - macvlan: observe an RCU grace period in macvlan_common_newlink() error
      path

  * CVE-2026-23351
    - netfilter: nft_set_pipapo: split gc into unlink and reclaim phase

  * CVE-2026-23231
    - netfilter: nf_tables: fix use-after-free in nf_tables_addchain()

 -- Mehmet Basaran <mehmet.basaran@canonical.com>  Sun, 12 Apr 2026 04:26:46 +0300

linux (6.17.0-22.22) questing; urgency=medium

  * questing/linux: 6.17.0-22.22 -proposed tracker (LP: #2143428)

  * Questing preinstalled server fails to boot on QCS8300 based boards
    (LP: #2134400)
    - [Config] move qcom interconnect/pinctrl/gcc as built-in for QCS8300

  * TBT call trace while connecting TBT4 monitor on TBT5 port (LP: #2137613)
    - SAUCE: thunderbolt: log path activation failures without WARN backtraces

  * efi: Fix swapped arguments to bsearch() in efi_status_to_*() SAUCE patch
    (LP: #2141276)
    - SAUCE efi: Fix swapped arguments to bsearch() in efi_status_to_*()

  * [SRU]Fix xe GPU suspend/resume crash on Battlemage (LP: #2141377)
    - drm/xe: make xe_gt_idle_disable_c6() handle the forcewake internally

  * Accumulative updates for Intel PTL-H component enabling PV rev3.0
    (LP: #2137272)
    - drm/i915/display: Optimize panel power-on wait time
    - HID: intel-ish-hid: Use dedicated unbound workqueues to prevent resume
      blocking
    - drm/xe/guc: Recommend GUC v70.49.4 for PTL, BMG
    - HID: Intel-thc-hid: Intel-thc: Use str_true_false() helper
    - HID: intel-thc-hid: intel-quicki2c: support ACPI config for advanced
      features
    - usb: typec: ucsi: Add SET_POWER_LEVEL UCSI command to debugfs

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250)
    - bpf: Fix sleepable context for async callbacks
    - bpf: extract generic helper from process_timer_func()
    - bpf: Fix handling maps with no BTF and non-constant offsets for the
      bpf_wq
    - irqchip: Drop leftover brackets
    - irqchip: Pass platform device to platform drivers
    - arm64: dts: exynos: gs101: fix clock module unit reg sizes
    - ice: move service task start out of ice_init_pf()
    - ice: move ice_init_interrupt_scheme() prior ice_init_pf()
    - ice: ice_init_pf: destroy mutexes and xarrays on memory alloc failure
    - ice: move udp_tunnel_nic and misc IRQ setup into ice_init_pf()
    - ice: move ice_init_pf() out of ice_init_dev()
    - ice: extract ice_init_dev() from ice_init()
    - ice: move ice_deinit_dev() to the end of deinit paths
    - ice: remove duplicate call to ice_deinit_hw() on error paths
    - arm64: dts: qcom: lemans: Add missing quirk for HS only USB controller
    - tools/nolibc: x86: fix section mismatch caused by asm "mem*" functions
    - arm64: dts: ti: k3-j784s4: Fix I2C pinmux pull configuration
    - wifi: ath12k: enforce vdev limit in ath12k_mac_vdev_create()
    - ARM: dts: am33xx: Add missing serial console speed
    - arm64: tegra: Add pinctrl definitions for pcie-ep nodes
    - arm64: mm: Move KPTI helpers to mmu.c
    - arm64/mm: Allow __create_pgd_mapping() to propagate pgtable_alloc()
      errors
    - pwm: Simplify printf to emit chip->npwm in $debugfs/pwm
    - pwm: Use %u to printf unsigned int pwm_chip::npwm and pwm_chip::id
    - soc/tegra: fuse: speedo-tegra210: Update speedo IDs
    - iio: core: add missing mutex_destroy in iio_dev_release()
    - iio: core: Clean up device correctly on iio_device_alloc() failure
    - iommu/vt-d: Set INTEL_IOMMU_FLOPPY_WA depend on BLK_DEV_FD
    - of/fdt: Fix the len check in early_init_dt_check_for_elfcorehdr()
    - of/fdt: Fix the len check in early_init_dt_check_for_usable_mem_range()
    - rtla/tests: Extend action tests to 5s
    - rtla: Fix -a overriding -t argument
    - btrfs: make sure extent and csum paths are always released in
      scrub_raid56_parity_stripe()
    - iomap: allocate s_dio_done_wq for async reads as well
    - RDMA/irdma: Remove doorbell elision logic
    - selftests/landlock: Fix makefile header list
    - io_uring/kbuf: use READ_ONCE() for userspace-mapped memory
    - ALSA: wavefront: Clear substream pointers on close
    - btrfs: do not skip logging new dentries when logging a new name
    - btrfs: fix a potential path leak in print_data_reloc_error()
    - bpf, arm64: Do not audit capability check in do_jit()
    - btrfs: fix memory leak of fs_devices in degraded seed device path
    - iomap: account for unaligned end offsets when truncating read range
    - scripts/faddr2line: Fix "Argument list too long" error
    - sched/fair: Revert max_newidle_lb_cost bump
    - x86/ptrace: Always inline trivial accessors
    - ACPI: property: Use ACPI functions in acpi_graph_get_next_endpoint()
      only
    - cpufreq: dt-platdev: Add JH7110S SOC to the allowlist
    - ACPI: fan: Workaround for 64-bit firmware bug
    - cpufreq: s5pv210: fix refcount leak
    - cpuidle: menu: Use residency threshold in polling state override
      decisions
    - livepatch: Match old_sympos 0 and 1 in klp_find_func()
    - fs/ntfs3: Support timestamps prior to epoch
    - kbuild: Use objtree for module signing key path
    - hfsplus: fix volume corruption issue for generic/070
    - hfsplus: fix volume corruption issue for generic/073
    - fs/ntfs3: check for shutdown in fsync
    - wifi: rtl8xxxu: Fix HT40 channel config for RTL8192CU, RTL8723AU
    - wifi: cfg80211: stop radar detection in cfg80211_leave()
    - wifi: cfg80211: use cfg80211_leave() in iftype change
    - wifi: mt76: mt792x: fix wifi init fail by setting MCU_RUNNING after CLC
      load
    - wifi: brcmfmac: Add DMI nvram filename quirk for Acer A1 840 tablet
    - btrfs: scrub: always update btrfs_scrub_progress::last_physical
    - gfs2: fix remote evict for read-only filesystems
    - gfs2: Fix "gfs2: Switch to wait_event in gfs2_quotad"
    - smb/server: fix return value of smb2_ioctl()
    - Bluetooth: btusb: Add new VID/PID 2b89/6275 for RTL8761BUV
    - Bluetooth: btusb: MT7922: Add VID/PID 0489/e170
    - Bluetooth: btusb: MT7920: Add VID/PID 0489/e135
    - Bluetooth: btusb: Add new VID/PID 13d3/3533 for RTL8821CE
    - Bluetooth: btusb: Add new VID/PID 0x0489/0xE12F for RTL8852BE-VT
    - net: fec: ERR007885 Workaround for XDP TX path
    - ipvlan: Ignore PACKET_LOOPBACK in handle_mode_l2()
    - mlxsw: spectrum_router: Fix possible neighbour reference count leak
    - broadcom: b44: prevent uninitialized value usage
    - netfilter: nf_conncount: fix leaked ct in error paths
    - nfc: pn533: Fix error code in pn533_acr122_poweron_rdr()
    - netfilter: nf_nat: remove bogus direction check
    - netfilter: nf_tables: remove redundant chain validation on register
      store
    - selftests: netfilter: packetdrill: avoid failure on HZ=100 kernel
    - iommufd/selftest: Make it clearer to gcc that the access is not out of
      bounds
    - net/mlx5: fw reset, clear reset requested on drain_fw_reset
    - net/mlx5: Drain firmware reset in shutdown callback
    - net/mlx5: fw_tracer, Handle escaped percent properly
    - net/mlx5: Serialize firmware reset with devlink
    - net: enetc: do not transmit redirected XDP frames when the link is down
    - net: hns3: using the num_tqps to check whether tqp_index is out of range
      when vf get ring info from mbx
    - hwmon: (dell-smm) Limit fan multiplier to avoid overflow
    - hwmon: (tmp401) fix overflow caused by default conversion rate value
    - drm/me/gsc: mei interrupt top half should be in irq disabled context
    - drm/xe: Restore engine registers before restarting schedulers after GT
      reset
    - MIPS: Fix a reference leak bug in ip22_check_gio()
    - drm/panel: sony-td4353-jdi: Enable prepare_prev_first
    - x86/xen: Fix sparse warning in enlighten_pv.c
    - arm64: kdump: Fix elfcorehdr overlap caused by reserved memory
      processing reorder
    - spi: cadence-quadspi: Fix clock disable on probe failure path
    - block: rnbd-clt: Fix leaked ID in init_dev()
    - hwmon: (ltc4282): Fix reset_history file permissions
    - HID: input: map HID_GD_Z to ABS_DISTANCE for stylus/pen
    - Input: i8042 - add TUXEDO InfinityBook Max Gen10 AMD to i8042 quirk
      table
    - xfs: don't leak a locked dquot when xfs_dquot_attach_buf fails
    - can: gs_usb: gs_can_open(): fix error handling
    - soc/tegra: fuse: Do not register SoC device on ACPI boot
    - ACPI: PCC: Fix race condition by removing static qualifier
    - ACPI: CPPC: Fix missing PCC check for guaranteed_perf
    - mmc: sdhci-esdhc-imx: add alternate ARCH_S32 dependency to Kconfig
    - mmc: sdhci-of-arasan: Increase CD stable timeout to 2 seconds
    - dt-bindings: mmc: sdhci-of-aspeed: Switch ref to sdhci-common.yaml
    - x86/fpu: Fix FPU state core dump truncation on CPUs with no extended
      xfeatures
    - ALSA: vxpocket: Fix resource leak in vxpocket_probe error path
    - ALSA: pcmcia: Fix resource leak in snd_pdacf_probe error path
    - ASoC: ak4458: remove the reset operation in probe and remove
    - nfsd: fix memory leak in nfsd_create_serv error paths
    - ipmi: Fix the race between __scan_channels() and deliver_response()
    - ipmi: Fix __scan_channels() failing to rescan channels
    - scsi: ufs: host: mediatek: Fix shutdown/suspend race condition
    - firmware: imx: scu-irq: Init workqueue before request mbox channel
    - ti-sysc: allow OMAP2 and OMAP4 timers to be reserved on AM33xx
    - scsi: smartpqi: Add support for Hurray Data new controller PCI device
    - clk: mvebu: cp110 add CLK_IGNORE_UNUSED to pcie_x10, pcie_x11 & pcie_x4
    - powerpc/addnote: Fix overflow on 32-bit builds
    - scsi: qla2xxx: Fix lost interrupts with qlini_mode=disabled
    - scsi: qla2xxx: Fix initiator mode with qlini_mode=exclusive
    - scsi: qla2xxx: Use reinit_completion on mbx_intr_comp
    - fuse: Always flush the page cache before FOPEN_DIRECT_IO write
    - fuse: Invalidate the page cache after FOPEN_DIRECT_IO write
    - reset: fix BIT macro reference
    - exfat: fix remount failure in different process environments
    - exfat: zero out post-EOF page cache on file extension
    - usbip: Fix locking bug in RT-enabled kernels
    - iio: adc: ti_am335x_adc: Limit step_avg to valid range for gcc complains
    - usb: xhci: limit run_graceperiod for only usb 3.0 devices
    - usb: usb-storage: No additional quirks need to be added to the EL-R12
      optical drive.
    - serial: sprd: Return -EPROBE_DEFER when uart clock is not ready
    - libperf cpumap: Fix perf_cpu_map__max for an empty/NULL map
    - clk: qcom: dispcc-sm7150: Fix dispcc_mdss_pclk0_clk_src
    - i2c: designware: Disable SMBus interrupts to prevent storms from mis-
      configured firmware
    - nvme-fc: don't hold rport lock when putting ctrl
    - nvme-fabrics: add ENOKEY to no retry criteria for authentication
      failures
    - scsi: scsi_debug: Fix atomic write enable module param description
    - block: rnbd-clt: Fix signedness bug in init_dev()
    - vhost/vsock: improve RCU read sections around vhost_vsock_get()
    - x86/mce: Do not clear bank's poll bit in mce_poll_banks on AMD SMCA
      systems
    - mmc: sdhci-msm: Avoid early clock doubling during HS400 transition
    - perf: arm_cspmu: fix error handling in arm_cspmu_impl_unregister()
    - lib/crypto: x86/blake2s: Fix 32-bit arg treated as 64-bit
    - s390/dasd: Fix gendisk parent after copy pair swap
    - wifi: mt76: Fix DTS power-limits on little endian systems
    - block: rate-limit capacity change info log
    - floppy: fix for PAGE_SIZE != 4KB
    - kallsyms: Fix wrong "big" kernel symbol type read from procfs
    - fs/ntfs3: fix mount failure for sparse runs in run_unpack()
    - ktest.pl: Fix uninitialized var in config-bisect.pl
    - ext4: clear i_state_flags when alloc inode
    - ext4: fix incorrect group number assertion in mb_check_buddy
    - ext4: align max orphan file size with e2fsprogs limit
    - jbd2: use a per-journal lock_class_key for jbd2_trans_commit_key
    - jbd2: use a weaker annotation in journal handling
    - media: v4l2-mem2mem: Fix outdated documentation
    - selftests: mptcp: pm: ensure unknown flags are ignored
    - mptcp: schedule rtx timer only after pushing data
    - usb: usb-storage: Maintain minimal modifications to the bcdDevice range.
    - media: pvrusb2: Fix incorrect variable used in trace message
    - phy: broadcom: bcm63xx-usbh: fix section mismatches
    - usb: ohci-nxp: fix device leak on probe failure
    - usb: typec: altmodes/displayport: Drop the device reference in
      dp_altmode_probe()
    - USB: lpc32xx_udc: Fix error handling in probe
    - usb: phy: isp1301: fix non-OF device reference imbalance
    - usb: gadget: lpc32xx_udc: fix clock imbalance in error path
    - usb: dwc3: of-simple: fix clock resource leak in dwc3_of_simple_probe
    - usb: dwc3: keep susphy enabled during exit to avoid controller faults
    - usb: renesas_usbhs: Fix a resource leak in usbhs_pipe_malloc()
    - intel_th: Fix error handling in intel_th_output_open
    - mei: gsc: add dependency on Xe driver
    - serial: sh-sci: Check that the DMA cookie is valid
    - cpuidle: governors: teo: Drop misguided target residency check
    - cpufreq: nforce2: fix reference count leak in nforce2
    - NFSD: use correct reservation type in nfsd4_scsi_fence_client
    - scsi: mpi3mr: Read missing IOCFacts flag for reply queue full overflow
    - scsi: ufs: core: Add ufshcd_update_evt_hist() for UFS suspend error
    - f2fs: fix age extent cache insertion skip on counter overflow
    - f2fs: fix uninitialized one_time_gc in victim_sel_policy
    - tools/testing/nvdimm: Use per-DIMM device handle
    - KVM: x86: Don't clear async #PF queue when CR0.PG is disabled (e.g. on
      #SMI)
    - powerpc: Add reloc_offset() to font bitmap pointer used for
      bootx_printf()
    - KVM: x86: WARN if hrtimer callback for periodic APIC timer fires with
      period=0
    - KVM: x86: Explicitly set new periodic hrtimer expiration in
      apic_timer_fn()
    - KVM: nSVM: Avoid incorrect injection of SVM_EXIT_CR0_SEL_WRITE
    - KVM: SVM: Mark VMCB_NPT as dirty on nested VMRUN
    - KVM: nSVM: Propagate SVM_EXIT_CR0_SEL_WRITE correctly for LMSW emulation
    - KVM: SVM: Mark VMCB_PERM_MAP as dirty on nested VMRUN
    - KVM: nVMX: Immediately refresh APICv controls as needed on nested VM-
      Exit
    - KVM: nSVM: Set exit_code_hi to -1 when synthesizing SVM_EXIT_ERR (failed
      VMRUN)
    - KVM: nSVM: Clear exit_code_hi in VMCB when synthesizing nested VM-Exits
    - xfs: fix a memory leak in xfs_buf_item_init()
    - xfs: fix stupid compiler warning
    - PM: runtime: Do not clear needs_force_resume with enabled runtime PM
    - r8169: fix RTL8117 Wake-on-Lan in DASH mode
    - net: phy: marvell-88q2xxx: Fix clamped value in mv88q2xxx_hwmon_write
    - NFSD: Clear SECLABEL in the suppattr_exclcreat bitmap
    - nfsd: Mark variable __maybe_unused to avoid W=1 build break
    - svcrdma: return 0 on success from svc_rdma_copy_inline_range
    - s390/ipl: Clear SBP flag when bootprog is set
    - gpio: regmap: Fix memleak in error path in gpio_regmap_register()
    - io_uring: fix min_wait wakeups for SQPOLL
    - drm/amd/display: Use GFP_ATOMIC in dc_create_plane_state()
    - drm/amd/display: Fix scratch registers offsets for DCN35
    - drm/amd/display: Fix scratch registers offsets for DCN351
    - drm/displayid: pass iter to drm_find_displayid_extension()
    - ALSA: wavefront: Use guard() for spin locks
    - pinctrl: renesas: rzg2l: Fix ISEL restore on resume
    - arm64: Revamp HCR_EL2.E2H RES1 detection
    - dt-bindings: PCI: qcom,pcie-sc7280: Add missing required power-domains
      and resets
    - dt-bindings: PCI: qcom,pcie-sc8280xp: Add missing required power-domains
      and resets
    - dt-bindings: PCI: qcom,pcie-sm8150: Add missing required power-domains
      and resets
    - dt-bindings: PCI: qcom,pcie-sm8250: Add missing required power-domains
      and resets
    - dt-bindings: PCI: qcom,pcie-sm8350: Add missing required power-domains
      and resets
    - dt-bindings: PCI: qcom,pcie-sm8450: Add missing required power-domains
      and resets
    - dt-bindings: PCI: qcom,pcie-sm8550: Add missing required power-domains
      and resets
    - crypto: caam - Add check for kcalloc() in test_len()
    - amba: tegra-ahb: Fix device leak on SMMU enable
    - virtio: vdpa: Fix reference count leak in octep_sriov_enable()
    - tracing: Fix fixed array of synthetic event
    - soc: samsung: exynos-pmu: fix device leak on regmap lookup
    - soc: qcom: pbs: fix device leak on lookup
    - soc: qcom: ocmem: fix device leak on lookup
    - soc: apple: mailbox: fix device leak on lookup
    - soc: amlogic: canvas: fix device leak on lookup
    - rpmsg: glink: fix rpmsg device leak
    - platform/x86: intel: chtwc_int33fe: don't dereference swnode args
    - i2c: amd-mp2: fix reference leak in MP2 PCI device
    - interconnect: qcom: sdx75: Drop QPIC interconnect and BCM nodes
    - hwmon: (max16065) Use local variable to avoid TOCTOU
    - hwmon: (max6697) fix regmap leak on probe failure
    - hwmon: (w83l786ng) Convert macros to functions to avoid TOCTOU
    - ARM: dts: microchip: sama5d2: fix spi flexcom fifo size to 32
    - x86/msi: Make irq_retrigger() functional for posted MSI
    - wifi: rtw88: limit indirect IO under powered off for RTL8822CS
    - wifi: cfg80211: sme: store capped length in __cfg80211_connect_result()
    - wifi: mac80211: do not use old MBSSID elements
    - i40e: fix scheduling in set_rx_mode
    - i40e: validate ring_len parameter against hardware-specific values
    - idpf: reduce mbx_task schedule delay to 300us
    - net: mdio: aspeed: add dummy read to avoid read-after-write issue
    - net: openvswitch: Avoid needlessly taking the RTNL on vport destroy
    - platform/mellanox: mlxbf-pmc: Remove trailing whitespaces from event
      names
    - platform/x86: msi-laptop: add missing sysfs_remove_group()
    - platform/x86: ibm_rtl: fix EBDA signature search pointer arithmetic
    - net: dsa: fix missing put_device() in dsa_tree_find_first_conduit()
    - amd-xgbe: reset retries and mode on RX adapt failures
    - Revert "UBUNTU: SAUCE: selftests: net: fix "buffer overflow detected"
      for tap.c"
    - selftests: net: fix "buffer overflow detected" for tap.c
    - genalloc.h: fix htmldocs warning
    - firewire: nosy: Fix dma_free_coherent() size
    - net: dsa: b53: skip multicast entries for fdb_dump()
    - kbuild: fix compilation of dtb specified on command-line without make
      rule
    - net: bridge: Describe @tunnel_hash member in net_bridge_vlan_group
      struct
    - vfio/pds: Fix memory leak in pds_vfio_dirty_enable()
    - RDMA/efa: Remove possible negative shift
    - RDMA/core: Fix logic error in ib_get_gids_from_rdma_hdr()
    - RDMA/bnxt_re: Fix incorrect BAR check in bnxt_qplib_map_creq_db()
    - RDMA/bnxt_re: Fix IB_SEND_IP_CSUM handling in post_send
    - RDMA/bnxt_re: Fix to use correct page size for PDE table
    - md: Fix static checker warning in analyze_sbs
    - RDMA/rtrs: Fix clt_path::max_pages_per_mr calculation
    - RDMA/bnxt_re: fix dma_free_coherent() pointer
    - blk-mq: skip CPU offline notify on unmapped hctx
    - selftests/ftrace: traceonoff_triggers: strip off names
    - ntfs: Do not overwrite uptodate pages
    - ASoC: codecs: wcd939x: fix regmap leak on probe failure
    - ASoC: stm32: sai: fix device leak on probe
    - ASoC: stm32: sai: fix clk prepare imbalance on probe failure
    - ASoC: codecs: lpass-tx-macro: fix SM6115 support
    - ASoC: qcom: q6apm-dai: set flags to reflect correct operation of
      appl_ptr
    - ASoC: qcom: q6asm-dai: perform correct state check before closing
    - ASoC: qcom: q6adm: the the copp device only during last instance
    - ASoC: qcom: qdsp6: q6asm-dai: set 10 ms period and buffer alignment.
    - iommu/amd: Fix pci_segment memleak in alloc_pci_segment()
    - iommu/amd: Propagate the error code returned by __modify_irte_ga() in
      modify_irte_ga()
    - iommu/apple-dart: fix device leak on of_xlate()
    - iommu/exynos: fix device leak on of_xlate()
    - iommu/ipmmu-vmsa: fix device leak on of_xlate()
    - iommu/mediatek-v1: fix device leak on probe_device()
    - iommu/mediatek-v1: fix device leaks on probe()
    - iommu/mediatek: fix device leak on of_xlate()
    - iommu/omap: fix device leaks on probe_device()
    - iommu/qcom: fix device leak on of_xlate()
    - iommu/sun50i: fix device leak on of_xlate()
    - iommu/tegra: fix device leak on probe_device()
    - HID: logitech-dj: Remove duplicate error logging
    - fgraph: Initialize ftrace_ops->private for function graph ops
    - fgraph: Check ftrace_pids_enabled on registration for early filtering
    - PCI/PM: Reinstate clearing state_saved in legacy and !PM codepaths
    - arm64: dts: ti: k3-j721e-sk: Fix pinmux for pin Y1 used by power
      regulator
    - powerpc, mm: Fix mprotect on book3s 32-bit
    - leds: leds-cros_ec: Skip LEDs without color components
    - leds: leds-lp50xx: Allow LED 0 to be added to module bank
    - leds: leds-lp50xx: LP5009 supports 3 modules for a total of 9 LEDs
    - leds: leds-lp50xx: Enable chip before any communication
    - block: Clear BLK_ZONE_WPLUG_PLUGGED when aborting plugged BIOs
    - mfd: altera-sysmgr: Fix device leak on sysmgr regmap lookup
    - mfd: max77620: Fix potential IRQ chip conflict when probing two devices
    - media: rc: st_rc: Fix reset control resource leak
    - media: verisilicon: Fix CPU stalls on G2 bus error
    - mtd: mtdpart: ignore error -ENOENT from parsers on subpartitions
    - mtd: spi-nor: winbond: Add support for W25Q01NWxxIQ chips
    - mtd: spi-nor: winbond: Add support for W25Q01NWxxIM chips
    - mtd: spi-nor: winbond: Add support for W25Q02NWxxIM chips
    - mtd: spi-nor: winbond: Add support for W25H512NWxxAM chips
    - mtd: spi-nor: winbond: Add support for W25H01NWxxAM chips
    - mtd: spi-nor: winbond: Add support for W25H02NWxxAM chips
    - parisc: entry.S: fix space adjustment on interruption for 64-bit
      userspace
    - parisc: entry: set W bit for !compat tasks in syscall_restore_rfi()
    - perf/x86/amd/uncore: Fix the return value of amd_uncore_df_event_init()
      on error
    - powerpc/pseries/cmm: call balloon_devinfo_init() also without
      CONFIG_BALLOON_COMPACTION
    - firmware: stratix10-svc: Add mutex in stratix10 memory management
    - dm-ebs: Mark full buffer dirty even on partial write
    - dm-bufio: align write boundary on physical block size
    - fbdev: gbefb: fix to use physical address instead of dma address
    - fbdev: pxafb: Fix multiple clamped values in pxafb_adjust_timing
    - fbdev: tcx.c fix mem_map to correct smem_start offset
    - media: cec: Fix debugfs leak on bus_register() failure
    - media: msp3400: Avoid possible out-of-bounds array accesses in
      msp3400c_thread()
    - media: platform: mtk-mdp3: fix device leaks at probe
    - media: renesas: rcar_drif: fix device node reference leak in
      rcar_drif_bond_enabled
    - media: samsung: exynos4-is: fix potential ABBA deadlock on init
    - media: TDA1997x: Remove redundant cancel_delayed_work in probe
    - media: verisilicon: Protect G2 HEVC decoder against invalid DPB index
    - media: videobuf2: Fix device reference leak in vb2_dc_alloc error path
    - media: vpif_capture: fix section mismatch
    - media: vpif_display: fix section mismatch
    - media: amphion: Cancel message work before releasing the VPU core
    - media: i2c: ADV7604: Remove redundant cancel_delayed_work in probe
    - media: i2c: adv7842: Remove redundant cancel_delayed_work in probe
    - media: mediatek: vcodec: Fix a reference leak in
      mtk_vcodec_fw_vpu_init()
    - LoongArch: Add new PCI ID for pci_fixup_vgadev()
    - LoongArch: Correct the calculation logic of thread_count
    - LoongArch: Fix build errors for CONFIG_RANDSTRUCT
    - LoongArch: Use __pmd()/__pte() for swap entry conversions
    - LoongArch: Use unsigned long for _end and _text
    - mm/damon/tests/sysfs-kunit: handle alloc failures on
      damon_sysfs_test_add_targets()
    - mm/damon/tests/vaddr-kunit: handle alloc failures in
      damon_test_split_evenly_fail()
    - mm/damon/tests/vaddr-kunit: handle alloc failures on
      damon_test_split_evenly_succ()
    - mm/damon/tests/core-kunit: handle alloc failures on
      damon_test_split_at()
    - mm/damon/tests/core-kunit: handle allocation failures in
      damon_test_regions()
    - mm/damon/tests/core-kunit: handle memory failure from
      damon_test_target()
    - mm/damon/tests/core-kunit: handle memory alloc failure from
      damon_test_aggregate()
    - mm/damon/tests/core-kunit: handle alloc failures on
      dasmon_test_merge_regions_of()
    - mm/damon/tests/core-kunit: handle alloc failures on
      damon_test_merge_two()
    - mm/damon/tests/core-kunit: handle alloc failures in
      damon_test_set_regions()
    - mm/damon/tests/core-kunit: handle alloc failures in
      damon_test_update_monitoring_result()
    - mm/damon/tests/core-kunit: handle alloc failures in
      damon_test_ops_registration()
    - mm/damon/tests/core-kunit: handle alloc failure on
      damon_test_set_attrs()
    - pmdomain: imx: Fix reference count leak in imx_gpc_probe()
    - compiler_types.h: add "auto" as a macro for "__auto_type"
    - mm/kasan: fix incorrect unpoisoning in vrealloc for KASAN
    - kasan: refactor pcpu kasan vmalloc unpoison
    - kasan: unpoison vms[area] addresses with a common tag
    - lockd: fix vfs_test_lock() calls
    - idr: fix idr_alloc() returning an ID out of range
    - mm/page_owner: fix memory leak in page_owner_stack_fops->release()
    - tools/mm/page_owner_sort: fix timestamp comparison for stable sorting
    - samples/ftrace: Adjust LoongArch register restore order in direct calls
    - fjes: Add missing iounmap in fjes_hw_init()
    - LoongArch: Refactor register restoration in ftrace_common_return
    - LoongArch: BPF: Zero-extend bpf_tail_call() index
    - nfsd: Drop the client reference in client_states_open()
    - net: usb: sr9700: fix incorrect command used to write single register
    - net: macb: Relocate mog_init_rings() callback from macb_mac_link_up() to
      macb_open()
    - drm/amdgpu/gmc12: add amdgpu_vm_handle_fault() handling
    - drm/amdgpu: add missing lock to amdgpu_ttm_access_memory_sdma
    - drm/amdgpu/gmc11: add amdgpu_vm_handle_fault() handling
    - drm/msm/a6xx: Fix out of bound IO access in a6xx_get_gmu_registers
    - drm/buddy: Optimize free block management with RB tree
    - drm/buddy: Separate clear and dirty free block trees
    - drm/gma500: Remove unused helper psb_fbdev_fb_setcolreg()
    - drm/edid: add DRM_EDID_IDENT_INIT() to initialize struct drm_edid_ident
    - drm/mediatek: Fix device node reference leak in mtk_dp_dt_parse()
    - drm/mediatek: Fix probe resource leaks
    - drm/mediatek: Fix probe memory leak
    - drm/mediatek: Fix probe device leaks
    - drm/amdkfd: Trap handler support for expert scheduling mode
    - drm/i915: Fix format string truncation warning
    - drm/mgag200: Fix big-endian support
    - drm/xe/bo: Don't include the CCS metadata in the dma-buf sg-table
    - drm/xe/oa: Disallow 0 OA property values
    - drm/xe: Adjust long-running workload timeslices to reasonable values
    - drm/xe: Use usleep_range for accurate long-running workload timeslicing
    - drm/xe: Drop preempt-fences when destroying imported dma-bufs.
    - drm/nouveau/dispnv50: Don't call drm_atomic_get_crtc_state() in
      prepare_fb
    - drm/imagination: Disallow exporting of PM/FW protected objects
    - lib/crypto: riscv/chacha: Avoid s0/fp register
    - gfs2: fix freeze error handling
    - btrfs: don't rewrite ret from inode_permission
    - sched/eevdf: Fix min_vruntime vs avg_vruntime
    - erofs: fix unexpected EIO under memory pressure
    - sched_ext: Fix incorrect sched_class settings for per-cpu migration
      tasks
    - jbd2: fix the inconsistency between checksum and data in memory for
      journal sb
    - xhci: dbgtty: fix device unregister: fixup
    - f2fs: fix to detect recoverable inode during dryrun of
      find_fsync_dnodes()
    - serial: core: Restore sysfs fwnode information
    - mptcp: pm: ignore unknown endpoint flags
    - mm/ksm: fix exec/fork inheritance support for prctl
    - ARM: dts: microchip: sama7g5: fix uart fifo size to 32
    - tpm2-sessions: Fix out of range indexing in name_size
    - tpm2-sessions: Fix tpm2_read_public range checks
    - sched_ext: Factor out local_dsq_post_enq() from dispatch_enqueue()
    - sched_ext: Fix missing post-enqueue handling in
      move_local_task_to_local_dsq()
    - drm/displayid: add quirk to ignore DisplayID checksum errors
    - serial: xilinx_uartps: fix rs485 delay_rts_after_send
    - f2fs: add timeout in f2fs_enable_checkpoint()
    - f2fs: dump more information for f2fs_{enable,disable}_checkpoint()
    - f2fs: fix to propagate error from f2fs_enable_checkpoint()
    - gpiolib: acpi: Add quirk for Dell Precision 7780
    - serial: core: Fix serial device initialization
    - media: i2c: imx219: Fix 1920x1080 mode to use 1:1 pixel aspect ratio
    - ASoC: renesas: rz-ssi: Fix channel swap issue in full duplex mode
    - block: handle zone management operations completions
    - ASoC: qcom: sdw: fix memory leak for sdw_stream_runtime
    - ASoC: renesas: rz-ssi: Fix rz_ssi_priv::hw_params_cache::sample_width
    - PCI: brcmstb: Fix disabling L0s capability
    - powerpc/pseries/cmm: adjust BALLOON_MIGRATE when migrating pages
    - media: amphion: Make some vpu_v4l2 functions static
    - media: amphion: Remove vpu_vb_is_codecconfig
    - vfio/pci: Disable qword access to the PCI ROM bar
    - mm/damon/tests/core-kunit: handle alloc failures on
      damon_test_split_regions_of()
    - mm/damon/tests/core-kunit: handle alloc failres in
      damon_test_new_filter()
    - mm/damon/tests/vaddr-kunit: handle alloc failures on
      damon_do_test_apply_three_regions()
    - block: fix NULL pointer dereference in blk_zone_reset_all_bio_endio()
    - bpf: Fix truncated dmabuf iterator reads
    - bpf: Fix verifier assumptions of bpf_d_path's output buffer
    - btrfs: fix changeset leak on mmap write after failure to reserve
      metadata
    - scripts: kdoc_parser.py: warn about Python version only once
    - crypto: ccp - Add support for PCI device 0x115A
    - hfsplus: fix volume corruption issue for generic/101
    - Bluetooth: btusb: add new custom firmwares
    - net/mlx5: make enable_mpesw idempotent
    - net: phy: realtek: eliminate priv->phycr2 variable
    - net: phy: realtek: eliminate has_phycr2 variable
    - net: phy: realtek: allow CLKOUT to be disabled on RTL8211F(D)(I)-VD-CG
    - net: phy: realtek: eliminate priv->phycr1 variable
    - net: phy: realtek: create rtl8211f_config_phy_eee() helper
    - net: phy: RTL8211FVD: Restore disabling of PHY-mode EEE
    - net: ti: icssg-prueth: add PTP_1588_CLOCK_OPTIONAL dependency
    - selftests: net: Fix build warnings
    - selftests: net: tfo: Fix build warning
    - inet: frags: avoid theoretical race in ip_frag_reinit()
    - inet: frags: add inet_frag_queue_flush()
    - selftests: netfilter: prefer xfail in case race wasn't triggered
    - can: j1939: make j1939_sk_bind() fail if device is no longer registered
    - net/mlx5e: Use ip6_dst_lookup instead of ipv6_dst_lookup_flow for MAC
      init
    - net/mlx5e: Trigger neighbor resolution for unresolved destinations
    - drm/tests: hdmi: Handle drm_kunit_helper_enable_crtc_connector()
      returning EDEADLK
    - drm/tests: Handle EDEADLK in drm_test_check_valid_clones()
    - drm/tests: Handle EDEADLK in set_up_atomic_state()
    - selftests: ublk: fix overflow in ublk_queue_auto_zc_fallback()
    - block: unify elevator tags and type xarrays into struct elv_change_ctx
    - block: move elevator tags into struct elevator_resources
    - block: introduce alloc_sched_data and free_sched_data elevator methods
    - block: use {alloc|free}_sched data methods
    - spi: microchip: rename driver file and internal identifiers
    - [Config] Remove CONFIG_SPI_MICROCHIP_CORE
    - spi: mpfs: Fix an error handling path in mpfs_spi_probe()
    - drm/xe: Fix freq kobject leak on sysfs_create_files failure
    - drm/xe: Apply Wa_14020316580 in xe_gt_idle_enable_pg()
    - drm/xe: Increase TDF timeout
    - io_uring: fix nr_segs calculation in io_import_kbuf
    - ublk: add parameter `struct io_uring_cmd *` to ublk_prep_auto_buf_reg()
    - ublk: add `union ublk_io_buf` with improved naming
    - ublk: refactor auto buffer register in ublk_dispatch_req()
    - drm/xe/oa: Always set OAG_OAGLBCTXCTRL_COUNTER_RESUME
    - amd/iommu: Preserve domain ids inside the kdump kernel
    - arm64: dts: mediatek: Apply mt8395-radxa DT overlay at build time
    - Input: apple_z2 - fix reading incorrect reports after exiting sleep
    - Input: xpad - add support for CRKD Guitars
    - platform/x86: intel_pmc_ipc: fix ACPI buffer memory leak
    - x86/mm/tlb/trace: Export the TLB_REMOTE_WRONG_CPU enum in
      <trace/events/tlb.h>
    - ASoC: fsl_sai: Constrain sample rates from audio PLLs only in master
      mode
    - ASoC: SDCA: support Q7.8 volume format
    - ASoC: ops: fix snd_soc_get_volsw for sx controls
    - scsi: lpfc: Fix reusing an ndlp that is marked NLP_DROPPED during FLOGI
    - usb: xhci: Don't unchain link TRBs on quirky HCs
    - platform/x86: wmi-gamezone: Add Legion Go 2 Quirks
    - hwmon: (emc2305) fix device node refcount leak in error path
    - hwmon: (emc2305) fix double put in emc2305_probe_childs_from_dt
    - ublk: add helpers to check ublk_device flags
    - rust/drm/gem: Fix missing header in `Object` rustdoc
    - rust: dma: add helpers for architectures without CONFIG_HAS_DMA
    - samples: rust: fix endianness issue in rust_driver_pci
    - rust: io: define ResourceSize as resource_size_t
    - rust: io: move ResourceSize to top-level io module
    - rust: io: add typedef for phys_addr_t
    - clk: keystone: syscon-clk: fix regmap leak on probe failure
    - printk: Avoid scheduling irq_work on suspend
    - sched_ext: Fix the memleak for sch->helper objects
    - sched_ext: Fix bypass depth leak on scx_enable() failure
    - dt-bindings: clock: mmcc-sdm660: Add missing MDSS reset
    - phy: exynos5-usbdrd: fix clock prepare imbalance
    - efi: Add missing static initializer for efi_mm::cpus_allowed_lock
    - crypto: scatterwalk - Fix memcpy_sglist() to always succeed
    - printk: Allow printk_trigger_flush() to flush all types
    - printk: Avoid irq_work for printk_deferred() on suspend
    - mm/huge_memory: add pmd folio to ds_queue in do_huge_zero_wp_pmd()
    - crash: let architecture decide crash memory export to iomem_resource
    - usb: typec: ucsi: huawei-gaokin: add DRM dependency
    - f2fs: clean up w/ get_left_section_blocks()
    - f2fs: fix to not account invalid blocks in get_left_section_blocks()
    - KVM: selftests: Forcefully override ARCH from x86_64 to x86
    - KVM: Fix last_boosted_vcpu index assignment bug
    - KVM: TDX: Explicitly set user-return MSRs that *may* be clobbered by the
      TDX-Module
    - KVM: x86: Apply runtime updates to current CPUID during
      KVM_SET_CPUID{,2}
    - KVM: selftests: Add missing "break" in rseq_test's param parsing
    - xfs: fix the zoned RT growfs check for zone alignment
    - xfs: validate that zoned RT devices are zone aligned
    - arm64/gcs: Flush the GCS locking state on exec
    - ALSA: hda/realtek: Add Asus quirk for TAS amplifiers
    - NFSD: Clear TIME_DELEG in the suppattr_exclcreat bitmap
    - cgroup: rstat: use LOCK CMPXCHG in css_rstat_updated
    - gpio: loongson: Switch 2K2000/3000 GPIO to BYTE_CTRL_MODE
    - crypto: arm64/ghash - Fix incorrect output from ghash-neon
    - zloop: fail zone append operations that are targeting full zones
    - zloop: make the write pointer of full zones invalid
    - vfio: Fix ksize arg while copying user struct in
      vfio_df_ioctl_bind_iommufd()
    - rtla/timerlat_bpf: Stop tracing on user latency
    - pwm: rzg2l-gpt: Allow checking period_tick cache value only if sibling
      channel is enabled
    - lib/crypto: riscv: Depend on RISCV_EFFICIENT_VECTOR_UNALIGNED_ACCESS
    - [Config] Disable accelerated crypto for riscv64 by default
    - io_uring/rsrc: fix lost entries after cloned range
    - ARM: dts: microchip: sama7d65: fix uart fifo size to 32
    - ice: add missing ice_deinit_hw() in devlink reinit path
    - arp: do not assume dev_hard_header() does not change skb->head
    - firmware: imx: scu-irq: Set mu_resource_id before get handle
    - tpm: Compare HMAC values in constant time
    - keys/trusted_keys: fix handle passed to tpm_buf_append_name during
      unseal
    - intel_th: fix device leak on output open()
    - Upstream stable to v6.18.2, v6.12.64, v6.18.3

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-68791
    - fuse: missing copy_finish in fuse-over-io-uring argument copies

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-68805
    - fuse: fix io-uring list corruption for terminated non-committed requests

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-68812
    - media: iris: Add sanity check for stop streaming

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-71117
    - block: Remove queue freezing from several sysfs store callbacks

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-71070
    - ublk: clean up user copy references on ublk server exit

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-71124
    - drm/msm/a6xx: move preempt_prepare_postamble after error check

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-71115
    - um: init cpu_tasks[] earlier

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-68823
    - ublk: fix deadlock when reading partition table

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-68793
    - drm/amdgpu: fix a job->pasid access race in gpu recovery

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-68807
    - block: fix race between wbt_enable_default and IO submission

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-68768
    - inet: frags: flush pending skbs in fqdir_pre_exit()

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-71140
    - media: mediatek: vcodec: Use spinlock for context list protection lock

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-71156
    - gve: defer interrupt enabling until NAPI registration

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2024-36347
    - x86/microcode/AMD: Fix Entrysign revision check for Zen5/Strix Halo
    - x86/microcode/AMD: Select which microcode patch to load

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-71068
    - svcrdma: bound check rq_pages index in inline path

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-68772
    - f2fs: fix to avoid updating compression context during writeback

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-71105
    - f2fs: use global inline_xattr_slab instead of per-sb slab cache

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-71130
    - drm/i915/gem: Zero-initialize the eb.vma array in i915_gem_do_execbuffer

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-71138
    - drm/msm/dpu: Add missing NULL pointer check for pingpong interface

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-71083
    - drm/ttm: Avoid NULL pointer deref for evicted BOs

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-71099
    - drm/xe/oa: Fix potential UAF in xe_oa_add_config_ioctl()

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-71079
    - net: nfc: fix deadlock between nfc_unregister_device and
      rfkill_fop_write

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-71129
    - LoongArch: BPF: Sign extend kfunc call arguments

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-71093
    - e1000: fix OOB in e1000_tbi_should_accept()

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-71084
    - RDMA/cm: Fix leaking the multicast GID table reference

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-71096
    - RDMA/core: Check for the presence of LS_NLA_TYPE_DGID correctly

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-71136
    - media: adv7842: Avoid possible out-of-bounds array accesses in
      adv7842_cp_log_status()

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-71143
    - clk: samsung: exynos-clkout: Assign .num before accessing .hws

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-71078
    - powerpc/64s/slb: Fix SLB multihit issue during SLB preload

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-71089
    - iommu: disable SVA when CONFIG_X86 is set

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-71081
    - ASoC: stm32: sai: fix OF node leak on probe

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-71153
    - ksmbd: Fix memory leak in get_file_all_info()

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-71135
    - md/raid5: fix possible null-pointer dereferences in
      raid5_store_group_thread_cnt()

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-71157
    - RDMA/core: always drop device refcount in ib_del_sub_device_and_put()

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-71133
    - RDMA/irdma: avoid invalid read in irdma_net_event

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-71080
    - ipv6: fix a BUG in rt6_get_pcpu_route() under PREEMPT_RT

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-71086
    - net: rose: fix invalid array index in rose_kill_by_device()

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-71097
    - ipv4: Fix reference count leak when using error routes with nexthop
      objects

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-71085
    - ipv6: BUG() in pskb_expand_head() as part of calipso_skbuff_setattr()

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-71095
    - net: stmmac: fix the crash issue for zero copy XDP_TX action

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-71137
    - octeontx2-pf: fix "UBSAN: shift-out-of-bounds error"

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-71101
    - platform/x86: hp-bioscfg: Fix out-of-bounds array access in ACPI package
      parsing

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-71094
    - net: usb: asix: validate PHY address before use

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-71132
    - smc91x: fix broken irq-context in PREEMPT_RT

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-71154
    - net: usb: rtl8150: fix memory leak on usb_submit_urb() failure

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-71091
    - team: fix check for port enabled in
      team_queue_override_port_prio_changed()

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-71098
    - ip6_gre: make ip6gre_header() robust

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-71082
    - Bluetooth: btusb: revert use of devm_kzalloc in btusb

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-71131
    - crypto: seqiv - Do not use req->iv after crypto_aead_encrypt

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-71087
    - iavf: fix off-by-one issues in iavf_config_rss_reg()

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-71100
    - wifi: rtlwifi: 8192cu: fix tid out of range in rtl92cu_tx_fill_desc()

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-68821
    - fuse: fix readahead reclaim deadlock

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-71071
    - iommu/mediatek: fix use-after-free on probe deferral

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-71111
    - hwmon: (w83791d) Convert macros to functions to avoid TOCTOU

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-71113
    - crypto: af_alg - zero initialize memory allocated via sock_kmalloc

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-71149
    - io_uring/poll: correctly handle io_poll_add() return value on update

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-68778
    - btrfs: don't log conflicting inode if it's a dir moved in the current
      transaction

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-71119
    - powerpc/kexec: Enable SMT before waking offline CPUs

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-71120
    - SUNRPC: svcauth_gss: avoid NULL deref on zero length gss_token in
      gss_read_proxy_verf

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-68811
    - svcrdma: use rc_pageoff for memcpy byte offset

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-68803
    - NFSD: NFSv4 file creation neglects setting ACL

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-71148
    - net/handshake: restore destructor on submit failure

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-68788
    - fsnotify: do not generate ACCESS/MODIFY events on child for special
      files

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-71125
    - tracing: Do not register unsupported perf events

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-68784
    - xfs: fix a UAF problem in xattr repair

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-71104
    - KVM: x86: Fix VM hard lockup after prolonged inactivity with periodic HV
      timer

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-71116
    - libceph: make decode_pool() more resilient against corrupted osdmaps

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-71121
    - parisc: Do not reprogram affinitiy on ASP chip

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-71102
    - scs: fix a wrong parameter in __scs_magic

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-68804
    - platform/chrome: cros_ec_ishtp: Fix UAF after unbinding driver

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-68771
    - ocfs2: fix kernel BUG in ocfs2_find_victim_chain

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-68808
    - media: vidtv: initialize local pointers upon transfer of memory
      ownership

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-68810
    - KVM: Disallow toggling KVM_MEM_GUEST_MEMFD on an existing memslot

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-68769
    - f2fs: fix return value of f2fs_recover_fsync_data()

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-71069
    - f2fs: invalidate dentry cache on failed whiteout creation

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-68796
    - f2fs: fix to avoid updating zero-sized extent in extent cache

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-71065
    - f2fs: fix to avoid potential deadlock

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-71107
    - f2fs: ensure node page reads complete before f2fs_put_super() finishes

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-68782
    - scsi: target: Reset t_task_cdb pointer in error case

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-71075
    - scsi: aic94xx: fix use-after-free in device removal path

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-68818
    - scsi: Revert "scsi: qla2xxx: Perform lockless command completion in
      abort path"

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-68797
    - char: applicom: fix NULL pointer dereference in ac_ioctl

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-68781
    - usb: phy: fsl-usb: Fix use-after-free in delayed work during device
      removal

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-68819
    - media: dvb-usb: dtv5100: fix out-of-bounds in dtv5100_i2c_msg()

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-71126
    - mptcp: avoid deadlock on fallback while reinjecting

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-68820
    - ext4: xattr: fix null pointer deref in ext4_raw_inode()

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-71123
    - ext4: fix string copying in parse_apply_sb_mount_options()

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-71077
    - tpm: Cap the number of PCR banks

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-68814
    - io_uring: fix filename leak in __io_openat_prep()

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-71147
    - KEYS: trusted: Fix a memory leak in tpm2_load_cmd

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-71151
    - cifs: Fix memory and information leak in smb3_reconfigure()

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-71109
    - MIPS: ftrace: Fix memory corruption when kernel is located beyond 32
      bits

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-71108
    - usb: typec: ucsi: Handle incorrect num_connectors capability

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-71114
    - via_wdt: fix critical boot hang due to unnamed resource allocation

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-68783
    - ALSA: usb-mixer: us16x08: validate meter packet indices

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-68776
    - net/hsr: fix NULL pointer dereference in prp_get_untagged_frame()

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-68773
    - spi: fsl-cpm: Check length parity before switching to 16 bit mode

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-68822
    - Input: alps - fix use-after-free bugs caused by dev3_register_work

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-71073
    - Input: lkkbd - disable pending work before freeing device

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-68777
    - Input: ti_am335x_tsc - fix off-by-one error in wire_order validation

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-68806
    - ksmbd: fix buffer validation by including null terminator size in EA
      length

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-71150
    - ksmbd: Fix refcount leak when invalid session is found on session lookup

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-68786
    - ksmbd: skip lock-range check on equal size to avoid size==0 underflow

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-71076
    - drm/xe/oa: Limit num_syncs to prevent oversized allocations

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-68802
    - drm/xe: Limit num_syncs to prevent oversized allocations

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-68789
    - hwmon: (ibmpex) fix use-after-free in high/low store

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-71112
    - net: hns3: add VLAN id validation before using

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-71064
    - net: hns3: using the num_tqps in the vf driver to apply for resources

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-68775
    - net/handshake: duplicate handshake cancellations leak socket

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-68816
    - net/mlx5: fw_tracer, Validate format string parameters

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-68795
    - ethtool: Avoid overflowing userspace buffer on stats query

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-71122
    - iommufd/selftest: Check for overflow in IOMMU_TEST_OP_ADD_RESERVED

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-68815
    - net/sched: ets: Remove drr class from the active list if it changes to
      strict

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-68799
    - caif: fix integer underflow in cffrml_receive()

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-68813
    - ipvs: fix ipv4 null-ptr-deref in route error path

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-68785
    - net: openvswitch: fix middle attribute validation in push_nsh() action

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-68770
    - bnxt_en: Fix XDP_TX path

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-68800
    - mlxsw: spectrum_mr: Fix use-after-free when updating multicast route
      stats

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-68801
    - mlxsw: spectrum_router: Fix neighbour use-after-free

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-71066
    - net/sched: ets: Always remove class from active list before deleting in
      ets_qdisc_change

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-68787
    - netrom: Fix memory leak in nr_sendmsg()

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-68809
    - ksmbd: vfs: fix race on m_flags in vfs_cache

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-68817
    - ksmbd: fix use-after-free in ksmbd_tree_connect_put under concurrency

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-68767
    - hfsplus: Verify inode mode when loading from disk

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-68774
    - hfsplus: fix missing hfs_bnode_get() in __hfs_bnode_create

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-71067
    - ntfs: set dummy blocksize to read boot_block when mounting

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-71118
    - ACPICA: Avoid walking the Namespace if start_node is NULL

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-68780
    - sched/deadline: only set free_cpus for online runqueues

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-68798
    - perf/x86/amd: Check event before enable to avoid GPF

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-68794
    - iomap: adjust read range correctly for non-block-aligned positions

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-71072
    - shmem: fix recovery on rename failures

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-68351
    - exfat: fix refcount leak in exfat_find

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-68736
    - landlock: Fix handling of disconnected directories

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-68353
    - net: vxlan: prevent NULL deref in vxlan_xmit_one

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-68745
    - scsi: qla2xxx: Clear cmds after chip reset

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-68365
    - fs/ntfs3: Initialize allocated memory before use

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-68368
    - md: init bioset in mddev_init

  * Questing update: upstream stable patchset 2026-03-04 (LP: #2142250) //
    CVE-2025-68725
    - bpf: Do not let BPF test infra emit invalid GSO types to stack

  * CVE-2026-23111
    - netfilter: nf_tables: fix inverted genmask check in
      nft_map_catchall_activate()

  * CVE-2026-23209
    - macvlan: fix error recovery in macvlan_common_newlink()

  * CVE-2026-23074
    - net/sched: Enforce that teql can only be used as root qdisc

  * CVE-2026-23060
    - crypto: authencesn - reject too-short AAD (assoclen<8) to match ESP/ESN
      spec

 -- Stefan Bader <stefan.bader@canonical.com>  Wed, 11 Mar 2026 14:32:48 +0100

linux (6.17.0-19.19) questing; urgency=medium

  * Questing: Failed to query NVIDIA devices (LP: #2143480)
    - [Config] disable NOVA_CORE

  * Miscellaneous upstream changes
    - apparmor: validate DFA start states are in bounds in unpack_pdb
    - apparmor: fix memory leak in verify_header
    - apparmor: replace recursive profile removal with iterative approach
    - apparmor: fix: limit the number of levels of policy namespaces
    - apparmor: fix side-effect bug in match_char() macro usage
    - apparmor: fix missing bounds check on DEFAULT table in verify_dfa()
    - apparmor: Fix double free of ns_name in aa_replace_profiles()
    - apparmor: fix unprivileged local user can do privileged policy
      management
    - apparmor: fix differential encoding verification
    - apparmor: fix race on rawdata dereference
    - apparmor: fix race between freeing data and fs accessing it

 -- Mehmet Basaran <mehmet.basaran@canonical.com>  Fri, 06 Mar 2026 15:30:11 +0300

linux (6.17.0-16.16) questing; urgency=medium

  * questing/linux: 6.17.0-16.16 -proposed tracker (LP: #2141148)

  * Packaging resync (LP: #1786013)
    - [Packaging] debian.master/dkms-versions -- update from kernel-versions
      (main/2026.02.09)

  * Support Intel Scorpius Peak, Whale Peak WiFi/Bluetooth for Intel Panther
    Lake platforms (LP: #2116169)
    - Bluetooth: btintel_pcie: Add Bluetooth core/platform as comments
    - Bluetooth: btintel_pcie: Add id of Scorpious, Panther Lake-H484

  * Boot up hang with ucsi call trace while plug power cord or device on tbt5
    port (LP: #2127764)
    - SAUCE: usb: typec: ucsi: Fix workqueue destruction race during connector
      cleanup

  * net:rtnetlink.sh in ubuntu_kernel_selftests failed with FAIL: address
    proto IPv4 / IPv6 (LP: #2031531)
    - selftests: rtnetlink: skip tests if tools or feats are missing

  * TBT call trace while connecting TBT4 monitor on TBT5 port (LP: #2137613)
    - drm/i915/psr: Do not unnecessarily remove underrun on idle PSR WA

  * No output on external monitor when connecting to dell dock (LP: #2131066)
    - drm/i915/dsc: Add helper to enable the DSC configuration for a CRTC
    - drm/i915/dp: Ensure the FEC state stays disabled for UHBR links
    - drm/i915/dp: Export helper to determine if FEC on non-UHBR links is
      required
    - drm/i915/dp_mst: Reuse the DP-SST helper function to compute FEC config
    - drm/i915/dp_mst: Track DSC enabled status on the MST link
    - drm/i915/dp_mst: Recompute all MST link CRTCs if DSC gets enabled on the
      link
    - drm/i915/psr: Underrun on idle PSR wa only when pkgc latency > delayed
      vblank
    - drm/i915/display: Remove unused declarations of intel_io_*
    - drm/i915/dp: Fix panel replay when DSC is enabled

  * [questing] kernel BUG at lib/string_helpers.c:1043! (LP: #2129580)
    - erspan: Initialize options_len before referencing options.

  * Hotplug dock with monitor leads to call trace (LP: #2130998)
    - drm/i915/psr: Check pause counter before continuing to PSR activation
    - drm/i915/psr: Check PSR pause counter in __psr_wait_for_idle_locked

  * [SRU] Fix the error during suspend on cs42l43 (LP: #2138423)
    - mfd: cs42l43: Remove IRQ masking in suspend
    - ASoC: cs42l43: Rename system suspend callback and fix debug print
    - ASoC: cs42l43: Store IRQ domain in codec private data
    - ASoC: cs42l43: Disable IRQs in system suspend
    - ASoC: cs42l43: Shutdown jack detection on suspend

  * noble/plucky: ubuntu_kselftests_ftrace fails 7 ftrace:test.d tests for
    riscv64 on openstack:riscv64.vm (LP: #2124276)
    - riscv: Enable ARCH_HAVE_NMI_SAFE_CMPXCHG
    - [Config] Enable ARCH_HAVE_NMI_SAFE_CMPXCHG for riscv64

  * Got call trace when plug in device/AC in type-c port(both TBT5/TBT4)
    (LP: #2138192)
    - usb: typec: ucsi: Add support for READ_POWER_LEVEL command
    - usb: typec: ucsi: Add check for UCSI version

  * Export CWSR size to userspace (LP: #2134491)
    - drm/amdkfd: bump minimum vgpr size for gfx1151
    - drm/amdkfd: Export the cwsr_size and ctl_stack_size to userspace

  * [SRU] add pmc c6 support of Arrow Lake (LP: #2137615)
    - platform/x86:intel/pmc: Update Arrow Lake telemetry GUID
    - platform/x86:intel/pmc: Add support for multiple DMU GUIDs
    - platform/x86:intel/pmc: Add DMU GUID to Arrow Lake U/H

  * net:tap in ubuntu_kselftests_net fails on Noble (buffer overflow detected)
    (LP: #2067642)
    - SAUCE: selftests: net: fix "buffer overflow detected" for tap.c

  * MT7925 wifi is hard blocked on HP's machine (LP: #2127044)
    - SAUCE: wifi: mt76: mt7925: add DMI quirk for HP Z2 Mini G1a Workstation

  * No on-screen keyboard on dell tablets (LP: #2122398)
    - platform/x86/intel/hid: Add Dell Pro Rugged 10/12 tablet to VGBS DMI
      quirks

  * Enable RTL ASPM for more new Dell platforms (LP: #2133144)
    - SAUCE: r8169: Add more Dell platforms to enable ASPM

  * Enable RTL ASPM for new Dell platforms (LP: #2121200)
    - SAUCE: r8169: enable ASPM on all new Dell platforms

  * Questing update: v6.17.13 upstream stable release (LP: #2139960)
    - smack: deduplicate "does access rule request transmutation"
    - smack: fix bug: SMACK64TRANSMUTE set on non-directory
    - smack: deduplicate xattr setting in smack_inode_init_security()
    - smack: always "instantiate" inode in smack_inode_init_security()
    - smack: fix bug: invalid label of unix socket file
    - smack: fix bug: setting task label silently ignores input garbage
    - accel/ivpu: Ensure rpm_runtime_put in case of engine reset/resume fail
    - drm/panel: visionox-rm69299: Fix clock frequency for SHIFT6mq
    - drm/panel: visionox-rm69299: Don't clear all mode flags
    - accel/ivpu: Rework bind/unbind of imported buffers
    - accel/ivpu: Make function parameter names consistent
    - accel/ivpu: Fix DCT active percent format
    - bpf: Cleanup unused func args in rqspinlock implementation
    - tools/nolibc: handle NULL wstatus argument to waitpid()
    - USB: Fix descriptor count when handling invalid MBIM extended descriptor
    - perf bpf_counter: Fix opening of "any"(-1) CPU events
    - ima: Attach CREDS_CHECK IMA hook to bprm_creds_from_file LSM hook
    - pinctrl: renesas: rzg2l: Fix PMC restore
    - clk: renesas: cpg-mssr: Add missing 1ms delay into reset toggle callback
    - clk: renesas: cpg-mssr: Read back reset registers to assure values
      latched
    - drm: atmel-hlcdc: fix atmel_xlcdc_plane_setup_scaler()
    - HID: logitech-hidpp: Do not assume FAP in hidpp_send_message_sync()
    - remoteproc: imx_rproc: Fix runtime PM cleanup and improve remove path
    - objtool: Fix standalone --hacks=jump_label
    - objtool: Fix weak symbol detection
    - accel/ivpu: Fix race condition when mapping dmabuf
    - perf parse-events: Fix legacy cache events if event is duplicated in a
      PMU
    - wifi: ath10k: move recovery check logic into a new work
    - wifi: ath11k: restore register window after global reset
    - wifi: ath12k: fix VHT MCS assignment
    - wifi: ath12k: fix TX and RX MCS rate configurations in HE mode
    - sched/fair: Forfeit vruntime on yield
    - irqchip/bcm2712-mip: Fix OF node reference imbalance
    - irqchip/bcm2712-mip: Fix section mismatch
    - irqchip/irq-bcm7038-l1: Fix section mismatch
    - irqchip/irq-bcm7120-l2: Fix section mismatch
    - irqchip/irq-brcmstb-l2: Fix section mismatch
    - irqchip/imx-mu-msi: Fix section mismatch
    - irqchip/renesas-rzg2l: Fix section mismatch
    - irqchip/starfive-jh8100: Fix section mismatch
    - irqchip/qcom-irq-combiner: Fix section mismatch
    - crypto: authenc - Correctly pass EINPROGRESS back up to the caller
    - dt-bindings: clock: qcom,x1e80100-gcc: Add missing USB4 clocks/resets
    - clk: qcom: gcc-x1e80100: Add missing USB4 clocks/resets
    - rculist: Add hlist_nulls_replace_rcu() and
      hlist_nulls_replace_init_rcu()
    - inet: Avoid ehash lookup race in inet_ehash_insert()
    - inet: Avoid ehash lookup race in inet_twsk_hashdance_schedule()
    - iio: imu: st_lsm6dsx: Fix measurement unit for odr struct member
    - firmware: qcom: tzmem: fix qcom_tzmem_policy kernel-doc
    - block/mq-deadline: Introduce dd_start_request()
    - block/mq-deadline: Switch back to a single dispatch list
    - arm64: dts: freescale: imx8mp-venice-gw7905-2x: remove duplicate usdhc1
      props
    - arm64: dts: imx8mm-venice-gw72xx: remove unused sdhc1 pinctrl
    - arm64: dts: imx8mp-venice-gw702x: remove off-board uart
    - arm64: dts: imx8mp-venice-gw702x: remove off-board sdhc1
    - arm64: dts: imx95-15x15-evk: add fan-supply property for pwm-fan
    - perf annotate: Check return value of evsel__get_arch() properly
    - arm64: dts: exynos: gs101: fix sysreg_apm reg property
    - PCI: rcar-gen2: Drop ARM dependency from PCI_RCAR_GEN2
    - uio: uio_fsl_elbc_gpcm:: Add null pointer check to
      uio_fsl_elbc_gpcm_probe
    - tty: introduce tty_port_tty guard()
    - tty: serial: imx: Only configure the wake register when device is set as
      wakeup source
    - clk: qcom: camcc-sm8550: Specify Titan GDSC power domain as a parent to
      other
    - clk: qcom: camcc-sm6350: Specify Titan GDSC power domain as a parent to
      other
    - clk: qcom: gcc-sm8750: Add a new frequency for sdcc2 clock
    - clk: qcom: gcc-ipq5424: Correct the icc_first_node_id
    - clk: qcom: camcc-sm6350: Fix PLL config of PLL2
    - clk: qcom: camcc-sm7150: Fix PLL config of PLL2
    - soc: qcom: gsbi: fix double disable caused by devm
    - crypto: hisilicon/qm - restore original qos values
    - wifi: ath11k: fix VHT MCS assignment
    - s390/smp: Fix fallback CPU detection
    - scsi: ufs: core: Move the ufshcd_enable_intr() declaration
    - s390/ap: Don't leak debug feature files if AP instructions are not
      available
    - tools/power turbostat: Regression fix Uncore MHz printed in hex
    - wifi: ath12k: restore register window after global reset
    - leds: upboard: Fix module alias
    - PCI: endpoint: pci-epf-test: Fix sleeping function being called from
      atomic context
    - arm64: dts: ti: k3-am62p: Fix memory ranges for GPU
    - firmware: imx: scu-irq: fix OF node leak in
    - arm64: dts: qcom: x1e80100: Fix compile warnings for USB HS controller
    - arm64: dts: qcom: x1e80100: Add missing quirk for HS only USB controller
    - arm64: dts: qcom: sdm845-starqltechn: remove (address|size)-cells
    - arm64: dts: qcom: starqltechn: remove extra empty line
    - arm64: dts: qcom: sdm845-starqltechn: fix max77705 interrupts
    - arm64: dts: qcom: sdm845-oneplus: Correct gpio used for slider
    - arm64: dts: qcom: qcm6490-fairphone-fp5: Add supplies to simple-fb node
    - arm64: dts: qcom: sm8650: set ufs as dma coherent
    - arm64: dts: qcom: qcm6490-shift-otter: Add missing reserved-memory
    - arm64: dts: qcom: sdm845-starqltechn: Fix i2c-gpio node name
    - perf hwmon_pmu: Fix uninitialized variable warning
    - phy: mscc: Fix PTP for VSC8574 and VSC8572
    - sctp: Defer SCTP_DBG_OBJCNT_DEC() to sctp_destroy_sock().
    - arm64: dts: qcom: qcm2290: Add CCI node
    - arm64: dts: qcom: qcm2290: Fix camss register prop ordering
    - ARM: dts: renesas: gose: Remove superfluous port property
    - ARM: dts: renesas: r9a06g032-rzn1d400-db: Drop invalid #cells properties
    - drm/amdgpu: add userq object va track helpers
    - drm/amdgpu/userq: fix SDMA and compute validation
    - wifi: iwlwifi: mld: add null check for kzalloc() in
      iwl_mld_send_proto_offload()
    - Revert "mtd: rawnand: marvell: fix layouts"
    - mtd: nand: relax ECC parameter validation check
    - mtd: rawnand: lpc32xx_slc: fix GPIO descriptor leak on probe error and
      remove
    - perf: Remove get_perf_callchain() init_nr argument
    - bpf: Refactor stack map trace depth calculation into helper function
    - perf/x86/intel/cstate: Remove PC3 support from LunarLake
    - task_work: Fix NMI race condition
    - x86/dumpstack: Prevent KASAN false positive warnings in __show_regs()
    - accel/ivpu: Remove skip of dma unmap for imported buffers
    - tools/nolibc/stdio: let perror work when NOLIBC_IGNORE_ERRNO is set
    - tools/nolibc/dirent: avoid errno in readdir_r
    - clk: qcom: gcc-qcs615: Update the SDCC clock to use shared_floor_ops
    - soc: qcom: smem: fix hwspinlock resource leak in probe error paths
    - pinctrl: stm32: fix hwspinlock resource leak in probe function
    - drm: nova: select NOVA_CORE
    - [Config] select NOVA_CORE
    - gpu: nova-core: select RUST_FW_LOADER_ABSTRACTIONS
    - pidfs: add missing PIDFD_INFO_SIZE_VER1
    - pidfs: add missing BUILD_BUG_ON() assert on struct pidfd_info
    - i3c: fix refcount inconsistency in i3c_master_register
    - i3c: master: svc: Prevent incomplete IBI transaction
    - random: use offstack cpumask when necessary
    - wifi: ath12k: fix potential memory leak in ath12k_wow_arp_ns_offload()
    - wifi: ath12k: fix reusing m3 memory
    - wifi: ath12k: fix error handling in creating hardware group
    - wifi: ath12k: unassign arvif on scan vdev create failure
    - interconnect: qcom: msm8996: add missing link to SLAVE_USB_HS
    - arm64: dts: qcom: msm8996: add interconnect paths to USB2 controller
    - accel/amdxdna: Fix incorrect command state for timed out job
    - interconnect: debugfs: Fix incorrect error handling for NULL path
    - arm64: dts: renesas: sparrow-hawk: Fix full-size DP connector node name
      and labels
    - drm/imagination: Fix reference to
      devm_platform_get_and_ioremap_resource()
    - perf lock contention: Load kernel map before lookup
    - perf record: skip synthesize event when open evsel failed
    - timers/migration: Convert "while" loops to use "for"
    - timers/migration: Remove locking on group connection
    - timers/migration: Fix imbalanced NUMA trees
    - power: supply: rt5033_charger: Fix device node reference leaks
    - power: supply: cw2015: Check devm_delayed_work_autocancel() return code
    - power: supply: max17040: Check iio_read_channel_processed() return code
    - power: supply: rt9467: Return error on failure in
      rt9467_set_value_from_ranges()
    - power: supply: rt9467: Prevent using uninitialized local variable in
      rt9467_set_value_from_ranges()
    - power: supply: wm831x: Check wm831x_set_bits() return value
    - power: supply: apm_power: only unset own apm_get_power_status
    - scsi: target: Do not write NUL characters into ASCII configfs output
    - scsi: target: Fix LUN/device R/W and total command stats
    - fs/9p: Don't open remote file with APPEND mode when writeback cache is
      used
    - drm/panthor: Handle errors returned by drm_sched_entity_init()
    - drm/panthor: Fix group_free_queue() for partially initialized queues
    - drm/panthor: Fix race with suspend during unplug
    - firmware: ti_sci: Set IO Isolation only if the firmware is capable
    - cleanup: fix scoped_class()
    - libbpf: Fix parsing of multi-split BTF
    - ARM: dts: am335x-netcom-plus-2xx: add missing GPIO labels
    - ARM: dts: omap3: beagle-xm: Correct obsolete TWL4030 power compatible
    - ARM: dts: omap3: n900: Correct obsolete TWL4030 power compatible
    - entry,unwind/deferred: Fix unwind_reset_info() placement
    - x86/boot: Fix page table access in 5-level to 4-level paging transition
    - efi/libstub: Fix page table access in 5-level to 4-level paging
      transition
    - locktorture: Fix memory leak in param_set_cpumask()
    - wifi: rtw89: usb: use common error path for skbs in
      rtw89_usb_rx_handler()
    - wifi: rtw89: usb: fix leak in rtw89_usb_write_port()
    - mfd: da9055: Fix missing regmap_del_irq_chip() in error path
    - wifi: ath12k: Fix timeout error during beacon stats retrieval
    - ext4: correct the checking of quota files before moving extents
    - accel/amdxdna: Fix dma_fence leak when job is canceled
    - io_uring: use WRITE_ONCE for user shared memory
    - perf/x86/intel: Correct large PEBS flag check
    - regulator: core: disable supply if enabling main regulator fails
    - md: delete mddev kobj before deleting gendisk kobj
    - scsi: stex: Fix reboot_notifier leak in probe error path
    - [Config] remove most i2c driver
    - iio: imu: bmi270: fix dev_err_probe error msg
    - dt-bindings: PCI: amlogic: Fix the register name of the DBI region
    - RDMA/rtrs: server: Fix error handling in get_or_create_srv
    - ARM: dts: stm32: stm32mp157c-phycore: Fix STMPE811 touchscreen node
      properties
    - drm/panthor: Fix potential memleak of vma structure
    - scsi: ufs: core: fix incorrect buffer duplication in
      ufshcd_read_string_desc()
    - md: delete md_redundancy_group when array is becoming inactive
    - cpufreq/amd-pstate: Call cppc_set_auto_sel() only for online CPUs
    - powerpc/kdump: Fix size calculation for hot-removed memory ranges
    - powerpc/32: Fix unpaired stwcx. on interrupt exit
    - wifi: cw1200: Fix potential memory leak in cw1200_bh_rx_helper()
    - coresight: Change device mode to atomic type
    - coresight: etm4x: Always set tracer's device mode on target CPU
    - coresight: etm3x: Always set tracer's device mode on target CPU
    - coresight: etm4x: Correct polling IDLE bit
    - coresight: etm4x: Add context synchronization before enabling trace
    - coresight: etm4x: Properly control filter in CPU idle with FEAT_TRF
    - perf tools: Fix missing feature check for inherit + SAMPLE_READ
    - drm/tidss: Remove max_pclk_khz and min_pclk_khz from tidss display
      features
    - drm/tidss: Move OLDI mode validation to OLDI bridge mode_valid hook
    - clk: renesas: r9a09g077: Propagate rate changes to parent clocks
    - clk: renesas: r9a06g032: Fix memory leak in error path
    - lib/vsprintf: Check pointer before dereferencing in time_and_date()
    - ocfs2: use correct endian in ocfs2_dinode_has_extents
    - ACPI: property: Fix fwnode refcount leak in
      acpi_fwnode_graph_parse_endpoint()
    - scsi: sim710: Fix resource leak by adding missing ioport_unmap() calls
    - leds: netxbig: Fix GPIO descriptor leak in error paths
    - accel/amdxdna: Clear mailbox interrupt register during channel creation
    - accel/amdxdna: Fix deadlock between context destroy and job timeout
    - PCI: keystone: Exit ks_pcie_probe() for invalid mode
    - arm64: dts: rockchip: Move the EEPROM to correct I2C bus on Radxa ROCK
      5A
    - arm64: dts: rockchip: Add eeprom vcc-supply for Radxa ROCK 5A
    - arm64: dts: rockchip: Add eeprom vcc-supply for Radxa ROCK 3C
    - crypto: iaa - Fix incorrect return value in save_iaa_wq()
    - arm64: dts: qcom: qrb2210-rb1: Fix UART3 wakeup IRQ storm
    - drm/msm/dpu: drop dpu_hw_dsc_destroy() prototype
    - ps3disk: use memcpy_{from,to}_bvec index
    - PCI: Prevent resource tree corruption when BAR resize fails
    - bpf: Prevent nesting overflow in bpf_try_get_buffers
    - bpf: Handle return value of ftrace_set_filter_ip in register_fentry
    - selftests/bpf: Fix failure paths in send_signal test
    - mshv: Fix deposit memory in MSHV_ROOT_HVCALL
    - watchdog: wdat_wdt: Fix ACPI table leak in probe function
    - watchdog: starfive: Fix resource leak in probe error path
    - fuse_ctl_add_conn(): fix nlink breakage in case of early failure
    - tracefs: fix a leak in eventfs_create_events_dir()
    - NFSD/blocklayout: Fix minlength check in proc_layoutget
    - arm64: dts: imx95-tqma9596sa: fix TPM5 pinctrl node name
    - arm64: dts: imx95-tqma9596sa: reduce maximum FlexSPI frequency to 66MHz
    - block/blk-throttle: Fix throttle slice time for SSDs
    - drm/msm: Fix NULL pointer dereference in crashstate_get_vm_logs()
    - drm/msm: fix missing NULL check after kcalloc in crashstate_get_bos()
    - drm/msm/a2xx: stop over-complaining about the legacy firmware
    - net: phy: Add helper for fixing RGMII PHY mode based on internal mac
      delay
    - net: stmmac: dwmac-sophgo: Add phy interface filter
    - powerpc/64s/hash: Restrict stress_hpt_struct memblock region to within
      RMA limit
    - powerpc/64s/ptdump: Fix kernel_hash_pagetable dump for ISA v3.00 HPTE
      format
    - net: stmmac: Fix VLAN 0 deletion in vlan_del_hw_rx_fltr()
    - fs/ntfs3: out1 also needs to put mi
    - fs/ntfs3: Prevent memory leaks in add sub record
    - drm/mediatek: Fix CCORR mtk_ctm_s31_32_to_s1_n function issue
    - drm/msm/a6xx: Flush LRZ cache before PT switch
    - drm/msm/a6xx: Fix the gemnoc workaround
    - drm/msm/a6xx: Improve MX rail fallback in RPMH vote init
    - spi: sophgo: Fix incorrect use of bus width value macros
    - ipv6: clear RA flags when adding a static route
    - perf arm_spe: Fix memset subclass in operation
    - pwm: bcm2835: Make sure the channel is enabled after pwm_request()
    - scsi: ufs: rockchip: Reset controller on PRE_CHANGE of hce enable notify
    - net: phy: realtek: create rtl8211f_config_rgmii_delay()
    - iommu/vt-d: Fix unused invalidation hint in qi_desc_iotlb
    - wifi: mac80211: fix CMAC functions not handling errors
    - mfd: mt6397-irq: Fix missing irq_domain_remove() in error path
    - mfd: mt6358-irq: Fix missing irq_domain_remove() in error path
    - of/fdt: Consolidate duplicate code into helper functions
    - of/fdt: Fix incorrect use of dt_root_addr_cells in
      early_init_dt_check_kho()
    - leds: rgb: leds-qcom-lpg: Don't enable TRILED when configuring PWM
    - phy: renesas: rcar-gen3-usb2: Fix an error handling path in
      rcar_gen3_phy_usb2_probe()
    - phy: rockchip: naneng-combphy: Add SoC prefix to register definitions
    - phy: rockchip: naneng-combphy: Fix PCIe L1ss support RK3562
    - phy: freescale: Initialize priv->lock
    - phy: rockchip: samsung-hdptx: Fix reported clock rate in high bpc mode
    - phy: rockchip: samsung-hdptx: Reduce ROPLL loop bandwidth
    - phy: rockchip: samsung-hdptx: Prevent Inter-Pair Skew from exceeding the
      limits
    - ASoC: SDCA: Fix missing dash in HIDE DisCo property
    - selftests/bpf: Use ASSERT_STRNEQ to factor in long slab cache names
    - net: phy: adin1100: Fix software power-down ready condition
    - cpuset: Treat cpusets in attaching as populated
    - clk: spacemit: Set clk_hw_onecell_data::num before using flex array
    - RAS: Report all ARM processor CPER information to userspace
    - usb: chaoskey: fix locking for O_NONBLOCK
    - usb: dwc2: fix hang during shutdown if set as peripheral
    - usb: dwc2: fix hang during suspend if set as peripheral
    - usb: raw-gadget: cap raw_io transfer length to KMALLOC_MAX_SIZE
    - regulator: pca9450: Fix error code in probe()
    - selftests/bpf: skip test_perf_branches_hw() on unsupported platforms
    - selftests/bpf: Improve reliability of test_perf_branches_no_hw()
    - crypto: ccree - Correctly handle return of sg_nents_for_len
    - RISC-V: KVM: Fix guest page fault within HLV* instructions
    - erofs: correct FSDAX detection
    - RDMA/bnxt_re: Fix the inline size for GenP7 devices
    - RDMA/bnxt_re: Pass correct flag for dma mr creation
    - crypto: ahash - Fix crypto_ahash_import with partial block data
    - crypto: ahash - Zero positive err value in ahash_update_finish
    - ASoC: tas2781: correct the wrong period
    - wifi: mt76: mt7921: add MBSSID support
    - Revert "wifi: mt76: mt792x: improve monitor interface handling"
    - wifi: mt76: mt7996: fix max nss value when getting rx chainmask
    - wifi: mt76: mt7996: fix implicit beamforming support for mt7992
    - wifi: mt76: mt7996: fix several fields in mt7996_mcu_bss_basic_tlv()
    - wifi: mt76: mt7996: fix teardown command for an MLD peer
    - wifi: mt76: mt7996: set link_valid field when initializing wcid
    - wifi: mt76: mt7996: fix MLD group index assignment
    - wifi: mt76: mt7996: fix using wrong phy to start in mt7996_mac_restart()
    - wifi: mt76: mt7996: grab mt76 mutex in mt7996_mac_sta_event()
    - wifi: mt76: mt7996: skip deflink accounting for offchannel links
    - wifi: mt76: mt7996: Add missing locking in mt7996_mac_sta_rc_work()
    - firmware: stratix10-svc: fix make htmldocs warning for stratix10_svc
    - staging: fbtft: core: fix potential memory leak in fbtft_probe_common()
    - iommu/arm-smmu-v3: Fix error check in arm_smmu_alloc_cd_tables
    - btrfs: fix leaf leak in an error path in btrfs_del_items()
    - PCI: dwc: Fix wrong PORT_LOGIC_LTSSM_STATE_MASK definition
    - drm/nouveau: restrict the flush page to a 32-bit address
    - um: Don't rename vmap to kernel_vmap
    - iomap: always run error completions in user context
    - wifi: ieee80211: correct FILS status codes
    - backlight: lp855x: Fix lp855x.h kernel-doc warnings
    - iommu/arm-smmu-qcom: Enable use of all SMR groups when running bare-
      metal
    - RDMA/irdma: Fix data race in irdma_sc_ccq_arm
    - RDMA/irdma: Fix data race in irdma_free_pble
    - RDMA/irdma: Do not directly rely on IB_PD_UNSAFE_GLOBAL_RKEY
    - drm/panthor: Avoid adding of kernel BOs to extobj list
    - clocksource/drivers/ralink: Fix resource leaks in init error path
    - clocksource/drivers/stm: Fix double deregistration on probe failure
    - clocksource/drivers/nxp-stm: Fix section mismatches
    - clocksource/drivers/nxp-stm: Prevent driver unbind
    - ASoC: nau8325: use simple i2c probe function
    - ASoC: nau8325: add missing build config
    - [Config] enable NAU8325 codec
    - ASoC: fsl_xcvr: clear the channel status control memory
    - firmware_loader: make RUST_FW_LOADER_ABSTRACTIONS select FW_LOADER
    - [Config] enable RUST_FW_LOADER_ABSTRACTIONS
    - [Config] enable AMCC QT2025 PHY driver
    - greybus: gb-beagleplay: Fix timeout handling in bootloader functions
    - misc: rp1: Fix an error handling path in rp1_probe()
    - drm/amd/display: Fix logical vs bitwise bug in
      get_embedded_panel_info_v2_1()
    - hwmon: sy7636a: Fix regulator_enable resource leak on error path
    - ACPI: processor_core: fix map_x2apic_id for amd-pstate on am4
    - ublk: prevent invalid access with DEBUG
    - ext4: improve integrity checking in __mb_check_buddy by enhancing
      order-0 validation
    - selftests/net: packetdrill: pass send_omit_free to MSG_ZEROCOPY tests
    - of: Skip devicetree kunit tests when RISCV+ACPI doesn't populate root
      node
    - virtio_vdpa: fix misleading return in void function
    - virtio: fix typo in virtio_device_ready() comment
    - virtio: fix whitespace in virtio_config_ops
    - virtio: fix grammar in virtio_queue_info docs
    - virtio: fix virtqueue_set_affinity() docs
    - vdpa/mlx5: Fix incorrect error code reporting in query_virtqueues
    - vhost: Fix kthread worker cgroup failure handling
    - vdpa/pds: use %pe for ERR_PTR() in event handler registration
    - virtio: clean up features qword/dword terms
    - ASoC: Intel: catpt: Fix error path in hw_params()
    - spi: airoha-snfi: en7523: workaround flash damaging if UART_TXD was
      short to GND
    - ARM: dts: samsung: universal_c210: turn off SDIO WLAN chip during system
      suspend
    - ARM: dts: samsung: exynos4210-i9100: turn off SDIO WLAN chip during
      system suspend
    - ARM: dts: samsung: exynos4210-trats: turn off SDIO WLAN chip during
      system suspend
    - ARM: dts: samsung: exynos4412-midas: turn off SDIO WLAN chip during
      system suspend
    - Reinstate "resource: avoid unnecessary lookups in find_next_iomem_res()"
    - netfilter: flowtable: check for maximum number of encapsulations in
      bridge vlan
    - netfilter: nf_conncount: rework API to use sk_buff directly
    - netfilter: nft_connlimit: update the count if add was skipped
    - net: stmmac: fix rx limit check in stmmac_rx_zc()
    - mtd: rawnand: renesas: Handle devm_pm_runtime_enable() errors
    - vfio/pci: Use RCU for error/request triggers to avoid circular locking
    - net: phy: aquantia: check for NVMEM deferral
    - selftests: bonding: add delay before each xvlan_over_bond connectivity
      check
    - mtd: lpddr_cmds: fix signed shifts in lpddr_cmds
    - rqspinlock: Enclose lock/unlock within lock entry acquisitions
    - rqspinlock: Use trylock fallback when per-CPU rqnode is busy
    - remoteproc: qcom_q6v5_wcss: fix parsing of qcom,halt-regs
    - md/raid5: fix IO hang when array is broken with IO inflight
    - clk: keystone: fix compile testing
    - net: dsa: b53: fix VLAN_ID_IDX write size for BCM5325/65
    - net: dsa: b53: fix extracting VID from entry for BCM5325/65
    - net: dsa: b53: b53_arl_read{,25}(): use the entry for comparision
    - net: dsa: b53: move reading ARL entries into their own function
    - net: dsa: b53: move writing ARL entries into their own functions
    - net: dsa: b53: provide accessors for accessing ARL_SRCH_CTL
    - net: dsa: b53: split reading search entry into their own functions
    - net: dsa: b53: move ARL entry functions into ops struct
    - net: dsa: b53: add support for 5389/5397/5398 ARL entry format
    - net: dsa: b53: use same ARL search result offset for BCM5325/65
    - net: dsa: b53: fix CPU port unicast ARL entries for BCM5325/65
    - net: dsa: b53: add support for bcm63xx ARL entry format
    - net: dsa: b53: fix BCM5325/65 ARL entry multicast port masks
    - net: dsa: b53: fix BCM5325/65 ARL entry VIDs
    - net: hsr: create an API to get hsr port type
    - net: dsa: xrs700x: reject unsupported HSR configurations
    - perf jitdump: Add sym/str-tables to build-ID generation
    - perf tools: Mark split kallsyms DSOs as loaded
    - perf tools: Fix split kallsyms DSO counting
    - perf hist: In init, ensure mem_info is put on error paths
    - pinctrl: single: Fix incorrect type for error return variable
    - fbdev: ssd1307fb: fix potential page leak in ssd1307fb_probe()
    - 9p: fix cache/debug options printing in v9fs_show_options
    - sched/fair: Fix unfairness caused by stalled tg_load_avg_contrib when
      the last task migrates out
    - sched/core: Fix psi_dequeue() for Proxy Execution
    - f2fs: maintain one time GC mode is enabled during whole zoned GC cycle
    - kbuild: install-extmod-build: Fix when given dir outside the build dir
    - kbuild: install-extmod-build: Properly fix CC expansion when ccache is
      used
    - NFS: Avoid changing nlink when file removes and attribute updates race
    - fs/nls: Fix utf16 to utf8 conversion
    - NFS: Initialise verifiers for visible dentries in readdir and lookup
    - NFS: Initialise verifiers for visible dentries in nfs_atomic_open()
    - NFS: Initialise verifiers for visible dentries in
      _nfs4_open_and_get_state
    - panthor: save task pid and comm in panthor_group
    - Revert "nfs: ignore SB_RDONLY when remounting nfs"
    - Revert "nfs: clear SB_RDONLY before getting superblock"
    - Revert "nfs: ignore SB_RDONLY when mounting nfs"
    - NFS: Fix inheritance of the block sizes when automounting
    - fs/nls: Fix inconsistency between utf8_to_utf32() and utf32_to_utf8()
    - platform/x86: asus-wmi: use brightness_set_blocking() for kbd led
    - ASoC: bcm: bcm63xx-pcm-whistler: Check return value of
      of_dma_configure()
    - ASoC: amd: acp: Audio is not resuming after s0ix
    - ASoC: ak4458: Disable regulator when error happens
    - ASoC: ak5558: Disable regulator when error happens
    - f2fs: revert summary entry count from 2048 to 512 in 16kb block support
    - blk-mq: Abort suspend when wakeup events are pending
    - block: fix comment for op_is_zone_mgmt() to include RESET_ALL
    - nvme-auth: use kvfree() for memory allocated with kvcalloc()
    - drm/plane: Fix IS_ERR() vs NULL check in
      drm_plane_create_hotspot_properties()
    - regulator: fixed: Rely on the core freeing the enable GPIO
    - drm/nouveau: refactor deprecated strcpy
    - drm/nouveau: fix circular dep oops from vendored i2c encoder
    - cifs: Fix handling of a beyond-EOF DIO/unbuffered read over SMB1
    - cifs: Fix handling of a beyond-EOF DIO/unbuffered read over SMB2
    - docs: hwmon: fix link to g762 devicetree binding
    - i2c: spacemit: fix detect issue
    - dma/pool: eliminate alloc_pages warning in atomic_pool_expand
    - ALSA: uapi: Fix typo in asound.h comment
    - drm/amdkfd: Use huge page size to check split svm range alignment
    - rtc: gamecube: Check the return value of ioremap()
    - rtc: max31335: Fix ignored return value in set_alarm
    - ARM: 9464/1: fix input-only operand modification in
      load_unaligned_zeropad()
    - drm/xe/fbdev: use the same 64-byte stride alignment as i915
    - drm/i915/fbdev: make intel_framebuffer_create() error return handling
      explicit
    - drm/{i915, xe}/fbdev: pass struct drm_device to intel_fbdev_fb_alloc()
    - drm/{i915, xe}/fbdev: deduplicate struct drm_mode_fb_cmd2 init
    - drm/i915/fbdev: Hold runtime PM ref during fbdev BO creation
    - ASoC: amd: acp: update tdm channels for specific DAI
    - dm-raid: fix possible NULL dereference with undefined raid type
    - dm log-writes: Add missing set_freezable() for freezable kthread
    - efi/cper: Add a new helper function to print bitmasks
    - efi/cper: Adjust infopfx size to accept an extra space
    - efi/cper: align ARM CPER type with UEFI 2.9A/2.10 specs
    - perf/core: Fix missing read event generation on task exit
    - cpu: Make atomic hotplug callbacks run with interrupts disabled on UP
    - ocfs2: fix memory leak in ocfs2_merge_rec_left()
    - perf/x86/intel: Fix NULL event dereference crash in handle_pmi_common()
    - usb: gadget: tegra-xudc: Always reinitialize data toggle when clear halt
    - usb: typec: ucsi: fix probe failure in gaokun_ucsi_probe()
    - usb: phy: Initialize struct usb_phy list_head
    - usb: dwc3: dwc3_power_off_all_roothub_ports: Use ioremap_np when
      required
    - ALSA: hda/realtek: Add match for ASUS Xbox Ally projects
    - ALSA: hda/tas2781: fix speaker id retrieval for multiple probes
    - ASoC: codecs: nau8325: Silence uninitialized variables warnings
    - Linux 6.17.13

  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68344
    - ALSA: wavefront: Fix integer overflow in sample size validation

  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68345
    - ALSA: hda: cs35l41: Fix NULL pointer dereference in
      cs35l41_hda_read_acpi()

  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68346
    - ALSA: dice: fix buffer overflow in detect_stream_formats()

  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68323
    - usb: typec: ucsi: fix use-after-free caused by uec->work

  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68766
    - irqchip/mchp-eic: Fix error code in mchp_eic_domain_alloc()

  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68324
    - scsi: imm: Fix use-after-free bug caused by unfinished delayed work

  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68756
    - block: Use RCU in blk_mq_[un]quiesce_tagset() instead of
      set->tag_list_lock

  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68753
    - ALSA: firewire-motu: add bounds check in put_user loop for DSP events

  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68347
    - ALSA: firewire-motu: fix buffer overflow in hwdep read for DSP events

  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68348
    - block: fix memory leak in __blkdev_issue_zero_pages

  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68764
    - NFS: Automounted filesystems should inherit ro,noexec,nodev,sync flags

  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68735
    - drm/panthor: Prevent potential UAF in group creation

  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68349
    - NFSv4/pNFS: Clear NFS_INO_LAYOUTCOMMIT in
      pnfs_mark_layout_stateid_invalid

  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68754
    - rtc: amlogic-a4: fix double free caused by devm

  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68325
    - net/sched: sch_cake: Fix incorrect qlen reduction in cake_drop

  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68762
    - net: netpoll: initialize work queue before error checks

  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68352
    - spi: ch341: fix out-of-bounds memory access in ch341_transfer_one

  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68752
    - iavf: Implement settime64 with -EOPNOTSUPP

  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68354
    - regulator: core: Protect regulator_supply_alias_list with
      regulator_list_mutex

  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68356
    - gfs2: Prevent recursive memory reclaim

  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68758
    - backlight: led-bl: Add devlink to supplier LEDs

  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68358
    - btrfs: fix racy bitfield write in btrfs_clear_space_info_full()

  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68359
    - btrfs: fix double free of qgroup record after failure to add delayed ref
      head

  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68765
    - mt76: mt7615: Fix memory leak in mt7615_mcu_wtbl_sta_add()

  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68360
    - wifi: mt76: wed: use proper wed reference in mt76 wed driver callabacks

  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68738
    - wifi: mt76: mt7996: fix null pointer deref in mt7996_conf_tx()

  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68361
    - erofs: limit the level of fs stacking for file-backed mounts

  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68739
    - PM / devfreq: hisi: Fix potential UAF in OPP handling

  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68763
    - crypto: starfive - Correctly handle return of sg_nents_for_len

  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68740
    - ima: Handle error code returned by ima_filter_rule_match()

  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68362
    - wifi: rtl818x: rtl8187: Fix potential buffer underflow in
      rtl8187_rx_cb()

  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68741
    - scsi: qla2xxx: Fix improper freeing of purex item

  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68742
    - bpf: Fix invalid prog->stats access when update_effective_progs fails

  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68759
    - wifi: rtl818x: Fix potential memory leaks in rtl8180_init_rx_ring()

  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68743
    - mshv: Fix create memory region overlap check

  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68363
    - bpf: Check skb->transport_header is set in bpf_skb_check_mtu

  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68751
    - s390/fpu: Fix false-positive kmsan report in fpu_vstl()

  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68744
    - bpf: Free special fields when update [lru_,]percpu_hash maps

  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68364
    - ocfs2: relax BUG() to ocfs2_error() in __ocfs2_move_extent()

  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68366
    - nbd: defer config unlock in nbd_genl_connect

  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68367
    - macintosh/mac_hid: fix race condition in mac_hid_toggle_emumouse

  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68369
    - ntfs3: init run lock for extend inode

  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68370
    - coresight: tmc: add the handle of the event to the path

  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68755
    - staging: most: remove broken i2c driver

  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68371
    - scsi: smartpqi: Fix device resources accessed after device removal

  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68372
    - nbd: defer config put in recv_work

  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68373
    - md: avoid repeated calls to del_gendisk

  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68374
    - md: fix rcu protection in md_wakeup_thread

  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68375
    - perf/x86: Fix NULL event access and potential PEBS record loss

  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68376
    - coresight: ETR: Fix ETR buffer use-after-free issue

  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68746
    - spi: tegra210-quad: Fix timeout handling

  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68760
    - iommu/amd: Fix potential out-of-bounds read in iommu_mmio_show

  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68747
    - drm/panthor: Fix UAF on kernel BO VA nodes

  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68748
    - drm/panthor: Fix UAF race between device unplug and FW event processing

  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68749
    - accel/ivpu: Fix race condition when unbinding BOs

  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68378
    - bpf: Fix stackmap overflow check in __bpf_get_stackid()

  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68379
    - RDMA/rxe: Fix null deref on srq->rq.queue after resize failure

  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68380
    - wifi: ath11k: fix peer HE MCS assignment

  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68724
    - crypto: asymmetric_keys - prevent overflow in asymmetric_key_generate_id

  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68726
    - crypto: aead - Fix reqsize handling

  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68727
    - ntfs3: Fix uninit buffer allocated by __getname()

  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68728
    - ntfs3: fix uninit memory after failed mi_read in mi_format_new

  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68729
    - wifi: ath12k: Fix MSDU buffer types handling in RX error path

  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68757
    - drm/vgem-fence: Fix potential deadlock on release

  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68730
    - accel/ivpu: Fix page fault in ivpu_bo_unbind_all_bos_from_context()

  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68732
    - gpu: host1x: Fix race in syncpt alloc/free

  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68733
    - smack: fix bug: unprivileged task can create labels

  * Questing update: v6.17.12 upstream stable release (LP: #2139373)
    - Documentation: process: Also mention Sasha Levin as stable tree
      maintainer
    - jbd2: avoid bug_on in jbd2_journal_get_create_access() when file system
      corrupted
    - ext4: refresh inline data size before write operations
    - ksmbd: ipc: fix use-after-free in ipc_msg_send_request
    - locking/spinlock/debug: Fix data-race in do_raw_write_lock
    - crypto: zstd - fix double-free in per-CPU stream cleanup
    - ext4: add i_data_sem protection in ext4_destroy_inline_data_nolock()
    - comedi: pcl818: fix null-ptr-deref in pcl818_ai_cancel()
    - KVM: SVM: Don't skip unrelated instruction if INT3/INTO is replaced
    - USB: serial: option: add Foxconn T99W760
    - USB: serial: option: add Telit Cinterion FE910C04 new compositions
    - USB: serial: option: move Telit 0x10c7 composition in the right place
    - USB: serial: ftdi_sio: match on interface number for jtag
    - serial: add support of CPCI cards
    - dt-bindings: serial: rsci: Drop "uart-has-rtscts: false"
    - serial: sh-sci: Fix deadlock during RSCI FIFO overrun error
    - USB: serial: belkin_sa: fix TIOCMBIS and TIOCMBIC
    - USB: serial: kobil_sct: fix TIOCMBIS and TIOCMBIC
    - ftrace: bpf: Fix IPMODIFY + DIRECT in modify_ftrace_direct()
    - spi: xilinx: increase number of retries before declaring stall
    - spi: imx: keep dma request disabled before dma transfer setup
    - ACPI: MRRM: Fix memory leaks and improve error handling
    - drm/vmwgfx: Use kref in vmw_bo_dirty
    - arm64: Reject modules with internal alternative callbacks
    - ALSA: hda/tas2781: Add new quirk for HP new projects
    - Bluetooth: btrtl: Avoid loading the config file on security chips
    - ASoC: SDCA: bug fix while parsing mipi-sdca-control-cn-list
    - smb: fix invalid username check in smb3_fs_context_parse_param()
    - drm/amdkfd: Fix GPU mappings for APU after prefetch
    - ALSA: usb-audio: Add native DSD quirks for PureAudio DAC series
    - HID: lenovo: fixup Lenovo Yoga Slim 7x Keyboard rdesc
    - bfs: Reconstruct file type when loading from disk
    - HID: hid-input: Extend Elan ignore battery quirk to USB
    - platform/x86/amd/pmc: Add support for Van Gogh SoC
    - platform/x86: hp-wmi: mark Victus 16-r0 and 16-s0 for victus_s fan and
      thermal profile support
    - nvme: fix admin request_queue lifetime
    - pinctrl: qcom: msm: Fix deadlock in pinmux configuration
    - platform/x86: acer-wmi: Ignore backlight event
    - HID: apple: Add SONiX AK870 PRO to non_apple_keyboards quirk list
    - platform/x86: huawei-wmi: add keys for HONOR models
    - platform/x86: intel-uncore-freq: Add additional client processors
    - platform/x86/amd: pmc: Add Lenovo Legion Go 2 to pmc quirk list
    - platform/x86/amd/pmc: Add spurious_8042 to Xbox Ally
    - sched_ext: Fix possible deadlock in the deferred_irq_workfn()
    - platform/x86/intel/hid: Add Nova Lake support
    - HID: elecom: Add support for ELECOM M-XT3URBK (018F)
    - sched_ext: Use IRQ_WORK_INIT_HARD() to initialize
      rq->scx.kick_cpus_irq_work
    - LoongArch: Mask all interrupts during kexec/kdump
    - samples: work around glibc redefining some of our defines wrong
    - platform/x86: hp-wmi: Add Omen 16-wf1xxx fan support
    - platform/x86: hp-wmi: Add Omen MAX 16-ah0xx fan support and thermal
      profile
    - wifi: rtl8xxxu: Add USB ID 2001:3328 for D-Link AN3U rev. A1
    - wifi: rtw88: Add USB ID 2001:3329 for D-Link AC13U rev. A1
    - iio: adc: ad4080: fix chip identification
    - comedi: c6xdigio: Fix invalid PNP driver unregistration
    - comedi: multiq3: sanitize config options in multiq3_attach()
    - comedi: check device's attached status in compat ioctls
    - staging: rtl8723bs: fix out-of-bounds read in rtw_get_ie() parser
    - staging: rtl8723bs: fix stack buffer overflow in OnAssocReq IE parsing
    - staging: rtl8723bs: fix out-of-bounds read in OnBeacon ESR IE parsing
    - Linux 6.17.12

  * Questing update: v6.17.11 upstream stable release (LP: #2138824)
    - Bluetooth: hci_core: Fix triggering cmd_timer for HCI_OP_NOP
    - Bluetooth: SMP: Fix not generating mackey and ltk when repairing
    - drm/bridge: sii902x: Fix HDMI detection with
      DRM_BRIDGE_ATTACH_NO_CONNECTOR
    - net: phy: mxl-gpy: fix bogus error on USXGMII and integrated PHY
    - net: aquantia: Add missing descriptor cache invalidation on ATL2
    - net: phy: mxl-gpy: fix link properties on USXGMII and internal PHYs
    - net: lan966x: Fix the initialization of taprio
    - drm/xe: Fix conversion from clock ticks to milliseconds
    - net/mlx5e: Fix validation logic in rate limiting
    - xsk: avoid overwriting skb fields for multi-buffer traffic
    - drm/amdgpu: fix cyan_skillfish2 gpu info fw handling
    - dma-direct: Fix missing sg_dma_len assignment in P2PDMA bus mappings
    - net: wwan: mhi: Keep modem name match with Foxconn T99W640
    - net: dsa: sja1105: fix SGMII linking at 10M or 100M but not passing
      traffic
    - eth: fbnic: Fix counter roll-over issue
    - net: mctp: unconditionally set skb->dev on dst output
    - net: fec: cancel perout_timer when PEROUT is disabled
    - net: fec: do not update PEROUT if it is enabled
    - net: fec: do not allow enabling PPS and PEROUT simultaneously
    - net: fec: do not register PPS event for PEROUT
    - iio: st_lsm6dsx: Fixed calibrated timestamp calculation
    - usb: gadget: renesas_usbf: Handle devm_pm_runtime_enable() errors
    - mailbox: mailbox-test: Fix debugfs_create_dir error checking
    - mailbox: mtk-cmdq: Refine DMA address handling for the command buffer
    - mailbox: pcc: don't zero error register
    - spi: spi-cadence-quadspi: Remove duplicate pm_runtime_put_autosuspend()
      call
    - spi: spi-cadence-quadspi: Enable pm runtime earlier to avoid imbalance
    - ovl: fail ovl_lock_rename_workdir() if either target is unhashed
    - riscv: dts: allwinner: d1: fix vlenb property
    - spi: tegra114: remove Kconfig dependency on TEGRA20_APB_DMA
    - spi: amlogic-spifc-a1: Handle devm_pm_runtime_enable() errors
    - spi: spi-nxp-fspi: Add OCT-DTR mode support
    - spi: nxp-fspi: Propagate fwnode in ACPI case as well
    - spi: bcm63xx: fix premature CS deassertion on RX-only transactions
    - afs: Fix uninit var in afs_alloc_anon_key()
    - timekeeping: Fix error code in tk_aux_sysfs_init()
    - Revert "perf/x86: Always store regs->ip in perf_callchain_kernel()"
    - iio: buffer-dma: support getting the DMA channel
    - iio: buffer-dmaengine: enable .get_dma_dev()
    - iio: buffer: support getting dma channel from the buffer
    - iio: humditiy: hdc3020: fix units for temperature and humidity
      measurement
    - iio: humditiy: hdc3020: fix units for thresholds and hysteresis
    - iio: imu: st_lsm6dsx: fix array size for st_lsm6dsx_settings fields
    - iio: pressure: bmp280: correct meas_time_us calculation
    - iio:common:ssp_sensors: Fix an error handling path ssp_probe()
    - iio: adc: stm32-dfsdm: fix st,adc-alt-channel property handling
    - iio: accel: fix ADXL355 startup race condition
    - iio: adc: ad4030: Fix _scale value for common-mode channels
    - iio: adc: ad7124: fix temperature channel
    - iio: adc: ad7280a: fix ad7280_store_balance_timer()
    - iio: adc: ad7380: fix SPI offload trigger rate
    - iio: adc: rtq6056: Correct the sign bit index
    - MIPS: mm: Prevent a TLB shutdown on initial uniquification
    - MIPS: mm: kmalloc tlb_vpn array to avoid stack overflow
    - virtio-net: avoid unnecessary checksum calculation on guest RX
    - vhost: rewind next_avail_head while discarding descriptors
    - ALSA: hda/cirrus fix cs420x MacPro 6,1 inverted jack detection
    - ALSA: usb-audio: Add DSD quirk for LEAK Stereo 230
    - arm64: dts: imx8dxl-ss-conn: swap interrupts number of eqos
    - arm64: dts: imx8dxl: Correct pcie-ep interrupt number
    - arm64: dts: imx8qm-mek: fix mux-controller select/enable-gpios polarity
    - ARM: dts: nxp: imx6ul: correct SAI3 interrupt line
    - can: rcar_canfd: Fix CAN-FD mode as default
    - can: sja1000: fix max irq loop handling
    - can: sun4i_can: sun4i_can_interrupt(): fix max irq loop handling
    - counter: microchip-tcb-capture: Allow shared IRQ for multi-channel TCBs
    - dm-verity: fix unreliable memory allocation
    - drivers/usb/dwc3: fix PCI parent check
    - thunderbolt: Add support for Intel Wildcat Lake
    - slimbus: ngd: Fix reference count leak in qcom_slim_ngd_notify_slaves
    - nvmem: layouts: fix nvmem_layout_bus_uevent
    - pmdomain: tegra: Add GENPD_FLAG_NO_STAY_ON flag
    - r8169: fix RTL8127 hang on suspend/shutdown
    - regulator: rtq2208: Correct buck group2 phase mapping logic
    - regulator: rtq2208: Correct LDO2 logic judgment bits
    - iommufd/driver: Fix counter initialization for counted_by annotation
    - mmc: sdhci-of-dwcmshc: Promote the th1520 reset handling to ip level
    - mptcp: clear scheduled subflows on retransmit
    - mptcp: Initialise rcv_mss before calling tcp_send_active_reset() in
      mptcp_do_fastclose().
    - serial: 8250: Fix 8250_rsa symbol loop
    - serial: amba-pl011: prefer dma_mapping_error() over explicit address
      checking
    - usb: cdns3: Fix double resource release in cdns3_pci_probe
    - USB: storage: Remove subclass and protocol overrides from Novatek quirk
    - usb: typec: ucsi: psy: Set max current to zero when disconnected
    - usb: dwc3: pci: add support for the Intel Nova Lake -S
    - usb: dwc3: pci: Sort out the Intel device IDs
    - xhci: fix stale flag preventig URBs after link state error is cleared
    - xhci: dbgtty: Fix data corruption when transmitting data form DbC to
      host
    - xhci: dbgtty: fix device unregister
    - USB: serial: ftdi_sio: add support for u-blox EVK-M101
    - USB: serial: option: add support for Rolling RW101R-GL
    - drm: sti: fix device leaks at component probe
    - drm/i915/psr: Reject async flips when selective fetch is enabled
    - drm/amdgpu: attach tlb fence to the PTs update
    - drm/amd/amdgpu: reserve vm invalidation engine for uni_mes
    - drm/amd/display: Don't change brightness for disabled connectors
    - drm/amd/display: Increase EDID read retries
    - net: dsa: microchip: common: Fix checks on irq_find_mapping()
    - net: dsa: microchip: ptp: Fix checks on irq_find_mapping()
    - net: dsa: microchip: Free previously initialized ports on init failures
    - net: dsa: microchip: Fix symetry in ksz_ptp_msg_irq_{setup/free}()
    - mm: swap: remove duplicate nr_swap_pages decrement in
      get_swap_page_of_type()
    - usb: udc: Add trace event for usb_gadget_set_state
    - Revert "ACPI: Suppress misleading SPCR console message when SPCR table
      is absent"
    - spi: cadence-quadspi: Fix cqspi_probe() error handling for runtime pm
    - Linux 6.17.11

  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-68282
    - usb: gadget: udc: fix use-after-free in usb_gadget_state_work

  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-68283
    - libceph: replace BUG_ON with bounds check for map->max_osd

  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-68284
    - libceph: prevent potential out-of-bounds writes in
      handle_auth_session_key()

  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-68285
    - libceph: fix potential use-after-free in have_mon_and_osd_map()

  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-68338
    - net: dsa: microchip: Don't free uninitialized ksz_irq

  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-68286
    - drm/amd/display: Check NULL before accessing

  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-68326
    - drm/xe/guc: Fix stack_depot usage

  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-68287
    - usb: dwc3: Fix race condition between concurrent dwc3_remove_requests()
      call paths

  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-68331
    - usb: uas: fix urb unmapping issue when the uas device is remove during
      ongoing data transfer

  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-40345
    - usb: storage: sddr55: Reject out-of-bound new_pba

  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-68288
    - usb: storage: Fix memory leak in USB bulk transport

  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-68327
    - usb: renesas_usbhs: Fix synchronous external abort on unbind

  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-68289
    - usb: gadget: f_eem: Fix memory leak in eem_unwrap

  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-68290
    - most: usb: fix double free on late probe failure

  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-68292
    - mm/memfd: fix information leak in hugetlb folios

  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-68293
    - mm/huge_memory: fix NULL pointer deference when splitting folio

  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-68328
    - firmware: stratix10-svc: fix bug in saving controller data

  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-68294
    - io_uring/net: ensure vectored buffer node import is tied to notification

  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-68295
    - smb: client: fix memory leak in cifs_construct_tcon()

  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-68296
    - drm, fbcon, vga_switcheroo: Avoid race condition in fbcon setup

  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-68297
    - ceph: fix crash in process_v2_sparse_read() for encrypted directories

  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-68298
    - Bluetooth: btusb: mediatek: Avoid btusb_mtk_claim_iso_intf() NULL deref

  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-68339
    - atm/fore200e: Fix possible data race in fore200e_open()

  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-68329
    - tracing: Fix WARN_ON in tracing_buffers_mmap_close for split VMAs

  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-68330
    - iio: accel: bmc150: Fix irq assumption regression

  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-68299
    - afs: Fix delayed allocation of a cell's anonymous key

  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-68300
    - fs/namespace: fix reference leak in grab_requested_mnt_ns

  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-68301
    - net: atlantic: fix fragment overflow handling in RX path

  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-40290
    - xsk: avoid data corruption on cq descriptor number

  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-68302
    - net: sxgbe: fix potential NULL dereference in sxgbe_rx()

  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-68340
    - team: Move team device type change at the end of team_port_add

  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-68303
    - platform/x86: intel: punit_ipc: fix memory corruption

  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-68341
    - veth: reduce XDP no_direct return section to fix race

  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-68304
    - Bluetooth: hci_core: lookup hci_conn on RX path on protocol side

  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-68305
    - Bluetooth: hci_sock: Prevent race in socket write iter and sock bind

  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-68306
    - Bluetooth: btusb: mediatek: Fix kernel crash when releasing mtk iso
      interface

  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-68342
    - can: gs_usb: gs_usb_receive_bulk_callback(): check actual_length before
      accessing data

  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-68343
    - can: gs_usb: gs_usb_receive_bulk_callback(): check actual_length before
      accessing header

  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-68307
    - can: gs_usb: gs_usb_xmit_callback(): fix handling of failed transmitted
      URBs

  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-68308
    - can: kvaser_usb: leaf: Fix potential infinite loop in command parsers

  * Questing update: v6.17.10 upstream stable release (LP: #2137723)
    - arm64: dts: rockchip: Remove non-functioning CPU OPPs from RK3576
    - HID: amd_sfh: Stop sensor before starting
    - HID: quirks: work around VID/PID conflict for 0x4c4a/0x4155
    - arm64: dts: rockchip: Fix vccio4-supply on rk3566-pinetab2
    - arm64: dts: rockchip: fix PCIe 3.3V regulator voltage on orangepi-5
    - reset: imx8mp-audiomix: Fix bad mask values
    - arm64: dts: rockchip: include rk3399-base instead of rk3399 in
      rk3399-op1
    - arm64: dts: rockchip: disable HS400 on RK3588 Tiger
    - KVM: SVM: Fix redundant updates of LBR MSR intercepts
    - xfs: check the return value of sb_min_blocksize() in xfs_fs_fill_super
    - isofs: check the return value of sb_min_blocksize() in isofs_fill_super
    - shmem: fix tmpfs reconfiguration (remount) when noswap is set
    - exfat: check return value of sb_min_blocksize in exfat_read_boot_sector
    - mptcp: Disallow MPTCP subflows from sockmap
    - s390/mm: Fix __ptep_rdp() inline assembly
    - ACPI: APEI: EINJ: Fix EINJV2 initialization and injection
    - ata: libata-scsi: Fix system suspend for a security locked drive
    - selinux: rename task_security_struct to cred_security_struct
    - selinux: move avdcache to per-task security struct
    - smb: client: introduce close_cached_dir_locked()
    - wifi: rtw89: hw_scan: Don't let the operating channel be last
    - ata: libata-scsi: Add missing scsi_device_put() in ata_scsi_dev_rescan()
    - net: dsa: microchip: lan937x: Fix RGMII delay tuning
    - Revert "drm/tegra: dsi: Clear enable register if powered by bootloader"
    - Input: goodix - add support for ACPI ID GDIX1003
    - nvme: nvme-fc: move tagset removal to nvme_fc_delete_ctrl()
    - PM: sleep: core: Fix runtime PM enabling in device_resume_early()
    - MIPS: Malta: Fix !EVA SOC-it PCI MMIO
    - dt-bindings: pinctrl: toshiba,visconti: Fix number of items in groups
    - LoongArch: Don't panic if no valid cache info for PCI
    - LoongArch: Fix NUMA node parsing with numa_memblks
    - platform/x86: alienware-wmi-wmax: Fix "Alienware m16 R1 AMD" quirk order
    - platform/x86: alienware-wmi-wmax: Add support for the whole "M" family
    - platform/x86: alienware-wmi-wmax: Add support for the whole "X" family
    - platform/x86: alienware-wmi-wmax: Add support for the whole "G" family
    - platform/x86: alienware-wmi-wmax: Add AWCC support to Alienware 16
      Aurora
    - mptcp: fix ack generation for fallback msk
    - mptcp: fix duplicate reset on fastclose
    - mptcp: fix premature close in case of fallback
    - selftests: mptcp: join: endpoints: longer timeout
    - selftests: mptcp: join: userspace: longer timeout
    - mptcp: avoid unneeded subflow-level drops
    - mptcp: decouple mptcp fastclose from tcp close
    - mptcp: do not fallback when OoO is present
    - drm/tegra: dc: Fix reference leak in tegra_dc_couple()
    - drm/amdgpu: Skip emit de meta data on gfx11 with rs64 enabled
    - drm/amd/display: Increase DPCD read retries
    - drm/amd/display: Move sleep into each retry for retrieve_link_cap()
    - drm/amd/display: Clear the CUR_ENABLE register on DCN20 on DPP5
    - mm/truncate: unmap large folio on split failure
    - pinctrl: mediatek: mt8196: align register base names to dt-bindings ones
    - pinctrl: mediatek: mt8189: align register base names to dt-bindings ones
    - xfrm: drop SA reference in xfrm_state_update if dir doesn't match
    - xfrm: call xfrm_dev_state_delete when xfrm_state_migrate fails to add
      the state
    - xfrm: set err and extack on failure to create pcpu SA
    - clk: sunxi-ng: Mark A523 bus-r-cpucfg clock as critical
    - clk: sunxi-ng: sun55i-a523-r-ccu: Mark bus-r-dma as critical
    - clk: sunxi-ng: sun55i-a523-ccu: Lower audio0 pll minimum rate
    - pinctrl: realtek: Select REGMAP_MMIO for RTD driver
    - xfrm: Check inner packet family directly from skb_dst
    - xfrm: Determine inner GSO type from packet inner protocol
    - xfrm: Prevent locally generated packets from direct output in tunnel
      mode
    - pinctrl: cirrus: Fix fwnode leak in cs42l43_pin_probe()
    - platform/x86: msi-wmi-platform: Only load on MSI devices
    - platform/x86: msi-wmi-platform: Fix typo in WMI GUID
    - mips: dts: econet: fix EN751221 core type
    - mlxsw: spectrum: Fix memory leak in mlxsw_sp_flower_stats()
    - net: dsa: hellcreek: fix missing error handling in LED registration
    - net: mlxsw: linecards: fix missing error check in
      mlxsw_linecard_devlink_info_get()
    - tools: riscv: Fixed misalignment of CSR related definitions
    - nvmet-auth: update sc_c in target host hash calculation
    - drm/i915/xe3lpd: Load DMC for Xe3_LPD version 30.02
    - selftests: net: lib: Do not overwrite error messages
    - net: airoha: Add wlan flowtable TX offload
    - net: airoha: Do not loopback traffic to GDM2 if it is available on the
      device
    - platform/x86/intel/speed_select_if: Convert PCIBIOS_* return codes to
      errnos
    - platform/x86: intel-uncore-freq: fix all header kernel-doc warnings
    - drm/pcids: Split PTL pciids group to make wcl subplatform
    - drm/i915/display: Add definition for wcl as subplatform
    - drm/i915/xe3: Restrict PTL intel_encoder_is_c10phy() to only PHY A
    - drm/xe/kunit: Fix forcewake assertion in mocs test
    - drm/xe/irq: Handle msix vector0 interrupt
    - pinctrl: s32cc: initialize gpio_pin_config::list after kmalloc()
    - af_unix: Read sk_peek_offset() again after sleeping in
      unix_stream_read_generic().
    - net: phylink: add missing supported link modes for the fixed-link
    - tick/sched: Fix bogus condition in report_idle_softirq()
    - LoongArch: Use UAPI types in ptrace UAPI header
    - perf: Fix 0 count issue of cpu-clock
    - timekeeping: Fix resource leak in tk_aux_sysfs_init() error paths
    - MIPS: kernel: Fix random segmentation faults
    - ALSA: hda/realtek: Add quirk for Lenovo Yoga 7 2-in-1 14AKP10
    - sched_ext: Allocate scx_kick_cpus_pnt_seqs lazily using kvzalloc()
    - bcma: don't register devices disabled in OF
    - sched_ext: defer queue_balance_callback() until after ops.dispatch
    - ASoC: rt721: fix prepare clock stop failed
    - cifs: fix typo in enable_gcm_256 module parameter
    - scsi: core: Fix a regression triggered by scsi_host_busy()
    - ALSA: hda/realtek: Fix mute led for HP Victus 15-fa1xxx (MB 8C2D)
    - perf/x86/intel/uncore: Add uncore PMU support for Wildcat Lake
    - x86/microcode/AMD: Limit Entrysign signature checking to known
      generations
    - selftests: cachestat: Fix warning on declaration under label
    - smb: client: handle lack of IPC in dfs_cache_refresh()
    - net: tls: Change async resync helpers argument
    - blk-crypto: use BLK_STS_INVAL for alignment errors
    - net: tls: Cancel RX async resync request on rcd_delta overflow
    - x86/CPU/AMD: Extend Zen6 model range
    - kconfig/mconf: Initialize the default locale at startup
    - kconfig/nconf: Initialize the default locale at startup
    - drm/xe: Prevent BIT() overflow when handling invalid prefetch region
    - ALSA: usb-audio: fix uac2 clock source at terminal parser
    - tracing/tools: Fix incorrcet short option in usage text for --threads
    - btrfs: set inode flag BTRFS_INODE_COPY_EVERYTHING when logging new name
    - smb: client: fix incomplete backport in cfids_invalidation_worker()
    - drm/amdgpu/jpeg: Move parse_cs to amdgpu_jpeg.c
    - drm/amdgpu/jpeg: Add parse_cs for JPEG5_0_1
    - xfs: Replace strncpy with memcpy
    - drm/amd/display: Insert dccg log for easy debug
    - drm/amd/display: Prevent Gating DTBCLK before It Is Properly Latched
    - tty/vt: fix up incorrect backport to stable releases
    - Revert "drm/i915/dp: Reject HBR3 when sink doesn't support TPS4"
    - drm/i915/dp: Add device specific quirk to limit eDP rate to HBR2
    - sched_ext: Fix scx_kick_pseqs corruption on concurrent scheduler loads
    - sched_ext: fix flag check for deferred callbacks
    - Linux 6.17.10

  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-68221
    - mptcp: fix address removal logic in mptcp_pm_nl_rm_addr

  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-40246
    - xfs: fix out of bounds memory read error in symlink repair

  * Intel,External monitor flickers or no output when connected to WD25 dock
    (LP: #2136979) // Questing update: v6.17.10 upstream stable release
    (LP: #2137723)
    - drm/i915/psr: Check drm_dp_dpcd_read return value on PSR dpcd init
    - drm/i915/dp_mst: Disable Panel Replay

  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-68230
    - drm/amdgpu: fix gpu page fault after hibernation on PF passthrough

  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-68220
    - net: ethernet: ti: netcp: Standardize knav_dma_open_channel to return
      NULL on error

  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-68236
    - scsi: ufs: ufs-qcom: Fix UFS OCP issue during UFS power down (PC=3)

  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-40247
    - drm/msm: Fix pgtable prealloc error path

  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-40248
    - vsock: Ignore signal/timeout on connect() if already established

  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-68219
    - cifs: fix memory leak in smb3_fs_context_parse_param error path

  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-40249
    - gpio: cdev: make sure the cdev fd is still active before emitting events

  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-40250
    - net/mlx5: Clean up only new IRQ glue on request_irq() failure

  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-40251
    - devlink: rate: Unset parent pointer in devl_rate_nodes_destroy

  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-68222
    - pinctrl: s32cc: fix uninitialized memory in s32_pinctrl_desc

  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-68215
    - ice: fix PTP cleanup on driver removal in error path

  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-68213
    - idpf: fix possible vport_config NULL pointer deref in remove

  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-40252
    - net: qlogic/qede: fix potential out-of-bounds read in qede_tpa_cont()
      and qede_tpa_end()

  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-40253
    - s390/ctcm: Fix double-kfree

  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-68218
    - nvme-multipath: fix lockdep WARN due to partition scan work

  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-68232
    - veth: more robust handing of race to avoid txq getting stuck

  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-40254
    - net: openvswitch: remove never-working support for setting nsh fields

  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-68233
    - drm/tegra: Add call to put_pid()

  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-40255
    - net: core: prevent NULL deref in generic_hwtstamp_ioctl_lower()

  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-68228
    - drm/plane: Fix create_in_format_blob() return value

  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-68223
    - drm/radeon: delete radeon_fence_process in is_signaled, no deadlock

  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-40257
    - mptcp: fix a race in mptcp_pm_del_add_timer()

  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-40258
    - mptcp: fix race condition in mptcp_schedule_work()

  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-68216
    - LoongArch: BPF: Disable trampoline for kernel module function trace

  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-68229
    - scsi: target: tcm_loop: Fix segfault in tcm_loop_tpg_address_show()

  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-40259
    - scsi: sg: Do not sleep in atomic context

  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-40260
    - sched_ext: Fix scx_enable() crash on helper kthread creation failure

  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-40261
    - nvme: nvme-fc: Ensure ->ioerr_work is cancelled in nvme_fc_delete_ctrl()

  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-68235
    - nouveau/firmware: Add missing kfree() of nvkm_falcon_fw::boot

  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-68231
    - mm/mempool: fix poisoning order>0 pages with HIGHMEM

  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-68217
    - Input: pegasus-notetaker - fix potential out-of-bounds access

  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-40262
    - Input: imx_sc_key - fix memory corruption on unload

  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-40263
    - Input: cros_ec_keyb - fix an invalid memory access

  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-68234
    - io_uring/cmd_net: fix wrong argument types for skb_queue_splice()

  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-40264
    - be2net: pass wrb_params in case of OS2BMC

  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-68225
    - lib/test_kho: check if KHO is enabled

  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-68227
    - mptcp: Fix proto fallback detection with BPF

  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-68237
    - mtdchar: fix integer overflow in read/write ioctls

  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-68212
    - fs: Fix uninitialized 'offp' in statmount_string()

  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-68238
    - mtd: rawnand: cadence: fix DMA device NULL pointer dereference

  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-40265
    - vfat: fix missing sb_min_blocksize() return value checks

  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-68214
    - timers: Fix NULL function pointer race in timer_shutdown_sync()

  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-40266
    - KVM: arm64: Check the untrusted offset in FF-A memory share

 -- Edoardo Canepa <edoardo.canepa@canonical.com>  Sat, 07 Feb 2026 11:03:42 +0100

linux (6.17.0-14.14) questing; urgency=medium

  * questing/linux: 6.17.0-14.14 -proposed tracker (LP: #2137849)

  * Packaging resync (LP: #1786013)
    - [Packaging] debian.master/dkms-versions -- update from kernel-versions
      (main/2026.01.12)

  * ubuntu_kselftests:_net/net:gre_gso.sh failing (LP: #2136820)
    - SAUCE increase socat timeout in gre_gso.sh

  * ubuntu_blktrace_smoke_test fails on questing with rust coreutils
    (LP: #2137698)
    - SAUCE: Revert "ext4: fail unaligned direct IO write with EINVAL"

  * bareudp.sh in ubuntu_kselftests_net fails because of dash default shell
    (LP: #2129812)
    - selftests: net: use BASH for bareudp testing

  * CVE-2025-40256
    - xfrm: also call xfrm_state_delete_tunnel at destroy time for states that
      were never added

  * Enable PMF on AMD HPT/STX/KRK (LP: #2125022)
    - platform/x86/amd/pmf: Add support for adjusting PMF PPT and PPT APU
      thresholds
    - platform/x86/amd/pmf: Extend custom BIOS inputs for more policies
    - platform/x86/amd/pmf: Update ta_pmf_action structure member
    - platform/x86/amd/pmf: Add helper to verify BIOS input notifications are
      enable/disable
    - platform/x86/amd/pmf: Add custom BIOS input support for AMD_CPU_ID_PS
    - platform/x86/amd/pmf: Preserve custom BIOS inputs for evaluating the
      policies
    - platform/x86/amd/pmf: Call enact function sooner to process early
      pending requests
    - platform/x86/amd/pmf: Add debug logs for pending requests and custom
      BIOS inputs

  * Questing update: v6.17.8 upstream stable release (LP: #2136850)
    - iommufd/selftest: Fix ioctl return value in _test_cmd_trigger_vevents()
    - drm/mediatek: Add pm_runtime support for GCE power control
    - drm/i915: Fix conversion between clock ticks and nanoseconds
    - drm/amdgpu: set default gfx reset masks for gfx6-8
    - drm/amd/display: Don't stretch non-native images by default in eDP
    - smb: client: fix refcount leak in smb2_set_path_attr
    - iommufd: Make vfio_compat's unmap succeed if the range is already empty
    - futex: Optimize per-cpu reference counting
    - drm/amd: Fix suspend failure with secure display TA
    - drm/xe: Move declarations under conditional branch
    - drm/xe: Do clean shutdown also when using flr
    - drm/amd/display: Add pixel_clock to amd_pp_display_configuration
    - drm/amd/pm: Use pm_display_cfg in legacy DPM (v2)
    - drm/amd/display: Disable fastboot on DCE 6 too
    - drm/amd/pm: Disable MCLK switching on SI at high pixel clocks
    - drm/amd: Disable ASPM on SI
    - arm64: kprobes: check the return value of set_memory_rox()
    - compiler_types: Move unused static inline functions warning to W=2
    - riscv: Build loader.bin exclusively for Canaan K210
    - RISC-V: clear hot-unplugged cores from all task mm_cpumasks to avoid
      rfence errors
    - riscv: acpi: avoid errors caused by probing DT devices when ACPI is used
    - fs: return EOPNOTSUPP from file_setattr/file_getattr syscalls
    - ASoC: nau8821: Avoid unnecessary blocking in IRQ handler
    - NFS4: Fix state renewals missing after boot
    - drm/amdkfd: fix suspend/resume all calls in mes based eviction path
    - NFS4: Apply delay_retrans to async operations
    - HID: intel-thc-hid: intel-quickspi: Add ARL PCI Device Id's
    - HID: quirks: avoid Cooler Master MM712 dongle wakeup bug
    - ixgbe: handle IXGBE_VF_GET_PF_LINK_STATE mailbox operation
    - HID: nintendo: Wait longer for initial probe
    - NFS: check if suid/sgid was cleared after a write as needed
    - HID: quirks: Add ALWAYS_POLL quirk for VRS R295 steering wheel
    - io_uring: fix unexpected placement on same size resizing
    - HID: logitech-hidpp: Add HIDPP_QUIRK_RESET_HI_RES_SCROLL
    - ASoC: max98090/91: fixed max98091 ALSA widget powering up/down
    - ALSA: hda/realtek: Fix mute led for HP Omen 17-cb0xxx
    - ixgbe: handle IXGBE_VF_FEATURES_NEGOTIATE mbox cmd
    - wifi: ath11k: zero init info->status in wmi_process_mgmt_tx_comp()
    - selftests: net: local_termination: Wait for interfaces to come up
    - net: fec: correct rx_bytes statistic for the case SHIFT16 is set
    - net: phy: micrel: Introduce lanphy_modify_page_reg
    - net: phy: micrel: Replace hardcoded pages with defines
    - net: phy: micrel: lan8814 fix reset of the QSGMII interface
    - rust: Add -fno-isolate-erroneous-paths-dereference to
      bindgen_skip_c_flags
    - NFSD: Skip close replay processing if XDR encoding fails
    - Bluetooth: 6lowpan: fix BDADDR_LE vs ADDR_LE_DEV address type confusion
    - Bluetooth: 6lowpan: Don't hold spin lock over sleeping functions
    - Bluetooth: hci_conn: Fix not cleaning up PA_LINK connections
    - net: dsa: tag_brcm: do not mark link local traffic as offloaded
    - net/smc: fix mismatch between CLC header and proposal
    - net/handshake: Fix memory leak in tls_handshake_accept()
    - net: ethernet: ti: am65-cpsw-qos: fix IET verify/response timeout
    - net: ethernet: ti: am65-cpsw-qos: fix IET verify retry mechanism
    - net: mdio: fix resource leak in mdiobus_register_device()
    - wifi: mac80211: skip rate verification for not captured PSDUs
    - Bluetooth: hci_event: Fix not handling PA Sync Lost event
    - net/mlx5e: Fix missing error assignment in mlx5e_xfrm_add_state()
    - net/mlx5e: Fix maxrate wraparound in threshold between units
    - net/mlx5e: Fix wraparound in rate limiting for values above 255 Gbps
    - net/mlx5e: Fix potentially misleading debug message
    - net/mlx5: Fix typo of MLX5_EQ_DOORBEL_OFFSET
    - net/mlx5: Store the global doorbell in mlx5_priv
    - net/mlx5e: Prepare for using different CQ doorbells
    - net_sched: limit try_bulk_dequeue_skb() batches
    - wifi: iwlwifi: mvm: fix beacon template/fixed rate
    - wifi: iwlwifi: mld: always take beacon ies in link grading
    - virtio-net: fix incorrect flags recording in big mode
    - hsr: Fix supervision frame sending on HSRv0
    - hsr: Follow standard for HSRv0 supervision frames
    - ACPI: CPPC: Detect preferred core availability on online CPUs
    - ACPI: CPPC: Check _CPC validity for only the online CPUs
    - ACPI: CPPC: Perform fast check switch only for online CPUs
    - ACPI: CPPC: Limit perf ctrs in PCC check only to online CPUs
    - cpufreq: intel_pstate: Check IDA only before MSR_IA32_PERF_CTL writes
    - Bluetooth: L2CAP: export l2cap_chan_hold for modules
    - io_uring/rsrc: don't use blk_rq_nr_phys_segments() as number of bvecs
    - acpi,srat: Fix incorrect device handle check for Generic Initiator
    - regulator: fixed: fix GPIO descriptor leak on register failure
    - ASoC: cs4271: Fix regulator leak on probe failure
    - ASoC: codecs: va-macro: fix resource leak in probe error path
    - drm/vmwgfx: Restore Guest-Backed only cursor plane support
    - ASoC: tas2781: fix getting the wrong device number
    - pnfs: Fix TLS logic in _nfs4_pnfs_v3_ds_connect()
    - pnfs: Fix TLS logic in _nfs4_pnfs_v4_ds_connect()
    - pnfs: Set transport security policy to RPC_XPRTSEC_NONE unless using TLS
    - simplify nfs_atomic_open_v23()
    - NFSv2/v3: Fix error handling in nfs_atomic_open_v23()
    - NFS: sysfs: fix leak when nfs_client kobject add fails
    - NFSv4: Fix an incorrect parameter when calling nfs4_call_sync()
    - drm/amd/amdgpu: Ensure isp_kernel_buffer_alloc() creates a new BO
    - acpi/hmat: Fix lockdep warning for hmem_register_resource()
    - ASoC: rsnd: fix OF node reference leak in rsnd_ssiu_probe()
    - drm/client: fix MODULE_PARM_DESC string for "active"
    - irqchip/riscv-intc: Add missing free() callback in riscv_intc_domain_ops
    - lib/crypto: arm/curve25519: Disable on CPU_BIG_ENDIAN
    - hostfs: Fix only passing host root in boot stage with new mount
    - afs: Fix dynamic lookup to fail on cell lookup failure
    - mtd: onenand: Pass correct pointer to IRQ handler
    - virtio-fs: fix incorrect check for fsvq->kobj
    - fs/namespace: correctly handle errors returned by grab_requested_mnt_ns
    - perf header: Write bpf_prog (infos|btfs)_cnt to data file
    - perf build: Don't fail fast path feature detection when binutils-devel
      is not available
    - perf lock: Fix segfault due to missing kernel map
    - perf test shell lock_contention: Extra debug diagnostics
    - perf test: Fix lock contention test
    - arm64: dts: rockchip: Set correct pinctrl for I2S1 8ch TX on odroid-m1
    - arm64: dts: rockchip: Fix PCIe power enable pin for BigTreeTech CB2 and
      Pi2
    - arm64: dts: rockchip: Make RK3588 GPU OPP table naming less generic
    - ARM: dts: imx6ull-engicam-microgea-rmm: fix report-rate-hz value
    - ARM: dts: imx51-zii-rdu1: Fix audmux node names
    - arm64: dts: imx8-ss-img: Avoid gpio0_mipi_csi GPIOs being deferred
    - arm64: dts: imx8mp-kontron: Fix USB OTG role switching
    - HID: hid-ntrig: Prevent memory leak in ntrig_report_version()
    - ARM: dts: BCM53573: Fix address of Luxul XAP-1440's Ethernet PHY
    - arm64: dts: rockchip: Fix USB power enable pin for BTT CB2 and Pi2
    - arm64: dts: rockchip: drop reset from rk3576 i2c9 node
    - pwm: adp5585: Correct mismatched pwm chip info
    - HID: playstation: Fix memory leak in dualshock4_get_calibration_data()
    - HID: uclogic: Fix potential memory leak in error path
    - LoongArch: KVM: Restore guest PMU if it is enabled
    - LoongArch: KVM: Add delay until timer interrupt injected
    - LoongArch: KVM: Fix max supported vCPUs set with EIOINTC
    - KVM: arm64: Make all 32bit ID registers fully writable
    - KVM: SVM: Mark VMCB_LBR dirty when MSR_IA32_DEBUGCTLMSR is updated
    - KVM: nSVM: Always recalculate LBR MSR intercepts in svm_update_lbrv()
    - KVM: nSVM: Fix and simplify LBR virtualization handling with nested
    - KVM: VMX: Fix check for valid GVA on an EPT violation
    - nfsd: add missing FATTR4_WORD2_CLONE_BLKSIZE from supported attributes
    - gcov: add support for GCC 15
    - kho: warn and exit when unpreserved page wasn't preserved
    - strparser: Fix signed/unsigned mismatch bug
    - dma-mapping: benchmark: Restore padding to ensure uABI remained
      consistent
    - maple_tree: fix tracepoint string pointers
    - LoongArch: Consolidate early_ioremap()/ioremap_prot()
    - LoongArch: Use correct accessor to read FWPC/MWPC
    - LoongArch: Let {pte,pmd}_modify() record the status of _PAGE_DIRTY
    - mm/damon/sysfs: change next_update_jiffies to a global variable
    - selftests/tracing: Run sample events to clear page cache events
    - wifi: mac80211: reject address change while connecting
    - mm/huge_memory: preserve PG_has_hwpoisoned if a folio is split to >0
      order
    - mm/mm_init: fix hash table order logging in alloc_large_system_hash()
    - mm/damon/stat: change last_refresh_jiffies to a global variable
    - mm/kmsan: fix kmsan kmalloc hook when no stack depots are allocated yet
    - mm/shmem: fix THP allocation and fallback loop
    - mm/mremap: honour writable bit in mremap pte batching
    - mm/huge_memory: fix folio split check for anon folios in swapcache
    - mmc: sdhci-of-dwcmshc: Change DLL_STRBIN_TAPNUM_DEFAULT to 0x4
    - mmc: pxamci: Simplify pxamci_probe() error handling using devm APIs
    - mmc: dw_mmc-rockchip: Fix wrong internal phase calculate
    - ASoC: sdw_utils: fix device reference leak in is_sdca_endpoint_present()
    - crypto: hisilicon/qm - Fix device reference leak in qm_get_qos_value
    - smb: client: fix cifs_pick_channel when channel needs reconnect
    - spi: Try to get ACPI GPIO IRQ earlier
    - x86/microcode/AMD: Add Zen5 model 0x44, stepping 0x1 minrev
    - x86/CPU/AMD: Add additional fixed RDSEED microcode revisions
    - selftests/user_events: fix type cast for write_index packed member in
      perf_test
    - gendwarfksyms: Skip files with no exports
    - ftrace: Fix BPF fexit with livepatch
    - LoongArch: Consolidate max_pfn & max_low_pfn calculation
    - LoongArch: Use physical addresses for CSR_MERRENTRY/CSR_TLBRENTRY
    - EDAC/altera: Handle OCRAM ECC enable after warm reset
    - EDAC/altera: Use INTTEST register for Ethernet and USB SBE injection
    - PM: hibernate: Emit an error when image writing fails
    - PM: hibernate: Use atomic64_t for compressed_size variable
    - btrfs: zoned: fix conventional zone capacity calculation
    - btrfs: zoned: fix stripe width calculation
    - btrfs: scrub: put bio after errors in scrub_raid56_parity_stripe()
    - btrfs: do not update last_log_commit when logging inode due to a new
      name
    - btrfs: release root after error in data_reloc_print_warning_inode()
    - drm/amdkfd: relax checks for over allocation of save area
    - drm/amdgpu: disable peer-to-peer access for DCC-enabled GC12 VRAM
      surfaces
    - drm/i915/psr: fix pipe to vblank conversion
    - drm/xe/xe3lpg: Extend Wa_15016589081 for xe3lpg
    - drm/xe/xe3: Extend wa_14023061436
    - drm/xe/xe3: Add WA_14024681466 for Xe3_LPG
    - pmdomain: imx: Fix reference count leak in imx_gpc_remove
    - pmdomain: samsung: plug potential memleak during probe
    - pmdomain: samsung: Rework legacy splash-screen handover workaround
    - selftests: mptcp: connect: fix fallback note due to OoO
    - selftests: mptcp: join: rm: set backup flag
    - selftests: mptcp: join: endpoints: longer transfer
    - selftests: mptcp: connect: trunc: read all recv data
    - selftests: mptcp: join: userspace: longer transfer
    - selftests: mptcp: join: properly kill background tasks
    - mm/huge_memory: do not change split_huge_page*() target order silently
    - mm/memory: do not populate page table entries beyond i_size
    - scripts/decode_stacktrace.sh: symbol: avoid trailing whitespaces
    - scripts/decode_stacktrace.sh: symbol: preserve alignment
    - scripts/decode_stacktrace.sh: fix build ID and PC source parsing
    - ASoC: da7213: Convert to DEFINE_RUNTIME_DEV_PM_OPS()
    - ASoC: da7213: Use component driver suspend/resume
    - KVM: x86: Rename local "ecx" variables to "msr" and "pmc" as appropriate
    - KVM: x86: Add support for RDMSR/WRMSRNS w/ immediate on Intel
    - KVM: VMX: Inject #UD if guest tries to execute SEAMCALL or TDCALL
    - isdn: mISDN: hfcsusb: fix memory leak in hfcsusb_probe()
    - net: phy: micrel: Fix lan8814_config_init
    - Linux 6.17.9

  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-68204
    - pmdomain: arm: scmi: Fix genpd leak on provider registration failure

  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-68203
    - drm/amdgpu: fix lock warning in amdgpu_userq_fence_driver_process

  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-40267
    - io_uring/rw: ensure allocated iovec gets cleared for early failure

  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-68198
    - crash: fix crashkernel resource shrink

  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-68199
    - codetag: debug: handle existing CODETAG_EMPTY in mark_objexts_empty for
      slabobj_ext

  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-40268
    - cifs: client: fix memory leak in smb3_fs_context_parse_param

  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-40269
    - ALSA: usb-audio: Fix potential overflow of PCM transfer buffer

  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-68205
    - ALSA: hda/hdmi: Fix breakage at probing nvhdmi-mcp driver

  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-40270
    - mm, swap: fix potential UAF issue for VMA readahead

  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-40271
    - fs/proc: fix uaf in proc_readdir_de()

  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-40272
    - mm/secretmem: fix use-after-free race in fault handler

  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-68245
    - net: netpoll: fix incorrect refcount handling causing incorrect cleanup

  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-68240
    - nilfs2: avoid having an active sc_timer before freeing sci

  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-68241
    - ipv4: route: Prevent rt_bind_exception() from rebinding stale fnhe

  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-68211
    - ksm: use range-walk function to jump over holes in
      scan_get_next_rmap_item

  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-68246
    - ksmbd: close accepted socket when per-IP limit rejects connection

  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-40273
    - NFSD: free copynotify stateid in nfs4_free_ol_stateid()

  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-40212
    - nfsd: fix refcount leak in nfsd_set_fh_dentry()

  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-40274
    - KVM: guest_memfd: Remove bindings on memslot deletion when gmem is dying

  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-68202
    - sched_ext: Fix unsafe locking in the scx_dump_state()

  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-68239
    - binfmt_misc: restore write access before closing files opened by
      open_exec()

  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-68247
    - posix-timers: Plug potential memory leak in do_timer_create()

  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-68208
    - bpf: account for current allocated stack depth in
      widen_imprecise_scalars()

  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-68200
    - bpf: Add bpf_prog_run_data_pointers()

  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-40275
    - ALSA: usb-audio: Fix NULL pointer dereference in
      snd_usb_mixer_controls_badd

  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-68242
    - NFS: Fix LTP test failures when timestamps are delegated

  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-68243
    - NFS: Check the TLS certificate fields in nfs_match_client()

  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-40276
    - drm/panthor: Flush shmem writes before mapping buffers CPU-uncached

  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-40277
    - drm/vmwgfx: Validate command header size against SVGA_CMD_MAX_DATASIZE

  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-68206
    - netfilter: nft_ct: add seqadj extension for natted connections

  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-68209
    - mlx5: Fix default values in create CQ

  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-40278
    - net: sched: act_ife: initialize struct tc_ife to fix KMSAN kernel-
      infoleak

  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-40279
    - net: sched: act_connmark: initialize struct tc_ife to fix kernel leak

  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-40280
    - tipc: Fix use-after-free in tipc_mon_reinit_self().

  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-40281
    - sctp: prevent possible shift-out-of-bounds in sctp_transport_update_rto

  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-40282
    - Bluetooth: 6lowpan: reset link-local header on ipv6 recv path

  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-40283
    - Bluetooth: btusb: reorder cleanup in btusb_disconnect to avoid UAF

  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-40284
    - Bluetooth: MGMT: cancel mesh send timer when hdev removed

  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-68210
    - erofs: avoid infinite loop due to incomplete zstd-compressed data

  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-40285
    - smb/server: fix possible refcount leak in smb2_sess_setup()

  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-40286
    - smb/server: fix possible memory leak in smb2_read()

  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-40287
    - exfat: fix improper check of dentry.stream.valid_size

  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-40288
    - drm/amdgpu: Fix NULL pointer dereference in VRAM logic for APU devices

  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-40289
    - drm/amdgpu: hide VRAM sysfs attributes on GPUs without VRAM

  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-68201
    - drm/amdgpu: remove two invalid BUG_ON()s

  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-68207
    - drm/xe/guc: Synchronize Dead CT worker with unbind

  * Questing update: v6.17.8 upstream stable release (LP: #2136850) //
    CVE-2025-68244
    - drm/i915: Avoid lock inversion when pinning to GGTT on CHV/BXT+VTD

  * Questing update: v6.17.8 upstream stable release (LP: #2136833)
    - Revert "Bluetooth: L2CAP: convert timeouts to secs_to_jiffies()"
    - sched_ext: Mark scx_bpf_dsq_move_set_[slice|vtime]() with KF_RCU
    - net: usb: asix_devices: Check return value of usbnet_get_endpoints
    - fbdev: atyfb: Check if pll_ops->init_pll failed
    - ACPI: button: Call input_free_device() on failing input device
      registration
    - ACPI: fan: Use platform device for devres-related actions
    - virtio-net: drop the multi-buffer XDP packet in zerocopy
    - batman-adv: Release references to inactive interfaces
    - Bluetooth: rfcomm: fix modem control handling
    - net: phy: dp83867: Disable EEE support as not implemented
    - fbdev: pvr2fb: Fix leftover reference to ONCHIP_NR_DMA_CHANNELS
    - fbdev: valkyriefb: Fix reference count leak in valkyriefb_init
    - mptcp: drop bogus optimization in __mptcp_check_push()
    - mptcp: restore window probe
    - ASoC: qdsp6: q6asm: do not sleep while atomic
    - ASoC: renesas: rz-ssi: Use proper dma_buffer_pos after resume
    - s390/pci: Restore IRQ unconditionally for the zPCI device
    - x86/build: Disable SSE4a
    - wifi: ath10k: Fix memory leak on unsupported WMI command
    - wifi: ath11k: Add missing platform IDs for quirk table
    - wifi: ath12k: free skb during idr cleanup callback
    - wifi: ath11k: avoid bit operation on key flags
    - drm/msm/a6xx: Fix GMU firmware parser
    - ALSA: usb-audio: fix control pipe direction
    - ASoC: cs-amp-lib-test: Fix missing include of kunit/test-bug.h
    - wifi: mac80211: reset FILS discovery and unsol probe resp intervals
    - wifi: mac80211: fix key tailroom accounting leak
    - wifi: nl80211: call kfree without a NULL check
    - kunit: test_dev_action: Correctly cast 'priv' pointer to long*
    - scsi: ufs: core: Initialize value of an attribute returned by uic cmd
    - scsi: core: Fix the unit attention counter implementation
    - bpf: Do not audit capability check in do_jit()
    - nvmet-auth: update sc_c in host response
    - crypto: s390/phmac - Do not modify the req->nbytes value
    - ASoC: Intel: avs: Unprepare a stream when XRUN occurs
    - ASoC: fsl_sai: fix bit order for DSD format
    - ASoC: fsl_micfil: correct the endian format for DSD
    - libbpf: Fix powerpc's stack register definition in bpf_tracing.h
    - ASoC: mediatek: Fix double pm_runtime_disable in remove functions
    - Bluetooth: ISO: Fix BIS connection dst_type handling
    - Bluetooth: btmtksdio: Add pmctrl handling for BT closed state during
      reset
    - Bluetooth: HCI: Fix tracking of advertisement set/instance 0x00
    - Bluetooth: ISO: Fix another instance of dst_type handling
    - Bluetooth: btintel_pcie: Fix event packet loss issue
    - Bluetooth: hci_conn: Fix connection cleanup with BIG with 2 or more BIS
    - Bluetooth: hci_core: Fix tracking of periodic advertisement
    - bpf: Conditionally include dynptr copy kfuncs
    - drm/msm: Ensure vm is created in VM_BIND ioctl
    - ALSA: usb-audio: add mono main switch to Presonus S1824c
    - ALSA: usb-audio: don't log messages meant for 1810c when initializing
      1824c
    - ACPI: MRRM: Check revision of MRRM table
    - drm/etnaviv: fix flush sequence logic
    - tools: ynl: fix string attribute length to include null terminator
    - net: hns3: return error code when function fails
    - sfc: fix potential memory leak in efx_mae_process_mport()
    - tools: ynl: avoid print_field when there is no reply
    - dpll: spec: add missing module-name and clock-id to pin-get reply
    - ASoC: fsl_sai: Fix sync error in consumer mode
    - ASoC: soc_sdw_utils: remove cs42l43 component_name
    - drm/amd/pm: fix smu table id bound check issue in smu_cmn_update_table()
    - drm/amd/pm/powerplay/smumgr: Fix PCIeBootLinkLevel value on Fiji
    - drm/amd/pm/powerplay/smumgr: Fix PCIeBootLinkLevel value on Iceland
    - drm/amdgpu: fix SPDX headers on amdgpu_cper.c/h
    - drm/amdgpu: fix SPDX header on amd_cper.h
    - drm/amdgpu: fix SPDX header on irqsrcs_vcn_5_0.h
    - ACPI: fan: Use ACPI handle when retrieving _FST
    - block: fix op_is_zone_mgmt() to handle REQ_OP_ZONE_RESET_ALL
    - block: make REQ_OP_ZONE_OPEN a write operation
    - dma-fence: Fix safe access wrapper to call timeline name method
    - kbuild: align modinfo section for Secureboot Authenticode EDK2 compat
    - regmap: irq: Correct documentation of wake_invert flag
    - [Config] Disable ARCH_WANT_OPTIMIZE_HUGETLB_VMEMMAP for s390x
    - s390/mm: Fix memory leak in add_marker() when kvrealloc() fails
    - drm/xe: Do not wake device during a GT reset
    - drm/sched: avoid killing parent entity on child SIGKILL
    - drm/sched: Fix race in drm_sched_entity_select_rq()
    - drm/nouveau: Fix race in nouveau_sched_fini()
    - drm/i915/dmc: Clear HRR EVT_CTL/HTP to zero on ADL-S
    - drm/ast: Clear preserved bits from register output value
    - drm/amd: Check that VPE has reached DPM0 in idle handler
    - drm/amd/display: Fix incorrect return of vblank enable on unconfigured
      crtc
    - drm/amd/display: Don't program BLNDGAM_MEM_PWR_FORCE when CM low-power
      is disabled on DCN30
    - drm/amd/display: Add HDR workaround for a specific eDP
    - mptcp: leverage skb deferral free
    - mptcp: fix MSG_PEEK stream corruption
    - cpuidle: governors: menu: Rearrange main loop in menu_select()
    - cpuidle: governors: menu: Select polling state in some more cases
    - PM: hibernate: Combine return paths in power_down()
    - PM: sleep: Allow pm_restrict_gfp_mask() stacking
    - mfd: kempld: Switch back to earlier ->init() behavior
    - soc: aspeed: socinfo: Add AST27xx silicon IDs
    - firmware: qcom: scm: preserve assign_mem() error return value
    - soc: qcom: smem: Fix endian-unaware access of num_entries
    - spi: loopback-test: Don't use %pK through printk
    - spi: spi-qpic-snand: handle 'use_ecc' parameter of
      qcom_spi_config_cw_read()
    - soc: ti: pruss: don't use %pK through printk
    - bpf: Don't use %pK through printk
    - mmc: sdhci: Disable SD card clock before changing parameters
    - pinctrl: single: fix bias pull up/down handling in pin_config_set
    - mmc: host: renesas_sdhi: Fix the actual clock
    - memstick: Add timeout to prevent indefinite waiting
    - cpufreq: ti: Add support for AM62D2
    - bpf: Use tnums for JEQ/JNE is_branch_taken logic
    - firmware: ti_sci: Enable abort handling of entry to LPM
    - firewire: ohci: move self_id_complete tracepoint after validating
      register
    - irqchip/sifive-plic: Respect mask state when setting affinity
    - irqchip/loongson-eiointc: Route interrupt parsed from bios table
    - ACPI: sysfs: Use ACPI_FREE() for freeing an ACPI object
    - ACPI: video: force native for Lenovo 82K8
    - libbpf: Fix USDT SIB argument handling causing unrecognized register
      error
    - selftests/bpf: Fix bpf_prog_detach2 usage in test_lirc_mode2
    - arm64: versal-net: Update rtc calibration value
    - Revert "UBUNTU: SAUCE: firmware: qcom: scm: Allow QSEECOM on Dell
      Inspiron 7441 / Latitude 7455"
    - firmware: qcom: scm: Allow QSEECOM on Dell Inspiron 7441 / Latitude 7455
    - kselftest/arm64: tpidr2: Switch to waitpid() over wait4()
    - arc: Fix __fls() const-foldability via __builtin_clzl()
    - selftests/bpf: Upon failures, exit with code 1 in test_xsk.sh
    - irqchip/gic-v2m: Handle Multiple MSI base IRQ Alignment
    - ACPI: PRM: Skip handlers with NULL handler_address or NULL VA
    - ACPI: resource: Skip IRQ override on ASUS Vivobook Pro N6506CU
    - ACPI: scan: Add Intel CVS ACPI HIDs to acpi_ignore_dep_ids[]
    - thermal: gov_step_wise: Allow cooling level to be reduced earlier
    - thermal: intel: selftests: workload_hint: Mask unsupported types
    - power: supply: qcom_battmgr: add OOI chemistry
    - hwmon: (k10temp) Add thermal support for AMD Family 1Ah-based models
    - hwmon: (k10temp) Add device ID for Strix Halo
    - hwmon: (lenovo-ec-sensors) Update P8 supprt
    - hwmon: (sbtsi_temp) AMD CPU extended temperature range support
    - pinctrl: renesas: rzg2l: Add suspend/resume support for Schmitt control
      registers
    - pinctrl: keembay: release allocated memory in detach path
    - power: supply: sbs-charger: Support multiple devices
    - io_uring/rsrc: respect submitter_task in io_register_clone_buffers()
    - hwmon: sy7636a: add alias
    - selftests/bpf: Fix incorrect array size calculation
    - block: check for valid bio while splitting
    - irqchip/loongson-pch-lpc: Use legacy domain for PCH-LPC IRQ controller
    - cpufreq: ondemand: Update the efficient idle check for Intel extended
      Families
    - arm64: zynqmp: Disable coresight by default
    - arm64: zynqmp: Revert usb node drive strength and slew rate for zcu106
    - soc/tegra: fuse: Add Tegra114 nvmem cells and fuse lookups
    - ARM: tegra: p880: set correct touchscreen clipping
    - ARM: tegra: transformer-20: add missing magnetometer interrupt
    - ARM: tegra: transformer-20: fix audio-codec interrupt
    - firmware: qcom: tzmem: disable sc7180 platform
    - soc: ti: k3-socinfo: Add information for AM62L SR1.1
    - mmc: sdhci-msm: Enable tuning for SDR50 mode for SD card
    - pwm: pca9685: Use bulk write to atomicially update registers
    - ACPICA: dispatcher: Use acpi_ds_clear_operands() in
      acpi_ds_call_control_method()
    - tee: allow a driver to allocate a tee_device without a pool
    - kunit: Enable PCI on UML without triggering WARN()
    - selftests/bpf: Fix arena_spin_lock selftest failure
    - bpf: Do not limit bpf_cgroup_from_id to current's namespace
    - i3c: mipi-i3c-hci-pci: Add support for Intel Wildcat Lake-U I3C
    - rust: kunit: allow `cfg` on `test`s
    - video: backlight: lp855x_bl: Set correct EPROM start for LP8556
    - i3c: dw: Add shutdown support to dw_i3c_master driver
    - io_uring/zcrx: check all niovs filled with dma addresses
    - tools/cpupower: fix error return value in cpupower_write_sysfs()
    - io_uring/zcrx: account niov arrays to cgroup
    - pmdomain: apple: Add "apple,t8103-pmgr-pwrstate"
    - power: supply: qcom_battmgr: handle charging state change notifications
    - bpftool: Fix -Wuninitialized-const-pointer warnings with clang >= 21
    - cpuidle: Fail cpuidle device registration if there is one already
    - selftests/bpf: Fix selftest verifier_arena_large failure
    - selftests: ublk: fix behavior when fio is not installed
    - spi: rpc-if: Add resume support for RZ/G3E
    - ACPI: SPCR: Support Precise Baud Rate field
    - clocksource/drivers/vf-pit: Replace raw_readl/writel to readl/writel
    - clocksource/drivers/timer-rtl-otto: Work around dying timers
    - clocksource/drivers/timer-rtl-otto: Do not interfere with interrupts
    - riscv: bpf: Fix uninitialized symbol 'retval_off'
    - bpf: Clear pfmemalloc flag when freeing all fragments
    - selftests: drv-net: Pull data before parsing headers
    - nvme: Use non zero KATO for persistent discovery connections
    - uprobe: Do not emulate/sstep original instruction when ip is changed
    - hwmon: (asus-ec-sensors) increase timeout for locking ACPI mutex
    - hwmon: (dell-smm) Remove Dell Precision 490 custom config data
    - hwmon: (dell-smm) Add support for Dell OptiPlex 7040
    - tools/cpupower: Fix incorrect size in cpuidle_state_disable()
    - selftests/bpf: Fix flaky bpf_cookie selftest
    - tools/power turbostat: Fix incorrect sorting of PMT telemetry
    - tools/power x86_energy_perf_policy: Fix incorrect fopen mode usage
    - tools/power x86_energy_perf_policy: Enhance HWP enable
    - tools/power x86_energy_perf_policy: Prefer driver HWP limits
    - mfd: simple-mfd-i2c: Add compatible strings for Layerscape QIXIS FPGA
    - mfd: stmpe: Remove IRQ domain upon removal
    - mfd: stmpe-i2c: Add missing MODULE_LICENSE
    - mfd: qnap-mcu: Handle errors returned from qnap_mcu_write
    - mfd: qnap-mcu: Include linux/types.h in qnap-mcu.h shared header
    - mfd: madera: Work around false-positive -Wininitialized warning
    - mfd: da9063: Split chip variant reading in two bus transactions
    - mfd: macsmc: Add "apple,t8103-smc" compatible
    - mfd: core: Increment of_node's refcount before linking it to the
      platform device
    - mfd: cs42l43: Move IRQ enable/disable to encompass force suspend
    - mfd: intel-lpss: Add Intel Wildcat Lake LPSS PCI IDs
    - drm/xe/ptl: Apply Wa_16026007364
    - drm/xe/configfs: Enforce canonical device names
    - drm/amd/display: Update tiled to tiled copy command
    - drm/amd/display: fix condition for setting timing_adjust_pending
    - drm/amd/display: ensure committing streams is seamless
    - drm/amdgpu: add range check for RAS bad page address
    - drm/amdgpu: Check vcn sram load return value
    - drm/amd/display: Remove check DPIA HPD status for BW Allocation
    - drm/amd/display: Increase AUX Intra-Hop Done Max Wait Duration
    - drm/amd/display: Fix dmub_cmd header alignment
    - drm/xe/guc: Add more GuC load error status codes
    - drm/xe/pf: Don't resume device from restart worker
    - drm/amdgpu: Fix build error when CONFIG_SUSPEND is disabled
    - drm/amdgpu: Update IPID value for bad page threshold CPER
    - drm/amdgpu: Avoid rma causes GPU duplicate reset
    - drm/amdgpu: Effective health check before reset
    - drm/amd/amdgpu: Release xcp drm memory after unplug
    - drm/amdgpu: Fix vcn v5.0.1 poison irq call trace
    - drm/xe: Extend wa_13012615864 to additional Xe2 and Xe3 platforms
    - drm/amdgpu: Skip poison aca bank from UE channel
    - drm/amd/display: add more cyan skillfish devices
    - drm/amdgpu: Initialize jpeg v5_0_1 ras function
    - drm/amdgpu: skip mgpu fan boost for multi-vf
    - drm/amd/display: fix dmub access race condition
    - drm/amd/display: update dpp/disp clock from smu clock table
    - drm/amd/pm: Use cached metrics data on aldebaran
    - drm/amd/pm: Use cached metrics data on arcturus
    - accel/amdxdna: Unify pm and rpm suspend and resume callbacks
    - drm/amdgpu/jpeg: Hold pg_lock before jpeg poweroff
    - drm/xe/pf: Program LMTT directory pointer on all GTs within a tile
    - drm/nouveau: replace snprintf() with scnprintf() in nvkm_snprintbf()
    - ASoC: tas2781: Add keyword "init" in profile section
    - ASoC: mediatek: Use SND_JACK_AVOUT for HDMI/DP jacks
    - drm/amd/display: Reset apply_eamless_boot_optimization when dpms_off
    - drm/amdgpu: add to custom amdgpu_drm_release drm_dev_enter/exit
    - drm/amd/display: Wait until OTG enable state is cleared
    - drm/xe: rework PDE PAT index selection
    - docs: kernel-doc: avoid script crash on ancient Python
    - drm/sharp-memory: Do not access GEM-DMA vaddr directly
    - PCI: Disable MSI on RDC PCI to PCIe bridges
    - drm/nouveau: always set RMDevidCheckIgnore for GSP-RM
    - drm/panel-edp: Add SHP LQ134Z1 panel for Dell XPS 9345
    - selftests/net: Replace non-standard __WORDSIZE with sizeof(long) * 8
    - selftests/net: Ensure assert() triggers in psock_tpacket.c
    - wifi: rtw89: print just once for unknown C2H events
    - wifi: rtw88: sdio: use indirect IO for device registers before power-on
    - wifi: rtw89: add dummy C2H handlers for BCN resend and update done
    - drm/amdkfd: return -ENOTTY for unsupported IOCTLs
    - selftests: drv-net: devmem: add / correct the IPv6 support
    - selftests: drv-net: devmem: flip the direction of Tx tests
    - media: pci: ivtv: Don't create fake v4l2_fh
    - media: amphion: Delete v4l2_fh synchronously in .release()
    - drm/tidss: Use the crtc_* timings when programming the HW
    - drm/bridge: cdns-dsi: Fix REG_WAKEUP_TIME value
    - drm/bridge: cdns-dsi: Don't fail on MIPI_DSI_MODE_VIDEO_BURST
    - drm/tidss: Set crtc modesetting parameters with adjusted mode
    - drm/tidss: Remove early fb
    - RDMA/mana_ib: Drain send wrs of GSI QP
    - media: i2c: Kconfig: Ensure a dependency on HAVE_CLK for
      VIDEO_CAMERA_SENSOR
    - PCI/ERR: Update device error_state already after reset
    - x86/vsyscall: Do not require X86_PF_INSTR to emulate vsyscall
    - net: stmmac: Check stmmac_hw_setup() in stmmac_resume()
    - ice: Don't use %pK through printk or tracepoints
    - thunderbolt: Use is_pciehp instead of is_hotplug_bridge
    - ASoC: es8323: enable DAPM power widgets for playback DAC and output
    - powerpc/eeh: Use result of error_detected() in uevent
    - s390/pci: Use pci_uevent_ers() in PCI recovery
    - bridge: Redirect to backup port when port is administratively down
    - selftests: drv-net: wait for carrier
    - net: phy: mscc: report and configure in-band auto-negotiation for
      SGMII/QSGMII
    - scsi: ufs: host: mediatek: Fix auto-hibern8 timer configuration
    - scsi: ufs: host: mediatek: Fix PWM mode switch issue
    - scsi: ufs: host: mediatek: Assign power mode userdata before FASTAUTO
      mode change
    - scsi: ufs: host: mediatek: Change reset sequence for improved stability
    - scsi: ufs: host: mediatek: Fix invalid access in vccqx handling
    - gpu: nova-core: register: allow fields named `offset`
    - drm/panthor: Serialize GPU cache flush operations
    - HID: pidff: Use direction fix only for conditional effects
    - HID: pidff: PERMISSIVE_CONTROL quirk autodetection
    - drm/bridge: display-connector: don't set OP_DETECT for DisplayPorts
    - drm/amdkfd: Handle lack of READ permissions in SVM mapping
    - drm/amdgpu: refactor bad_page_work for corner case handling
    - hwrng: timeriomem - Use us_to_ktime() where appropriate
    - iio: adc: spear_adc: mask SPEAR_ADC_STATUS channel and avg sample before
      setting register
    - iio: adc: imx93_adc: load calibrated values even calibration failed
    - usb: gadget: f_ncm: Fix MAC assignment NCM ethernet
    - ASoC: es8323: remove DAC enablement write from es8323_probe
    - ASoC: es8323: add proper left/right mixer controls via DAPM
    - ASoC: codecs: wsa883x: Handle shared reset GPIO for WSA883x speakers
    - drm/xe: Make page size consistent in loop
    - wifi: rtw89: wow: remove notify during WoWLAN net-detect
    - wifi: rtw89: fix BSSID comparison for non-transmitted BSSID
    - wifi: rtw89: 8851b: rfk: update IQK TIA setting
    - dm error: mark as DM_TARGET_PASSES_INTEGRITY
    - char: misc: Make misc_register() reentry for miscdevice who wants
      dynamic minor
    - char: misc: Does not request module for miscdevice with dynamic minor
    - net: When removing nexthops, don't call synchronize_net if it is not
      necessary
    - net: Call trace_sock_exceed_buf_limit() for memcg failure with
      SK_MEM_RECV.
    - dmaengine: idxd: Add a new IAA device ID for Wildcat Lake family
      platforms
    - PCI/P2PDMA: Fix incorrect pointer usage in devm_kfree() call
    - bnxt_en: Add Hyper-V VF ID
    - tty: serial: Modify the use of dev_err_probe()
    - ALSA: usb-audio: Add validation of UAC2/UAC3 effect units
    - Octeontx2-af: Broadcast XON on all channels
    - idpf: do not linearize big TSO packets
    - drm/xe/pcode: Initialize data0 for pcode read routine
    - drm/panel: ilitek-ili9881c: turn off power-supply when init fails
    - drm/panel: ilitek-ili9881c: move display_on/_off dcs calls to
      (un-)prepare
    - rds: Fix endianness annotation for RDS_MPATH_HASH
    - net: wangxun: limit tx_max_coalesced_frames_irq
    - iio: imu: bmi270: Match PNP ID found on newer GPD firmware
    - media: ipu6: isys: Set embedded data type correctly for metadata formats
    - rpmsg: char: Export alias for RPMSG ID rpmsg-raw from table
    - net: ipv4: allow directed broadcast routes to use dst hint
    - scsi: mpi3mr: Fix device loss during enclosure reboot due to zero link
      speed
    - wifi: rtw89: coex: Limit Wi-Fi scan slot cost to avoid A2DP glitch
    - scsi: mpi3mr: Fix I/O failures during controller reset
    - scsi: mpi3mr: Fix controller init failure on fault during queue creation
    - scsi: pm80xx: Fix race condition caused by static variables
    - extcon: adc-jack: Fix wakeup source leaks on device unbind
    - extcon: fsa9480: Fix wakeup source leaks on device unbind
    - extcon: axp288: Fix wakeup source leaks on device unbind
    - drm/xe: Set GT as wedged before sending wedged uevent
    - remoteproc: wkup_m3: Use devm_pm_runtime_enable() helper
    - drm/xe/wcl: Extend L3bank mask workaround
    - net: phy: fixed_phy: let fixed_phy_unregister free the phy_device
    - selftests: drv-net: hds: restore hds settings
    - fuse: zero initialize inode private data
    - virtio_fs: fix the hash table using in virtio_fs_enqueue_req()
    - selftests: pci_endpoint: Skip IRQ test if IRQ is out of range.
    - drm/xe: Ensure GT is in C0 during resumes
    - misc: pci_endpoint_test: Skip IRQ tests if irq is out of range
    - drm/amdgpu: Correct the loss of aca bank reg info
    - drm/amdgpu: Correct the counts of nr_banks and nr_errors
    - drm/amdkfd: fix vram allocation failure for a special case
    - drm/amd/display: Support HW cursor 180 rot for any number of pipe splits
    - drm/amdkfd: Tie UNMAP_LATENCY to queue_preemption
    - drm/amd/display: wait for otg update pending latch before clock
      optimization
    - drm/amd/display: Consider sink max slice width limitation for dsc
    - drm/amdgpu/vpe: cancel delayed work in hw_fini
    - drm/xe: Cancel pending TLB inval workers on teardown
    - net: Prevent RPS table overwrite of active flows
    - eth: fbnic: Reset hw stats upon PCI error
    - wifi: iwlwifi: mld: trigger mlo scan only when not in EMLSR
    - platform/x86/intel-uncore-freq: Fix warning in partitioned system
    - drm/msm/dpu: Filter modes based on adjusted mode clock
    - drm/msm: Use of_reserved_mem_region_to_resource() for "memory-region"
    - selftests: drv-net: rss_ctx: fix the queue count check
    - media: fix uninitialized symbol warnings
    - media: pci: mgb4: Fix timings comparison in VIDIOC_S_DV_TIMINGS
    - ASoC: SOF: ipc4-pcm: Add fixup for channels
    - drm/amdgpu: Notify pmfw bad page threshold exceeded
    - drm/amd/display: Increase minimum clock for TMDS 420 with pipe splitting
    - drm/amdgpu: Avoid jpeg v5.0.1 poison irq call trace on sriov guest
    - drm/amd/display: incorrect conditions for failing dto calculations
    - drm/amdgpu: Avoid vcn v5.0.1 poison irq call trace on sriov guest
    - drm/amdgpu: Respect max pixel clock for HDMI and DVI-D (v2)
    - mips: lantiq: danube: add missing properties to cpu node
    - mips: lantiq: danube: add model to EASY50712 dts
    - mips: lantiq: danube: add missing device_type in pci node
    - mips: lantiq: xway: sysctrl: rename stp clock
    - mips: lantiq: danube: rename stp node on EASY50712 reference board
    - inet_diag: annotate data-races in inet_diag_bc_sk()
    - microchip: lan865x: add ndo_eth_ioctl handler to enable PHY ioctl
      support
    - crypto: qat - use kcalloc() in qat_uclo_map_objs_from_mof()
    - scsi: pm8001: Use int instead of u32 to store error codes
    - iio: adc: ad7124: do not require mclk
    - scsi: ufs: exynos: fsd: Gate ref_clk and put UFS device in reset on
      suspend
    - media: imx-mipi-csis: Only set clock rate when specified in DT
    - wifi: iwlwifi: pcie: remember when interrupts are disabled
    - drm/st7571-i2c: add support for inverted pixel format
    - ptp: Limit time setting of PTP clocks
    - dmaengine: sh: setup_xref error handling
    - dmaengine: mv_xor: match alloc_wc and free_wc
    - dmaengine: dw-edma: Set status for callback_result
    - netfilter: nf_tables: all transaction allocations can now sleep
    - drm/msm/dsi/phy: Toggle back buffer resync after preparing PLL
    - drm/msm/dsi/phy_7nm: Fix missing initial VCO rate
    - drm/amdgpu: Allow kfd CRIU with no buffer objects
    - drm/xe/guc: Increase GuC crash dump buffer size
    - drm/amd/pm: Increase SMC timeout on SI and warn (v3)
    - move_mount(2): take sanity checks in 'beneath' case into do_lock_mount()
    - selftests: drv-net: rss_ctx: make the test pass with few queues
    - ipv6: Add sanity checks on ipv6_devconf.rpl_seg_enabled
    - drm/xe: Extend Wa_22021007897 to Xe3 platforms
    - wifi: mac80211: count reg connection element in the size
    - drm/panthor: check bo offset alignment in vm bind
    - drm: panel-backlight-quirks: Make EDID match optional
    - ixgbe: reduce number of reads when getting OROM data
    - netlink: specs: fou: change local-v6/peer-v6 check
    - net: nfc: nci: Increase NCI_DATA_TIMEOUT to 3000 ms
    - media: adv7180: Add missing lock in suspend callback
    - media: adv7180: Do not write format to device in set_fmt
    - media: adv7180: Only validate format in querystd
    - media: verisilicon: Explicitly disable selection api ioctls for decoders
    - wifi: mac80211: Fix 6 GHz Band capabilities element advertisement in
      lower bands
    - platform/x86: think-lmi: Add extra TC BIOS error messages
    - platform/x86/intel-uncore-freq: Present unique domain ID per package
    - ALSA: usb-audio: apply quirk for MOONDROP Quark2
    - PCI: imx6: Enable the Vaux supply if available
    - drm/xe/guc: Set upper limit of H2G retries over CTB
    - net: call cond_resched() less often in __release_sock()
    - smsc911x: add second read of EEPROM mac when possible corruption seen
    - drm/xe: improve dma-resv handling for backup object
    - iommu/amd: Add support to remap/unmap IOMMU buffers for kdump
    - iommu/amd: Skip enabling command/event buffers for kdump
    - iommu/amd: Reuse device table for kdump
    - crypto: ccp: Skip SEV and SNP INIT for kdump boot
    - iommu/apple-dart: Clear stream error indicator bits for T8110 DARTs
    - bus: mhi: host: pci_generic: Add support for all Foxconn T99W696 SKU
      variants
    - drm/amdgpu: Correct info field of bad page threshold exceed CPER
    - drm/amd: add more cyan skillfish PCI ids
    - drm/amdgpu: don't enable SMU on cyan skillfish
    - drm/amdgpu: add support for cyan skillfish gpu_info
    - drm/amd/display: Fix pbn_div Calculation Error
    - drm/amd/display: dont wait for pipe update during medupdate/highirq
    - drm/amd/pm: refine amdgpu pm sysfs node error code
    - drm/amd/display: Indicate when custom brightness curves are in use
    - selftests: ncdevmem: don't retry EFAULT
    - net: dsa: felix: support phy-mode = "10g-qxgmii"
    - usb: gadget: f_hid: Fix zero length packet transfer
    - serial: qcom-geni: Add DFS clock mode support to GENI UART driver
    - serdev: Drop dev_pm_domain_detach() call
    - tty/vt: Add missing return value for VT_RESIZE in vt_ioctl()
    - eeprom: at25: support Cypress FRAMs without device ID
    - drm/msm/adreno: Add speedbins for A663 GPU
    - drm/msm: Fix 32b size truncation
    - dt-bindings: display/msm/gmu: Update Adreno 623 bindings
    - drm/msm: make sure to not queue up recovery more than once
    - char: Use list_del_init() in misc_deregister() to reinitialize list
      pointer
    - drm/msm/adreno: Add speedbin data for A623 GPU
    - drm/msm/adreno: Add fenced regwrite support
    - drm/msm/a6xx: Switch to GMU AO counter
    - idpf: link NAPIs to queues
    - selftests: net: make the dump test less sensitive to mem accounting
    - PCI: endpoint: pci-epf-test: Limit PCIe BAR size for fixed BARs
    - wifi: rtw89: Add USB ID 2001:332a for D-Link AX9U rev. A1
    - wifi: rtw89: Add USB ID 2001:3327 for D-Link AX18U rev. A1
    - wifi: iwlwifi: fw: Add ASUS to PPAG and TAS list
    - drm/xe/i2c: Enable bus mastering
    - media: ov08x40: Fix the horizontal flip control
    - media: i2c: og01a1b: Specify monochrome media bus format instead of
      Bayer
    - media: qcom: camss: csiphy-3ph: Add CSIPHY 2ph DPHY v2.0.1 init sequence
    - drm/bridge: write full Audio InfoFrame
    - drm/xe/guc: Always add CT disable action during second init step
    - f2fs: fix wrong layout information on 16KB page
    - selftests: mptcp: join: allow more time to send ADD_ADDR
    - scsi: ufs: host: mediatek: Enhance recovery on resume failure
    - scsi: ufs: ufs-qcom: Align programming sequence of Shared ICE for UFS
      controller v5
    - scsi: ufs: host: mediatek: Fix unbalanced IRQ enable issue
    - scsi: ufs: host: mediatek: Enhance recovery on hibernation exit failure
    - net: phy: marvell: Fix 88e1510 downshift counter errata
    - scsi: ufs: host: mediatek: Correct system PM flow
    - scsi: ufs: host: mediatek: Disable auto-hibern8 during power mode
      changes
    - scsi: ufs: host: mediatek: Fix adapt issue after PA_Init
    - wifi: cfg80211: update the time stamps in hidden ssid
    - wifi: mac80211: Fix HE capabilities element check
    - fbcon: Use screen info to find primary device
    - phy: cadence: cdns-dphy: Enable lower resolutions in dphy
    - Fix access to video_is_primary_device() when compiled without
      CONFIG_VIDEO
    - phy: renesas: r8a779f0-ether-serdes: add new step added to latest
      datasheet
    - phy: rockchip: phy-rockchip-inno-csidphy: allow writes to grf register 0
    - drm/msm/registers: Generate _HI/LO builders for reg64
    - net: sh_eth: Disable WoL if system can not suspend
    - selftests: net: replace sleeps in fcnal-test with waits
    - media: redrat3: use int type to store negative error codes
    - platform/x86/amd/pmf: Fix the custom bios input handling mechanism
    - selftests: traceroute: Use require_command()
    - selftests: traceroute: Return correct value on failure
    - openrisc: Add R_OR1K_32_PCREL relocation type module support
    - netfilter: nf_reject: don't reply to icmp error messages
    - x86/kvm: Prefer native qspinlock for dedicated vCPUs irrespective of
      PV_UNHALT
    - x86/virt/tdx: Use precalculated TDVPR page physical address
    - selftests: Disable dad for ipv6 in fcnal-test.sh
    - eth: 8139too: Make 8139TOO_PIO depend on !NO_IOPORT_MAP
    - [Config] No longer enable `CONFIG_8139TOO_PIO` for armhf
    - selftests: Replace sleep with slowwait
    - net: devmem: expose tcp_recvmsg_locked errors
    - selftests: net: lib.sh: Don't defer failed commands
    - HID: asus: add Z13 folio to generic group for multitouch to work
    - watchdog: s3c2410_wdt: Fix max_timeout being calculated larger
    - crypto: sun8i-ce - remove channel timeout field
    - PCI: dwc: Verify the single eDMA IRQ in dw_pcie_edma_irq_verify()
    - crypto: ccp - Fix incorrect payload size calculation in
      psp_poulate_hsti()
    - crypto: caam - double the entropy delay interval for retry
    - can: rcar_canfd: Update bit rate constants for RZ/G3E and R-Car Gen4
    - net: mana: Reduce waiting time if HWC not responding
    - ionic: use int type for err in ionic_get_module_eeprom_by_page
    - net/cls_cgroup: Fix task_get_classid() during qdisc run
    - wifi: mt76: mt7921: Add 160MHz beamformee capability for mt7922 device
    - wifi: mt76: mt7925: add pci restore for hibernate
    - wifi: mt76: mt7996: Fix mt7996_reverse_frag0_hdr_trans for MLO
    - wifi: mt76: mt7996: Set def_wcid pointer in mt7996_mac_sta_init_link()
    - wifi: mt76: mt7996: Temporarily disable EPCS
    - wifi: mt76: mt7996: support writing MAC TXD for AddBA Request
    - wifi: mt76: mt76_eeprom_override to int
    - ALSA: serial-generic: remove shared static buffer
    - wifi: mt76: mt7996: fix memory leak on mt7996_mcu_sta_key_tlv error
    - wifi: mt76: mt7996: disable promiscuous mode by default
    - wifi: mt76: use altx queue for offchannel tx on connac+
    - wifi: mt76: improve phy reset on hw restart
    - drm/amdgpu: Use memdup_array_user in amdgpu_cs_wait_fences_ioctl
    - drm/amdgpu: Release hive reference properly
    - drm/amd/display: Fix DMCUB loading sequence for DCN3.2
    - drm/amd/display: Set up pixel encoding for YCBCR422
    - drm/amd/display: fix dml ms order of operations
    - drm/amd/display: Don't use non-registered VUPDATE on DCE 6
    - drm/amd/display: Keep PLL0 running on DCE 6.0 and 6.4
    - drm/amd/display: Fix DVI-D/HDMI adapters
    - drm/amd/display: Disable VRR on DCE 6
    - drm/amd/display/dml2: Guard dml21_map_dc_state_into_dml_display_cfg with
      DC_FP_START
    - net: phy: clear EEE runtime state in PHY_HALTED/PHY_ERROR
    - ethernet: Extend device_get_mac_address() to use NVMEM
    - scsi: ufs: ufs-qcom: Disable lane clocks during phy hibern8
    - HID: i2c-hid: Resolve touchpad issues on Dell systems during S4
    - hinic3: Queue pair endianness improvements
    - hinic3: Fix missing napi->dev in netif_queue_set_napi
    - tools: ynl-gen: validate nested arrays
    - drm/xe/guc: Return an error code if the GuC load fails
    - drm/amdgpu: reject gang submissions under SRIOV
    - selftests/Makefile: include $(INSTALL_DEP_TARGETS) in clean target to
      clean net/lib dependency
    - scsi: ufs: core: Disable timestamp functionality if not supported
    - scsi: lpfc: Clean up allocated queues when queue setup mbox commands
      fail
    - scsi: lpfc: Decrement ndlp kref after FDISC retries exhausted
    - scsi: lpfc: Check return status of lpfc_reset_flush_io_context during
      TGT_RESET
    - scsi: lpfc: Remove ndlp kref decrement clause for F_Port_Ctrl in
      lpfc_cleanup
    - scsi: lpfc: Define size of debugfs entry for xri rebalancing
    - scsi: lpfc: Ensure PLOGI_ACC is sent prior to PRLI in Point to Point
      topology
    - allow finish_no_open(file, ERR_PTR(-E...))
    - usb: mon: Increase BUFF_MAX to 64 MiB to support multi-MB URBs
    - usb: xhci: plat: Facilitate using autosuspend for xhci plat devices
    - wifi: rtw89: disable RTW89_PHYSTS_IE09_FTR_0 for ppdu status
    - wifi: rtw89: obtain RX path from ppdu status IE00
    - wifi: rtw89: renew a completion for each H2C command waiting C2H event
    - usb: xhci-pci: add support for hosts with zero USB3 ports
    - ipv6: np->rxpmtu race annotation
    - RDMA/irdma: Update Kconfig
    - IB/ipoib: Ignore L3 master device
    - bnxt_en: Add fw log trace support for 5731X/5741X chips
    - mei: make a local copy of client uuid in connect
    - ASoC: qcom: sc8280xp: explicitly set S16LE format in
      sc8280xp_be_hw_params_fixup()
    - net: phy: clear link parameters on admin link down
    - net: ethernet: microchip: sparx5: make it selectable for ARCH_LAN969X
    - bus: mhi: core: Improve mhi_sync_power_up handling for SYS_ERR state
    - iommu/vt-d: Replace snprintf with scnprintf in dmar_latency_snapshot()
    - wifi: ath10k: Fix connection after GTK rekeying
    - iommu/vt-d: Remove LPIG from page group response descriptor
    - wifi: mac80211: Get the correct interface for non-netdev skb status
    - wifi: mac80211: Track NAN interface start/stop
    - net: intel: fm10k: Fix parameter idx set but not used
    - sparc/module: Add R_SPARC_UA64 relocation handling
    - sparc64: fix prototypes of reads[bwl]()
    - vfio: return -ENOTTY for unsupported device feature
    - ptp_ocp: make ptp_ocp driver compatible with PTP_EXTTS_REQUEST2
    - crypto: hisilicon/qm - invalidate queues in use
    - crypto: hisilicon/qm - clear all VF configurations in the hardware
    - ASoC: ops: improve snd_soc_get_volsw
    - PCI/PM: Skip resuming to D0 if device is disconnected
    - selftests: forwarding: Reorder (ar)ping arguments to obey POSIX getopt
    - remoteproc: qcom: q6v5: Avoid handling handover twice
    - wifi: ath12k: Increase DP_REO_CMD_RING_SIZE to 256
    - net: dsa: microchip: Set SPI as bus interface during reset for KSZ8463
    - bng_en: make bnge_alloc_ring() self-unwind on failure
    - ALSA: usb-audio: don't apply interface quirk to Presonus S1824c
    - tcp: Update bind bucket state on port release
    - ovl: make sure that ovl_create_real() returns a hashed dentry
    - drm/amd/display: Add missing post flip calls
    - drm/amd/display: Add AVI infoframe copy in copy_stream_update_to_stream
    - drm/amd/display: Add fast sync field in ultra sleep more for DMUB
    - drm/amd/display: Init dispclk from bootup clock for DCN314
    - drm/amd/display: Fix for test crash due to power gating
    - drm/amd/display: change dc stream color settings only in atomic commit
    - NFSv4: handle ERR_GRACE on delegation recalls
    - NFSv4.1: fix mount hang after CREATE_SESSION failure
    - net: bridge: Install FDB for bridge MAC on VLAN 0
    - net: phy: dp83640: improve phydev and driver removal handling
    - scsi: ufs: core: Change MCQ interrupt enable flow
    - scsi: libfc: Fix potential buffer overflow in fc_ct_ms_fill()
    - accel/habanalabs/gaudi2: fix BMON disable configuration
    - scsi: mpt3sas: Add support for 22.5 Gbps SAS link rate
    - accel/habanalabs: return ENOMEM if less than requested pages were pinned
    - accel/habanalabs/gaudi2: read preboot status after recovering from dirty
      state
    - ASoC: renesas: msiof: add .symmetric_xxx on snd_soc_dai_driver
    - ASoC: renesas: msiof: use reset controller
    - ASoC: renesas: msiof: tidyup DMAC stop timing
    - ASoC: renesas: msiof: set SIFCTR register
    - ext4: increase IO priority of fastcommit
    - drm/amdgpu: Add fallback to pipe reset if KCQ ring reset fails
    - drm/amdgpu: Fix fence signaling race condition in userqueue
    - ASoC: stm32: sai: manage context in set_sysclk callback
    - ASoC: tlv320aic3x: Fix class-D initialization for tlv320aic3007
    - ACPI: scan: Update honor list for RPMI System MSI
    - platform/x86: x86-android-tablets: Stop using EPROBE_DEFER
    - vfio/pci: Fix INTx handling on legacy non-PCI 2.3 devices
    - vfio/nvgrace-gpu: Add GB300 SKU to the devid table
    - selftest: net: Fix error message if empty variable
    - net/mlx5e: Don't query FEC statistics when FEC is disabled
    - Bluetooth: btintel: Add support for BlazarIW core
    - net: macb: avoid dealing with endianness in macb_set_hwaddr()
    - Bluetooth: btusb: Add new VID/PID 13d3/3627 for MT7925
    - Bluetooth: btintel_pcie: Define hdev->wakeup() callback
    - Bluetooth: ISO: Don't initiate CIS connections if there are no buffers
    - Bluetooth: btusb: Check for unexpected bytes when defragmenting HCI
      frames
    - Bluetooth: ISO: Use sk_sndtimeo as conn_timeout
    - Bluetooth: btusb: Add new VID/PID 13d3/3633 for MT7922
    - net: stmmac: est: Drop frames causing HLBS error
    - exfat: limit log print for IO error
    - 6pack: drop redundant locking and refcounting
    - page_pool: Clamp pool size to max 16K pages
    - net/mlx5e: Prevent entering switchdev mode with inconsistent netns
    - ksmbd: use sock_create_kern interface to create kernel socket
    - smb: client: update cfid->last_access_time in
      open_cached_dir_by_dentry()
    - smb: client: transport: avoid reconnects triggered by pending task work
    - usb: xhci-pci: Fix USB2-only root hub registration
    - drm/amd/display: Add fallback path for YCBCR422
    - ACPICA: Update dsmethod.c to get rid of unused variable warning
    - RDMA/bnxt_re: Fix a potential memory leak in destroy_gsi_sqp
    - RDMA/irdma: Fix SD index calculation
    - RDMA/irdma: Remove unused struct irdma_cq fields
    - RDMA/irdma: Set irdma_cq cq_num field during CQ create
    - RDMA/uverbs: Fix umem release in UVERBS_METHOD_CQ_CREATE
    - RDMA/hns: Fix recv CQ and QP cache affinity
    - RDMA/hns: Fix the modification of max_send_sge
    - RDMA/hns: Fix wrong WQE data when QP wraps around
    - btrfs: mark dirty extent range for out of bound prealloc extents
    - clk: qcom: gcc-ipq6018: rework nss_port5 clock to multiple conf
    - clk: renesas: rzv2h: Re-assert reset on deassert timeout
    - clk: samsung: exynos990: Add missing USB clock registers to HSI0
    - fs/hpfs: Fix error code for new_inode() failure in
      mkdir/create/mknod/symlink
    - clocksource: hyper-v: Skip unnecessary checks for the root partition
    - hyperv: Add missing field to hv_output_map_device_interrupt
    - um: Fix help message for ssl-non-raw
    - clk: sunxi-ng: sun6i-rtc: Add A523 specifics
    - rtc: pcf2127: clear minute/second interrupt
    - ARM: at91: pm: save and restore ACR during PLL disable/enable
    - clk: at91: add ACR in all PLL settings
    - clk: at91: sam9x7: Add peripheral clock id for pmecc
    - clk: at91: clk-master: Add check for divide by 3
    - clk: at91: clk-sam9x60-pll: force write to PLL_UPDT register
    - clk: ti: am33xx: keep WKUP_DEBUGSS_CLKCTRL enabled
    - clk: scmi: Add duty cycle ops only when duty cycle is supported
    - clk: clocking-wizard: Fix output clock register offset for Versal
      platforms
    - NTB: epf: Allow arbitrary BAR mapping
    - 9p: fix /sys/fs/9p/caches overwriting itself
    - cpufreq: tegra186: Initialize all cores to max frequencies
    - 9p: sysfs_init: don't hardcode error to ENOMEM
    - scsi: ufs: core: Include UTP error in INT_FATAL_ERRORS
    - fbdev: core: Fix ubsan warning in pixel_to_pat
    - ACPI: property: Return present device nodes only on fwnode interface
    - LoongArch: Handle new atomic instructions for probes
    - tools bitmap: Add missing asm-generic/bitsperlong.h include
    - tools: lib: thermal: don't preserve owner in install
    - tools: lib: thermal: use pkg-config to locate libnl3
    - ALSA: hda/realtek: Add quirk for ASUS ROG Zephyrus Duo
    - rtc: zynqmp: Restore alarm functionality after kexec transition
    - rtc: pcf2127: fix watchdog interrupt mask on pcf2131
    - net: wwan: t7xx: add support for HP DRMR-H01
    - kbuild: uapi: Strip comments before size type check
    - ASoC: meson: aiu-encoder-i2s: fix bit clock polarity
    - ASoC: rt722: add settings for rt722VB
    - drm/amdgpu: Report individual reset error
    - ceph: add checking of wait_for_completion_killable() return value
    - ceph: fix potential race condition in ceph_ioctl_lazyio()
    - ceph: refactor wake_up_bit() pattern of calling
    - x86: uaccess: don't use runtime-const rewriting in modules
    - rust: condvar: fix broken intra-doc link
    - rust: devres: fix private intra-doc link
    - rust: kbuild: workaround `rustdoc` doctests modifier bug
    - rust: kbuild: treat `build_error` and `rustdoc` as kernel objects
    - media: uvcvideo: Use heuristic to find stream entity
    - Revert "wifi: ath10k: avoid unnecessary wait for service ready message"
    - tracing: tprobe-events: Fix to register tracepoint correctly
    - tracing: tprobe-events: Fix to put tracepoint_user when disable the
      tprobe
    - net: libwx: fix device bus LAN ID
    - scsi: ufs: core: Fix a race condition related to the "hid" attribute
      group
    - riscv: ptdump: use seq_puts() in pt_dump_seq_puts() macro
    - Revert "wifi: ath12k: Fix missing station power save configuration"
    - scsi: ufs: core: Revert "Make HID attributes visible"
    - Bluetooth: btrtl: Fix memory leak in rtlbt_parse_firmware_v2()
    - net: dsa: tag_brcm: legacy: fix untagged rx on unbridged ports for
      bcm63xx
    - selftests/net: fix out-of-order delivery of FIN in gro:tcp test
    - selftests/net: use destination options instead of hop-by-hop
    - selftests: netdevsim: Fix ethtool-coalesce.sh fail by installing
      ethtool-common.sh
    - net: vlan: sync VLAN features with lower device
    - net: dsa: b53: fix resetting speed and pause on forced link
    - net: dsa: b53: fix bcm63xx RGMII port link adjustment
    - net: dsa: b53: fix enabling ip multicast
    - net: dsa: b53: stop reading ARL entries if search is done
    - net: dsa: b53: properly bound ARL searches for < 4 ARL bin chips
    - sctp: Hold RCU read lock while iterating over address list
    - sctp: Hold sock lock while iterating over address list
    - net: ionic: add dma_wmb() before ringing TX doorbell
    - net: ionic: map SKB after pseudo-header checksum prep
    - octeontx2-pf: Fix devm_kcalloc() error checking
    - bnxt_en: Fix a possible memory leak in bnxt_ptp_init
    - bnxt_en: Always provide max entry and entry size in coredump segments
    - bnxt_en: Fix warning in bnxt_dl_reload_down()
    - wifi: mac80211_hwsim: Limit destroy_on_close radio removal to netgroup
    - io_uring: fix types for region size calulation
    - net/mlx5e: Fix return value in case of module EEPROM read error
    - net: ti: icssg-prueth: Fix fdb hash size configuration
    - net/mlx5e: SHAMPO, Fix header mapping for 64K pages
    - net/mlx5e: SHAMPO, Fix skb size check for 64K pages
    - net/mlx5e: SHAMPO, Fix header formulas for higher MTUs and 64K pages
    - net: wan: framer: pef2256: Switch to devm_mfd_add_devices()
    - net: dsa: microchip: Fix reserved multicast address table programming
    - net: bridge: fix MST static key usage
    - selftests/vsock: avoid false-positives when checking dmesg
    - tracing: Fix memory leaks in create_field_var()
    - drm/amd/display: Enable mst when it's detected but yet to be initialized
    - wifi: cfg80211: add an hrtimer based delayed work item
    - wifi: mac80211: use wiphy_hrtimer_work for ml_reconf_work
    - wifi: mac80211: use wiphy_hrtimer_work for ttlm_work
    - wifi: mac80211: use wiphy_hrtimer_work for csa.switch_work
    - riscv: Fix memory leak in module_frob_arch_sections()
    - rtc: rx8025: fix incorrect register reference
    - x86/microcode/AMD: Add more known models to entry sign checking
    - smb: client: validate change notify buffer before copy
    - x86/amd_node: Fix AMD root device caching
    - xfs: fix delalloc write failures in software-provided atomic writes
    - xfs: fix various problems in xfs_atomic_write_cow_iomap_begin
    - x86/CPU/AMD: Add missing terminator for zen5_rdseed_microcode
    - drm: define NVIDIA DRM format modifiers for GB20x
    - drm/nouveau: Advertise correct modifiers on GB20x
    - drm/amdgpu/smu: Handle S0ix for vangogh
    - drm/amdkfd: Don't clear PT after process killed
    - virtio_net: fix alignment for virtio_net_hdr_v1_hash
    - lib/crypto: curve25519-hacl64: Fix older clang KASAN workaround for GCC
    - scsi: ufs: ufs-pci: Fix S0ix/S3 for Intel controllers
    - scsi: ufs: ufs-pci: Set UFSHCD_QUIRK_PERFORM_LINK_STARTUP_ONCE for Intel
      ADL
    - scsi: ufs: core: Add a quirk to suppress link_startup_again
    - drm/amd/display: update color on atomic commit time
    - extcon: adc-jack: Cleanup wakeup source only if it was enabled
    - kunit: Extend kconfig help text for KUNIT_UML_PCI
    - ALSA: hda/tas2781: Enable init_profile_id for device initialization
    - ACPI: SPCR: Check for table version when using precise baudrate
    - kbuild: Strip trailing padding bytes from modules.builtin.modinfo
    - drm/amdgpu: Fix unintended error log in VCN5_0_0
    - drm/amd/display: Fix vupdate_offload_work doc
    - drm/amdgpu: Fix function header names in amdgpu_connectors.c
    - drm/amdgpu/userq: assign an error code for invalid userq va
    - drm/msm/dpu: Fix adjusted mode clock check for 3d merge
    - drm/amd/display: Reject modes with too high pixel clock on DCE6-10
    - drm/amd/display: use GFP_NOWAIT for allocation in interrupt handler
    - drm/amd/display: Fix black screen with HDMI outputs
    - selftests: drv-net: Reload pkt pointer after calling filter_udphdr
    - dt-bindings: eeprom: at25: use "size" for FRAMs without device ID
    - Linux 6.17.8

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68316
    - scsi: ufs: core: Fix invalid probe error return value

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40292
    - virtio-net: fix received length check in big packets

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68180
    - drm/amd/display: Fix NULL deref in debugfs odm_combine_segments

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40327
    - perf/core: Fix system hang caused by cpu-clock usage

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40328
    - smb: client: fix potential UAF in smb2_close_cached_fid()

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40291
    - io_uring: fix regbuf vector size truncation

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68322
    - parisc: Avoid crash due to unaligned access in unwinder

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40293
    - iommufd: Don't overflow during division for dirty tracking

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40294
    - Bluetooth: MGMT: Fix OOB access in parse_adv_monitor_pattern()

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40329
    - drm/sched: Fix deadlock in drm_sched_entity_kill_jobs_cb

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40295
    - fscrypt: fix left shift underflow when inode->i_blkbits > PAGE_SHIFT

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40296
    - platform/x86: int3472: Fix double free of GPIO device during unregister

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40297
    - net: bridge: fix use-after-free due to MST port state bypass

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68320
    - lan966x: Fix sleeping in atomic context

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68169
    - netpoll: Fix deadlock in memory allocation under spinlock

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68197
    - bnxt_en: Fix null pointer dereference in bnxt_bs_trace_check_wrap()

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40330
    - bnxt_en: Shutdown FW DMA in bnxt_shutdown()

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68192
    - net: usb: qmi_wwan: initialize MAC header offset in qmimux_rx_fixup

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40331
    - sctp: Prevent TOCTOU out-of-bounds write

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68187
    - net: mdio: Check regmap pointer returned by device_node_to_regmap()

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68167
    - gpiolib: fix invalid pointer access in debugfs

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68319
    - netconsole: Acquire su_mutex before navigating configs hierarchy

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40298
    - gve: Implement settime64 with -EOPNOTSUPP

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40299
    - gve: Implement gettimex64 with -EOPNOTSUPP

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40301
    - Bluetooth: hci_event: validate skb length for unknown CC opcode

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40358
    - riscv: stacktrace: Disable KASAN checks for non-current tasks

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68186
    - ring-buffer: Do not warn in ring_buffer_map_get_reader() when reader
      catches up

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68184
    - drm/mediatek: Disable AFBC support on Mediatek DRM driver

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40302
    - media: videobuf2: forbid remove_bufs when legacy fileio is active

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40303
    - btrfs: ensure no dirty metadata is written back for an fs with errors

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40362
    - ceph: fix multifs mds auth caps issue

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40332
    - drm/amdkfd: Fix mmap write lock not release

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40304
    - fbdev: Add bounds checking in bit_putcs to fix vmalloc-out-of-bounds

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40305
    - 9p/trans_fd: p9_fd_request: kick rx thread if EPOLLIN

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68318
    - clk: thead: th1520-ap: set all AXI clocks to CLK_IS_CRITICAL

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40209
    - btrfs: fix memory leak of qgroup_list in btrfs_add_qgroup_relation

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68183
    - ima: don't clear IMA_DIGSIG flag when setting or removing non-IMA xattr

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68173
    - ftrace: Fix softlockup in ftrace_module_enable

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40306
    - orangefs: fix xattr related buffer overflow...

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40307
    - exfat: validate cluster allocation bits of the allocation bitmap

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40308
    - Bluetooth: bcsp: receive data only if registered

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40309
    - Bluetooth: SCO: Fix UAF on sco_conn_free

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68174
    - amd/amdkfd: enhance kfd process check in switch partition

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40310
    - amd/amdkfd: resolve a race in amdgpu_amdkfd_device_fini_sw

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40361
    - fs: ext4: change GFP_KERNEL to GFP_NOFS to avoid deadlock

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40311
    - accel/habanalabs: support mapping cb with vmalloc-backed coherent memory

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68185
    - nfs4_setup_readdir(): insufficient locking for ->d_parent->d_inode
      dereferencing

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68176
    - PCI: cadence: Check for the existence of cdns_pcie::ops before using it

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68190
    - drm/amdgpu/atom: Check kcalloc() for WS buffer in
      amdgpu_atom_execute_table_locked()

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68168
    - jfs: fix uninitialized waitqueue in transaction manager

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40312
    - jfs: Verify inode mode when loading from disk

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40333
    - f2fs: fix infinite loop in __insert_extent_tree()

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68321
    - page_pool: always add GFP_NOWARN for ATOMIC allocations

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40334
    - drm/amdgpu: validate userq buffer virtual address and size

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68191
    - udp_tunnel: use netdev_warn() instead of netdev_WARN()

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68309
    - PCI/AER: Fix NULL pointer access by aer_info

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40313
    - ntfs3: pretend $Extend records as regular files

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40335
    - drm/amdgpu: validate userq input args

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40314
    - usb: cdns3: gadget: Use-after-free during failed initialization and exit
      of cdnsp gadget

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40336
    - drm/gpusvm: fix hmm_pfn_to_map_order() usage

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68193
    - drm/xe/guc: Add devm release action to safely tear down CT

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68175
    - media: nxp: imx8-isi: Fix streaming cleanup on release

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68188
    - tcp: use dst_dev_rcu() in tcp_fastopen_active_disable_ofo_check()

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68315
    - f2fs: fix to detect potential corrupted nid in free_nid_list

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40337
    - net: stmmac: Correctly handle Rx checksum offload errors

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40338
    - ASoC: Intel: avs: Do not share the name pointer between components

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40339
    - drm/amdgpu: fix nullptr err of vm_handle_moved

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68194
    - media: imon: make send_packet() more robust

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40363
    - net: ipv6: fix field-spanning memcpy warning in AH output

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68311
    - tty: serial: ip22zilog: Use platform device for probing

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40340
    - drm/xe: Fix oops in xe_gem_fault when running core_hotunplug test.

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68196
    - drm/amd/display: Cache streams targeting link when performing LT
      automation

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68178
    - blk-cgroup: fix possible deadlock while configuring policy

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40341
    - futex: Don't leak robust_list pointer on exec race

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40342
    - nvme-fc: use lock accessing port_state and rport state

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40343
    - nvmet-fc: avoid scheduling association deletion twice

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68177
    - cpufreq/longhaul: handle NULL policy in longhaul_exit

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68317
    - io_uring/zctx: check chained notif contexts

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40315
    - usb: gadget: f_fs: Fix epfile null pointer access after ep enable.

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40316
    - drm/mediatek: Fix device use-after-free on unbind

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40360
    - drm/sysfb: Do not dereference NULL pointer in plane reset

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68179
    - s390: Disable ARCH_WANT_OPTIMIZE_HUGETLB_VMEMMAP

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68310
    - s390/pci: Avoid deadlock between PCI error recovery and mlx5 crdump

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40317
    - regmap: slimbus: fix bus_context pointer in regmap init calls

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40359
    - perf/x86/intel: Fix KASAN global-out-of-bounds warning

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68181
    - drm/radeon: Remove calls to drm_put_dev()

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68170
    - drm/radeon: Do not kfree() devres managed rdev

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40213
    - Bluetooth: MGMT: fix crash in set_mesh_sync and set_mesh_complete

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40318
    - Bluetooth: hci_sync: fix race in hci_cmd_sync_dequeue_once

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68312
    - usbnet: Prevents free active kevent

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40344
    - ASoC: Intel: avs: Disable periods-elapsed work when closing PCM

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68172
    - crypto: aspeed - fix double free caused by devm

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40319
    - bpf: Sync pending IRQ work before freeing ring buffer

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68182
    - wifi: iwlwifi: fix potential use after free in iwl_mld_remove_link()

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68314
    - drm/msm: make sure last_fence is always updated

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68189
    - drm/msm: Fix GEM free for imported dma-bufs

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68171
    - x86/fpu: Ensure XFD state on signal delivery

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-68313
    - x86/CPU/AMD: Add RDSEED fix for Zen5

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40320
    - smb: client: fix potential cfid UAF in smb2_query_info_compound

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40321
    - wifi: brcmfmac: fix crash while sending Action Frames in standalone AP
      Mode

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40322
    - fbdev: bitblit: bound-check glyph index in bit_putcs*

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40211
    - ACPI: video: Fix use-after-free in acpi_video_switch_brightness()

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40323
    - fbcon: Set fb_display[i]->mode to NULL when the mode is released

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40210
    - Revert "NFSD: Remove the cap on number of operations per NFSv4 COMPOUND"

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40324
    - NFSD: Fix crash in nfsd4_read_release()

  * Questing update: v6.17.8 upstream stable release (LP: #2136833) //
    CVE-2025-40326
    - NFSD: Define actions for the new time_deleg FATTR4 attributes

  * Questing update: v6.17.7 upstream stable release (LP: #2136813)
    - sched_ext: Move internal type and accessor definitions to ext_internal.h
    - sched_ext: Put event_stats_cpu in struct scx_sched_pcpu
    - sched_ext: Sync error_irq_work before freeing scx_sched
    - timekeeping: Fix aux clocks sysfs initialization loop bound
    - x86/bugs: Report correct retbleed mitigation status
    - x86/bugs: Qualify RETBLEED_INTEL_MSG
    - genirq/chip: Add buslock back in to irq_set_handler()
    - genirq/manage: Add buslock back in to __disable_irq_nosync()
    - genirq/manage: Add buslock back in to enable_irq()
    - audit: record fanotify event regardless of presence of rules
    - EDAC/ie31200: Add two more Intel Alder Lake-S SoCs for EDAC support
    - perf/x86/intel: Add ICL_FIXED_0_ADAPTIVE bit into INTEL_FIXED_BITS_MASK
    - perf: Use current->flags & PF_KTHREAD|PF_USER_WORKER instead of
      current->mm == NULL
    - perf: Have get_perf_callchain() return NULL if crosstask and user are
      set
    - perf: Skip user unwind if the task is a kernel thread
    - EDAC: Fix wrong executable file modes for C source files
    - seccomp: passthrough uprobe systemcall without filtering
    - sched_ext: Keep bypass on between enable failure and
      scx_disable_workfn()
    - x86/bugs: Add attack vector controls for VMSCAPE
    - x86/bugs: Fix reporting of LFENCE retpoline
    - EDAC/mc_sysfs: Increase legacy channel support to 16
    - cpuset: Use new excpus for nocpu error check when enabling root
      partition
    - btrfs: abort transaction on specific error places when walking log tree
    - btrfs: abort transaction in the process_one_buffer() log tree walk
      callback
    - btrfs: zoned: return error from btrfs_zone_finish_endio()
    - btrfs: zoned: refine extent allocator hint selection
    - btrfs: scrub: replace max_t()/min_t() with clamp() in
      scrub_throttle_dev_io()
    - btrfs: always drop log root tree reference in btrfs_replay_log()
    - btrfs: use level argument in log tree walk callback replay_one_buffer()
    - btrfs: abort transaction if we fail to update inode in log replay dir
      fixup
    - btrfs: tree-checker: add inode extref checks
    - btrfs: use smp_mb__after_atomic() when forcing COW in
      create_pending_snapshot()
    - sched_ext: Make qmap dump operation non-destructive
    - arch: Add the macro COMPILE_OFFSETS to all the asm-offsets.c
    - btrfs: tree-checker: fix bounds check in check_inode_extref()
    - Linux 6.17.7

  * [UBUNTU 24.04] KVM: s390: improve interrupt cpu for wakeup (LP: #2132317)
    - KVM: s390: improve interrupt cpu for wakeup

  * Questing update: v6.17.6 upstream stable release (LP: #2134982)
    - sched/fair: Block delayed tasks on throttled hierarchy during dequeue
    - vfio/cdx: update driver to build without CONFIG_GENERIC_MSI_IRQ
    - expfs: Fix exportfs_can_encode_fh() for EXPORT_FH_FID
    - cgroup/misc: fix misc_res_type kernel-doc warning
    - dlm: move to rinfo for all middle conversion cases
    - exec: Fix incorrect type for ret
    - s390/pkey: Forward keygenflags to ep11_unwrapkey
    - hfs: clear offset and space out of valid records in b-tree node
    - hfs: make proper initalization of struct hfs_find_data
    - hfs: validate record offset in hfsplus_bmap_alloc
    - hfsplus: fix KMSAN uninit-value issue in hfsplus_delete_cat()
    - dlm: check for defined force value in dlm_lockspace_release
    - hfsplus: return EIO when type of hidden directory mismatch in
      hfsplus_fill_super()
    - PCI: Test for bit underflow in pcie_set_readrq()
    - lkdtm: fortify: Fix potential NULL dereference on kmalloc failure
    - arm64: sysreg: Correct sign definitions for EIESB and DoubleLock
    - m68k: bitops: Fix find_*_bit() signatures
    - powerpc/32: Remove PAGE_KERNEL_TEXT to fix startup failure
    - riscv: mm: Return intended SATP mode for noXlvl options
    - riscv: mm: Use mmu-type from FDT to limit SATP mode
    - riscv: cpufeature: add validation for zfa, zfh and zfhmin
    - drivers/perf: hisi: Relax the event ID check in the framework
    - s390/mm: Use __GFP_ACCOUNT for user page table allocations
    - smb: client: queue post_recv_credits_work also if the peer raises the
      credit target
    - smb: client: limit the range of info->receive_credit_target
    - smb: client: make use of ib_wc_status_msg() and skip IB_WC_WR_FLUSH_ERR
      logging
    - smb: server: let smb_direct_flush_send_list() invalidate a remote key
      first
    - Unbreak 'make tools/*' for user-space targets
    - platform/mellanox: mlxbf-pmc: add sysfs_attr_init() to count_clock init
    - cpufreq/amd-pstate: Fix a regression leading to EPP 0 after hibernate
    - net/mlx5e: Return 1 instead of 0 in invalid case in
      mlx5e_mpwrq_umr_entry_size()
    - rtnetlink: Allow deleting FDB entries in user namespace
    - net: enetc: fix the deadlock of enetc_mdio_lock
    - net: enetc: correct the value of ENETC_RXB_TRUESIZE
    - dpaa2-eth: fix the pointer passed to PTR_ALIGN on Tx path
    - net: phy: realtek: fix rtl8221b-vm-cg name
    - can: bxcan: bxcan_start_xmit(): use can_dev_dropped_skb() instead of
      can_dropped_invalid_skb()
    - can: esd: acc_start_xmit(): use can_dev_dropped_skb() instead of
      can_dropped_invalid_skb()
    - can: rockchip-canfd: rkcanfd_start_xmit(): use can_dev_dropped_skb()
      instead of can_dropped_invalid_skb()
    - selftests: net: fix server bind failure in sctp_vrf.sh
    - net/mlx5e: RX, Fix generating skb from non-linear xdp_buff for legacy RQ
    - net/mlx5e: RX, Fix generating skb from non-linear xdp_buff for striding
      RQ
    - net/smc: fix general protection fault in __smc_diag_dump
    - net: ethernet: ti: am65-cpts: fix timestamp loss due to race conditions
    - arm64, mm: avoid always making PTE dirty in pte_mkwrite()
    - erofs: avoid infinite loops due to corrupted subpage compact indexes
    - net: hibmcge: select FIXED_PHY
    - ptp: ocp: Fix typo using index 1 instead of i in SMA initialization loop
    - net: hsr: prevent creation of HSR device with slaves from another netns
    - espintcp: use datagram_poll_queue for socket readiness
    - net: datagram: introduce datagram_poll_queue for custom receive queues
    - ovpn: use datagram_poll_queue for socket readiness in TCP
    - net: bonding: fix possible peer notify event loss or dup issue
    - hung_task: fix warnings caused by unaligned lock pointers
    - mm: don't spin in add_stack_record when gfp flags don't allow
    - dma-debug: don't report false positives with
      DMA_BOUNCE_UNALIGNED_KMALLOC
    - arch_topology: Fix incorrect error check in
      topology_parse_cpu_capacity()
    - riscv: hwprobe: Fix stale vDSO data for late-initialized keys at boot
    - io_uring/sqpoll: switch away from getrusage() for CPU accounting
    - io_uring/sqpoll: be smarter on when to update the stime usage
    - btrfs: send: fix duplicated rmdir operations when using extrefs
    - btrfs: ref-verify: fix IS_ERR() vs NULL check in btrfs_build_ref_tree()
    - gpio: pci-idio-16: Define maximum valid register address offset
    - gpio: 104-idio-16: Define maximum valid register address offset
    - xfs: fix locking in xchk_nlinks_collect_dir
    - platform/x86: alienware-wmi-wmax: Add AWCC support to Dell G15 5530
    - Revert "cpuidle: menu: Avoid discarding useful information"
    - riscv: cpufeature: avoid uninitialized variable in
      has_thead_homogeneous_vlenb()
    - rust: device: fix device context of Device::parent()
    - slab: Avoid race on slab->obj_exts in alloc_slab_obj_exts
    - slab: Fix obj_ext mistakenly considered NULL due to race condition
    - smb: client: get rid of d_drop() in cifs_do_rename()
    - ACPICA: Work around bogus -Wstringop-overread warning since GCC 11
    - arm64: mte: Do not warn if the page is already tagged in copy_highpage()
    - can: netlink: can_changelink(): allow disabling of automatic restart
    - cifs: Fix TCP_Server_Info::credits to be signed
    - devcoredump: Fix circular locking dependency with devcd->mutex.
    - hwmon: (pmbus/max34440) Update adpm12160 coeff due to latest FW
    - MIPS: Malta: Fix keyboard resource preventing i8042 driver from
      registering
    - rv: Make rtapp/pagefault monitor depends on CONFIG_MMU
    - net: bonding: update the slave array for broadcast mode
    - net: stmmac: dwmac-rk: Fix disabling set_clock_selection
    - net: usb: rtl8150: Fix frame padding
    - net: ravb: Enforce descriptor type ordering
    - net: ravb: Ensure memory write completes before ringing TX doorbell
    - mptcp: pm: in-kernel: C-flag: handle late ADD_ADDR
    - selftests: mptcp: join: mark 'flush re-add' as skipped if not supported
    - selftests: mptcp: join: mark implicit tests as skipped if not supported
    - selftests: mptcp: join: mark 'delete re-add signal' as skipped if not
      supported
    - mm/mremap: correctly account old mapping after MREMAP_DONTUNMAP remap
    - drm/xe: Check return value of GGTT workqueue allocation
    - drm/amd/display: increase max link count and fix link->enc NULL pointer
      access
    - mm/damon/core: use damos_commit_quota_goal() for new goal commit
    - mm/damon/core: fix list_add_tail() call on damon_call()
    - spi: rockchip-sfc: Fix DMA-API usage
    - firmware: arm_ffa: Add support for IMPDEF value in the memory access
      descriptor
    - spi: spi-nxp-fspi: add the support for sample data from DQS pad
    - spi: spi-nxp-fspi: re-config the clock rate when operation require new
      clock rate
    - spi: spi-nxp-fspi: add extra delay after dll locked
    - spi: spi-nxp-fspi: limit the clock rate for different sample clock
      source selection
    - spi: cadence-quadspi: Fix pm_runtime unbalance on dma EPROBE_DEFER
    - arm64: dts: broadcom: bcm2712: Add default GIC address cells
    - arm64: dts: broadcom: bcm2712: Define VGIC interrupt
    - include: trace: Fix inflight count helper on failed initialization
    - firmware: arm_scmi: Fix premature SCMI_XFER_FLAG_IS_RAW clearing in raw
      mode
    - spi: airoha: return an error for continuous mode dirmap creation cases
    - spi: airoha: add support of dual/quad wires spi modes to exec_op()
      handler
    - spi: airoha: switch back to non-dma mode in the case of error
    - spi: airoha: fix reading/writing of flashes with more than one plane per
      lun
    - sysfs: check visibility before changing group attribute ownership
    - RISC-V: Define pgprot_dmacoherent() for non-coherent devices
    - RISC-V: Don't print details of CPUs disabled in DT
    - riscv: hwprobe: avoid uninitialized variable use in hwprobe_arch_id()
    - hwmon: (pmbus/isl68137) Fix child node reference leak on early return
    - hwmon: (sht3x) Fix error handling
    - io_uring: fix incorrect unlikely() usage in io_waitid_prep()
    - nbd: override creds to kernel when calling sock_{send,recv}msg()
    - drm/panic: Fix drawing the logo on a small narrow screen
    - drm/panic: Fix qr_code, ensure vmargin is positive
    - drm/panic: Fix 24bit pixel crossing page boundaries
    - of/irq: Convert of_msi_map_id() callers to of_msi_xlate()
    - of/irq: Add msi-parent check to of_msi_xlate()
    - block: require LBA dma_alignment when using PI
    - gpio: ljca: Fix duplicated IRQ mapping
    - io_uring: correct __must_hold annotation in io_install_fixed_file
    - sched: Remove never used code in mm_cid_get()
    - USB: serial: option: add UNISOC UIS7720
    - USB: serial: option: add Quectel RG255C
    - USB: serial: option: add Telit FN920C04 ECM compositions
    - usb/core/quirks: Add Huawei ME906S to wakeup quirk
    - usb: raw-gadget: do not limit transfer length
    - xhci: dbc: enable back DbC in resume if it was enabled before suspend
    - xhci: dbc: fix bogus 1024 byte prefix if ttyDBC read races with stall
      event
    - x86/microcode: Fix Entrysign revision check for Zen1/Naples
    - binder: remove "invalid inc weak" check
    - mei: me: add wildcat lake P DID
    - objtool/rust: add one more `noreturn` Rust function
    - nvmem: rcar-efuse: add missing MODULE_DEVICE_TABLE
    - misc: fastrpc: Fix dma_buf object leak in fastrpc_map_lookup
    - most: usb: hdm_probe: Fix calling put_device() before device
      initialization
    - tcpm: switch check for role_sw device with fw_node
    - dt-bindings: serial: sh-sci: Fix r8a78000 interrupts
    - dt-bindings: usb: dwc3-imx8mp: dma-range is required only for imx8mp
    - dt-bindings: usb: qcom,snps-dwc3: Fix bindings for X1E80100
    - serial: 8250_dw: handle reset control deassert error
    - serial: 8250_exar: add support for Advantech 2 port card with Device ID
      0x0018
    - serial: 8250_mtk: Enable baud clock and manage in runtime PM
    - serial: sc16is7xx: remove useless enable of enhanced features
    - staging: gpib: Fix device reference leak in fmh_gpib driver
    - staging: gpib: Fix no EOI on 1 and 2 byte writes
    - staging: gpib: Return -EINTR on device clear
    - staging: gpib: Fix sending clear and trigger events
    - mm/migrate: remove MIGRATEPAGE_UNMAP
    - treewide: remove MIGRATEPAGE_SUCCESS
    - vmw_balloon: indicate success when effectively deflating during
      migration
    - xfs: always warn about deprecated mount options
    - gpio: regmap: Allow to allocate regmap-irq device
    - gpio: regmap: add the .fixed_direction_output configuration parameter
    - gpio: idio-16: Define fixed direction of the GPIO lines
    - Linux 6.17.6

  * Questing update: v6.17.6 upstream stable release (LP: #2134982) //
    CVE-2025-40084
    - ksmbd: transport_ipc: validate payload size before reading handle

  * Questing update: v6.17.6 upstream stable release (LP: #2134982) //
    CVE-2025-40222
    - tty: serial: sh-sci: fix RSCI FIFO overrun handling

  * Questing update: v6.17.6 upstream stable release (LP: #2134982) //
    CVE-2025-40223
    - most: usb: Fix use-after-free in hdm_disconnect

  * Questing update: v6.17.6 upstream stable release (LP: #2134982) //
    CVE-2025-40106
    - comedi: fix divide-by-zero in comedi_buf_munge()

  * Questing update: v6.17.6 upstream stable release (LP: #2134982) //
    CVE-2025-40224
    - hwmon: (cgbc-hwmon) Add missing NULL check after devm_kzalloc()

  * Questing update: v6.17.6 upstream stable release (LP: #2134982) //
    CVE-2025-40225
    - drm/panthor: Fix kernel panic on partial unmap of a GPU VA region

  * Questing update: v6.17.6 upstream stable release (LP: #2134982) //
    CVE-2025-40226
    - firmware: arm_scmi: Account for failed debug initialization

  * Questing update: v6.17.6 upstream stable release (LP: #2134982) //
    CVE-2025-40227
    - mm/damon/sysfs: dealloc commit test ctx always

  * Questing update: v6.17.6 upstream stable release (LP: #2134982) //
    CVE-2025-40228
    - mm/damon/sysfs: catch commit test ctx alloc failure

  * Questing update: v6.17.6 upstream stable release (LP: #2134982) //
    CVE-2025-40229
    - mm/damon/core: fix potential memory leak by cleaning ops_filter in
      damon_destroy_scheme

  * Questing update: v6.17.6 upstream stable release (LP: #2134982) //
    CVE-2025-40230
    - mm: prevent poison consumption when splitting THP

  * Questing update: v6.17.6 upstream stable release (LP: #2134982) //
    CVE-2025-40231
    - vsock: fix lock inversion in vsock_assign_transport()

  * Questing update: v6.17.6 upstream stable release (LP: #2134982) //
    CVE-2025-40233
    - ocfs2: clear extent cache after moving/defragmenting extents

  * Questing update: v6.17.6 upstream stable release (LP: #2134982) //
    CVE-2025-40235
    - btrfs: directly free partially initialized fs_info in
      btrfs_check_leaked_roots()

  * Questing update: v6.17.6 upstream stable release (LP: #2134982) //
    CVE-2025-40236
    - virtio-net: zero unused hash fields

  * Questing update: v6.17.6 upstream stable release (LP: #2134982) //
    CVE-2025-40237
    - fs/notify: call exportfs_encode_fid with s_umount

  * Questing update: v6.17.6 upstream stable release (LP: #2134982) //
    CVE-2025-40238
    - net/mlx5: Fix IPsec cleanup over MPV device

  * Questing update: v6.17.6 upstream stable release (LP: #2134982) //
    CVE-2025-40239
    - net: phy: micrel: always set shared->phydev for LAN8814

  * Questing update: v6.17.6 upstream stable release (LP: #2134982) //
    CVE-2025-40240
    - sctp: avoid NULL dereference when chunk data buffer is missing

  * Questing update: v6.17.6 upstream stable release (LP: #2134982) //
    CVE-2025-40241
    - erofs: fix crafted invalid cases for encoded extents

  * Questing update: v6.17.6 upstream stable release (LP: #2134982) //
    CVE-2025-40242
    - gfs2: Fix unlikely race in gdlm_put_lock

  * Questing update: v6.17.6 upstream stable release (LP: #2134982) //
    CVE-2025-40243
    - hfs: fix KMSAN uninit-value issue in hfs_find_set_zero_bits()

  * Questing update: v6.17.6 upstream stable release (LP: #2134982) //
    CVE-2025-40244
    - hfsplus: fix KMSAN uninit-value issue in __hfsplus_ext_cache_extent()

  * Questing update: v6.17.6 upstream stable release (LP: #2134982) //
    CVE-2025-40245
    - nios2: ensure that memblock.current_limit is set when setting pfn limits

  * Questing update: v6.17.5 upstream stable release (LP: #2133557)
    - docs: kdoc: handle the obsolescensce of docutils.ErrorString()
    - Revert "fs: make vfs_fileattr_[get|set] return -EOPNOTSUPP"
    - PCI: vmd: Override irq_startup()/irq_shutdown() in
      vmd_init_dev_msi_info()
    - ata: libata-core: relax checks in ata_read_log_directory()
    - arm64/sysreg: Fix GIC CDEOI instruction encoding
    - ixgbevf: fix getting link speed data for E610 devices
    - rust: cfi: only 64-bit arm and x86 support CFI_CLANG
    - x86/CPU/AMD: Prevent reset reasons from being retained across reboot
    - slab: reset slab->obj_ext when freeing and it is OBJEXTS_ALLOC_FAIL
    - Revert "io_uring/rw: drop -EOPNOTSUPP check in
      __io_complete_rw_common()"
    - io_uring: protect mem region deregistration
    - Revert "drm/amd/display: Only restore backlight after amdgpu_dm_init or
      dm_resume"
    - r8152: add error handling in rtl8152_driver_init
    - net: usb: lan78xx: Fix lost EEPROM write timeout error(-ETIMEDOUT) in
      lan78xx_write_raw_eeprom
    - f2fs: fix wrong block mapping for multi-devices
    - gve: Check valid ts bit on RX descriptor before hw timestamping
    - jbd2: ensure that all ongoing I/O complete before freeing blocks
    - ext4: wait for ongoing I/O to complete before freeing blocks
    - btrfs: fix clearing of BTRFS_FS_RELOC_RUNNING if relocation already
      running
    - btrfs: fix memory leak on duplicated memory in the qgroup assign ioctl
    - btrfs: only set the device specific options after devices are opened
    - btrfs: fix incorrect readahead expansion length
    - can: gs_usb: gs_make_candev(): populate net_device->dev_port
    - can: gs_usb: increase max interface to U8_MAX
    - cxl/acpi: Fix setup of memory resource in cxl_acpi_set_cache_size()
    - ALSA: hda/intel: Add MSI X870E Tomahawk to denylist
    - ALSA: hda/realtek: Add quirk entry for HP ZBook 17 G6
    - drm/amdgpu: use atomic functions with memory barriers for vm fault info
    - drm/amdgpu: fix gfx12 mes packet status return check
    - drm/xe: Increase global invalidation timeout to 1000us
    - perf/core: Fix address filter match with backing files
    - perf/core: Fix MMAP event path names with backing files
    - perf/core: Fix MMAP2 event device with backing files
    - drm/amd: Check whether secure display TA loaded successfully
    - PM: hibernate: Add pm_hibernation_mode_is_suspend()
    - drm/amd: Fix hybrid sleep
    - usb: gadget: Store endpoint pointer in usb_request
    - usb: gadget: Introduce free_usb_request helper
    - HID: multitouch: fix sticky fingers
    - dax: skip read lock assertion for read-only filesystems
    - coredump: fix core_pattern input validation
    - can: m_can: m_can_plat_remove(): add missing pm_runtime_disable()
    - can: m_can: m_can_handle_state_errors(): fix CAN state transition to
      Error Active
    - can: m_can: m_can_chip_config(): bring up interface in correct state
    - can: m_can: fix CAN state in system PM
    - net: mtk: wed: add dma mask limitation and GFP_DMA32 for device with
      more than 4GB DRAM
    - net: dlink: handle dma_map_single() failure properly
    - doc: fix seg6_flowlabel path
    - can: j1939: add missing calls in NETDEV_UNREGISTER notification handler
    - dpll: zl3073x: Refactor DPLL initialization
    - dpll: zl3073x: Handle missing or corrupted flash configuration
    - r8169: fix packet truncation after S4 resume on RTL8168H/RTL8111H
    - net: phy: bcm54811: Fix GMII/MII/MII-Lite selection
    - net: phy: realtek: Avoid PHYCR2 access if PHYCR2 not present
    - amd-xgbe: Avoid spurious link down messages during interface toggle
    - Octeontx2-af: Fix missing error code in cgx_probe()
    - tcp: fix tcp_tso_should_defer() vs large RTT
    - net: airoha: Take into account out-of-order tx completions in
      airoha_dev_xmit()
    - selftests: net: check jq command is supported
    - net: core: fix lockdep splat on device unregister
    - ksmbd: fix recursive locking in RPC handle list access
    - tg3: prevent use of uninitialized remote_adv and local_adv variables
    - tls: trim encrypted message to match the plaintext on short splice
    - tls: wait for async encrypt in case of error during latter iterations of
      sendmsg
    - tls: always set record_type in tls_process_cmsg
    - tls: don't rely on tx_work during send()
    - netdevsim: set the carrier when the device goes up
    - net: usb: lan78xx: fix use of improperly initialized dev->chipid in
      lan78xx_reset
    - drm/panthor: Ensure MCU is disabled on suspend
    - nvme-multipath: Skip nr_active increments in RETRY disposition
    - riscv: kprobes: Fix probe address validation
    - drm/bridge: lt9211: Drop check for last nibble of version register
    - powerpc/fadump: skip parameter area allocation when fadump is disabled
    - ASoC: codecs: Fix gain setting ranges for Renesas IDT821034 codec
    - ASoC: nau8821: Cancel jdet_work before handling jack ejection
    - ASoC: nau8821: Generalize helper to clear IRQ status
    - ASoC: nau8821: Consistently clear interrupts before unmasking
    - ASoC: nau8821: Add DMI quirk to bypass jack debounce circuit
    - drm/i915/guc: Skip communication warning on reset in progress
    - drm/i915/frontbuffer: Move bo refcounting
      intel_frontbuffer_{get,release}()
    - drm/i915/fb: Fix the set_tiling vs. addfb race, again
    - drm/amdgpu: add ip offset support for cyan skillfish
    - drm/amdgpu: add support for cyan skillfish without IP discovery
    - drm/amdgpu: fix handling of harvesting for ip_discovery firmware
    - drm/amdgpu: handle wrap around in reemit handling
    - drm/amdgpu: set an error on all fences from a bad context
    - drm/amdgpu: drop unused structures in amdgpu_drm.h
    - drm/amd/powerplay: Fix CIK shutdown temperature
    - drm/xe: Enable media sampler power gating
    - drm/draw: fix color truncation in drm_draw_fill24
    - drm/rockchip: vop2: use correct destination rectangle height check
    - HID: intel-thc-hid: Intel-quickspi: switch first interrupt from level to
      edge detection
    - sched/fair: Fix pelt lost idle time detection
    - ALSA: firewire: amdtp-stream: fix enum kernel-doc warnings
    - accel/qaic: Synchronize access to DBC request queue head & tail pointer
    - nvme-auth: update sc_c in host response
    - cxl/trace: Subtract to find an hpa_alias0 in cxl_poison events
    - selftests/bpf: make arg_parsing.c more robust to crashes
    - blk-mq: fix stale tag depth for shared sched tags in
      blk_mq_update_nr_requests()
    - block: Remove elevator_lock usage from blkg_conf frozen operations
    - HID: hid-input: only ignore 0 battery events for digitizers
    - HID: multitouch: fix name of Stylus input devices
    - drm/xe/evict: drop bogus assert
    - selftests: arg_parsing: Ensure data is flushed to disk before reading.
    - nvme/tcp: handle tls partially sent records in write_space()
    - rust: cpufreq: fix formatting
    - arm64: debug: always unmask interrupts in el0_softstp()
    - arm64: cputype: Add Neoverse-V3AE definitions
    - arm64: errata: Apply workarounds for Neoverse-V3AE
    - xfs: rename the old_crc variable in xlog_recover_process
    - xfs: fix log CRC mismatches between i386 and other architectures
    - NFSD: Rework encoding and decoding of nfsd4_deviceid
    - NFSD: Minor cleanup in layoutcommit processing
    - NFSD: Implement large extent array support in pNFS
    - NFSD: Fix last write offset handling in layoutcommit
    - phy: cdns-dphy: Store hs_clk_rate and return it
    - phy: cadence: cdns-dphy: Fix PLL lock and O_CMN_READY polling
    - x86/resctrl: Refactor resctrl_arch_rmid_read()
    - x86/resctrl: Fix miscount of bandwidth event when reactivating
      previously unavailable RMID
    - cxl: Fix match_region_by_range() to use region_res_match_cxl_range()
    - phy: cadence: cdns-dphy: Update calibration wait time for startup state
      machine
    - drm/xe: Use devm_ioremap_wc for VRAM mapping and drop manual unmap
    - drm/xe: Use dynamic allocation for tile and device VRAM region
      structures
    - drm/xe: Move struct xe_vram_region to a dedicated header
    - drm/xe: Unify the initialization of VRAM regions
    - drm/xe: Move rebar to be done earlier
    - PM: hibernate: Fix pm_hibernation_mode_is_suspend() build breakage
    - drm/xe: Fix an IS_ERR() vs NULL bug in xe_tile_alloc_vram()
    - Linux 6.17.5

  * Questing update: v6.17.5 upstream stable release (LP: #2133557) //
    CVE-2025-40086
    - drm/xe: Don't allow evicting of BOs in same VM in array of VM binds

  * Questing update: v6.17.5 upstream stable release (LP: #2133557) //
    CVE-2025-40087
    - NFSD: Define a proc_layoutcommit for the FlexFiles layout type

  * Questing update: v6.17.5 upstream stable release (LP: #2133557) //
    CVE-2025-40088
    - hfsplus: fix slab-out-of-bounds read in hfsplus_strcasecmp()

  * Questing update: v6.17.5 upstream stable release (LP: #2133557) //
    CVE-2025-40162
    - ASoC: amd/sdw_utils: avoid NULL deref when devm_kasprintf() fails

  * Questing update: v6.17.5 upstream stable release (LP: #2133557) //
    CVE-2025-40085
    - ALSA: usb-audio: Fix NULL pointer deference in try_to_register_card

  * Questing update: v6.17.5 upstream stable release (LP: #2133557) //
    CVE-2025-40172
    - accel/qaic: Treat remaining == 0 as error in find_and_map_user_pages()

  * Questing update: v6.17.5 upstream stable release (LP: #2133557) //
    CVE-2025-40177
    - accel/qaic: Fix bootlog initialization ordering

  * Questing update: v6.17.5 upstream stable release (LP: #2133557) //
    CVE-2025-40163
    - sched/deadline: Stop dl_server before CPU goes offline

  * Questing update: v6.17.5 upstream stable release (LP: #2133557) //
    CVE-2025-40174
    - x86/mm: Fix SMP ordering in switch_mm_irqs_off()

  * Questing update: v6.17.5 upstream stable release (LP: #2133557) //
    CVE-2025-40089
    - cxl/features: Add check for no entries in cxl_feature_info

  * Questing update: v6.17.5 upstream stable release (LP: #2133557) //
    CVE-2025-40176
    - tls: wait for pending async decryptions if tls_strp_msg_hold fails

  * Questing update: v6.17.5 upstream stable release (LP: #2133557) //
    CVE-2025-40164
    - usbnet: Fix using smp_processor_id() in preemptible code warnings

  * Questing update: v6.17.5 upstream stable release (LP: #2133557) //
    CVE-2025-40091
    - ixgbe: fix too early devlink_free() in ixgbe_remove()

  * Questing update: v6.17.5 upstream stable release (LP: #2133557) //
    CVE-2025-40175
    - idpf: cleanup remaining SKBs in PTP flows

  * Questing update: v6.17.5 upstream stable release (LP: #2133557) //
    CVE-2025-40173
    - net/ip6_tunnel: Prevent perpetual tunnel growth

  * Questing update: v6.17.5 upstream stable release (LP: #2133557) //
    CVE-2025-40092
    - usb: gadget: f_ncm: Refactor bind path to use __free()

  * Questing update: v6.17.5 upstream stable release (LP: #2133557) //
    CVE-2025-40093
    - usb: gadget: f_ecm: Refactor bind path to use __free()

  * Questing update: v6.17.5 upstream stable release (LP: #2133557) //
    CVE-2025-40094
    - usb: gadget: f_acm: Refactor bind path to use __free()

  * Questing update: v6.17.5 upstream stable release (LP: #2133557) //
    CVE-2025-40095
    - usb: gadget: f_rndis: Refactor bind path to use __free()

  * Questing update: v6.17.5 upstream stable release (LP: #2133557) //
    CVE-2025-40165
    - media: nxp: imx8-isi: m2m: Fix streaming cleanup on release

  * Questing update: v6.17.5 upstream stable release (LP: #2133557) //
    CVE-2025-40096
    - drm/sched: Fix potential double free in
      drm_sched_job_add_resv_dependencies

  * Questing update: v6.17.5 upstream stable release (LP: #2133557) //
    CVE-2025-40097
    - ALSA: hda: Fix missing pointer check in hda_component_manager_init
      function

  * Questing update: v6.17.5 upstream stable release (LP: #2133557) //
    CVE-2025-40098
    - ALSA: hda: cs35l41: Fix NULL pointer dereference in
      cs35l41_get_acpi_mute_state()

  * Questing update: v6.17.5 upstream stable release (LP: #2133557) //
    CVE-2025-40099
    - cifs: parse_dfs_referrals: prevent oob on malformed input

  * Questing update: v6.17.5 upstream stable release (LP: #2133557) //
    CVE-2025-40100
    - btrfs: do not assert we found block group item when creating free space
      tree

  * Questing update: v6.17.5 upstream stable release (LP: #2133557) //
    CVE-2025-40101
    - btrfs: fix memory leaks when rejecting a non SINGLE data profile without
      an RST

  * Questing update: v6.17.5 upstream stable release (LP: #2133557) //
    CVE-2025-40167
    - ext4: detect invalid INLINE_DATA + EXTENTS flag combination

  * Questing update: v6.17.5 upstream stable release (LP: #2133557) //
    CVE-2025-40102
    - KVM: arm64: Prevent access to vCPU events before init

  * Questing update: v6.17.5 upstream stable release (LP: #2133557) //
    CVE-2025-40103
    - smb: client: Fix refcount leak for cifs_sb_tlink

  * Questing update: v6.17.5 upstream stable release (LP: #2133557) //
    CVE-2025-40104
    - ixgbevf: fix mailbox API compatibility by negotiating supported features

  * Questing update: v6.17.5 upstream stable release (LP: #2133557) //
    CVE-2025-40166
    - drm/xe/guc: Check GuC running state before deregistering exec queue

  * Questing update: v6.17.5 upstream stable release (LP: #2133557) //
    CVE-2025-40105
    - vfs: Don't leak disconnected dentries on umount

  * The machine didn’t go into suspend and got stuck (LP: #2132095)
    - platform/x86: alienware-wmi-wmax: Fix NULL pointer dereference in sleep
      handlers

  * CAP_PERFMON insufficient to get perf data (LP: #2131046)
    - SAUCE: perf/core: Allow CAP_PERFMON for paranoid level 4

  * Poweroff not working consistently after upgrading kernel 6.14.0-17.17 or
    later (LP: #2115860)
    - drm/amd: Unify shutdown() callback behavior
    - drm/amd: Stop exporting amdgpu_device_ip_suspend() outside amdgpu_device
    - drm/amd: Remove comment about handling errors in
      amdgpu_device_ip_suspend_phase1()
    - drm/amd: Don't always set IP block HW status to false
    - drm/amd: Pass IP suspend errors up to callers
    - drm/amd: Avoid evicting resources at S5

  * Re-enable INTEL_SKL_INT3472 for kernels >= 6.16 for Intel IPU camera
    (LP: #2128792)
    - Revert "UBUNTU: [Config] FTBFS: disable INTEL_SKL_INT3472"
    - Revert "UBUNTU: SAUCE: platform/x86: int3472: Add handshake GPIO
      function"

  * Support Samsung S5K3J1 sensor for Intel MIPI camera (LP: #2121852)
    - SAUCE: media: ipu-bridge: Support s5k3j1 sensor

  * Questing update: v6.17.4 upstream stable release (LP: #2131259)
    - fs: always return zero on success from replace_fd()
    - fscontext: do not consume log entries when returning -EMSGSIZE
    - btrfs: fix the incorrect max_bytes value for find_lock_delalloc_range()
    - arm64: map [_text, _stext) virtual address range non-executable+read-
      only
    - rseq: Protect event mask against membarrier IPI
    - statmount: don't call path_put() under namespace semaphore
    - listmount: don't call path_put() under namespace semaphore
    - clocksource/drivers/clps711x: Fix resource leaks in error paths
    - memcg: skip cgroup_file_notify if spinning is not allowed
    - page_pool: Fix PP_MAGIC_MASK to avoid crashing on some 32-bit arches
    - PM: runtime: Update kerneldoc return codes
    - dma-mapping: fix direction in dma_alloc direction traces
    - cpufreq: Make drivers using CPUFREQ_ETERNAL specify transition latency
    - nfsd: unregister with rpcbind when deleting a transport
    - KVM: x86: Add helper to retrieve current value of user return MSR
    - KVM: SVM: Emulate PERF_CNTR_GLOBAL_STATUS_SET for PerfMonV2
    - iio: frequency: adf4350: Fix ADF4350_REG3_12BIT_CLKDIV_MODE
    - media: v4l2-subdev: Fix alloc failure check in
      v4l2_subdev_call_state_try()
    - asm-generic/io.h: Skip trace helpers if rwmmio events are disabled
    - clk: npcm: select CONFIG_AUXILIARY_BUS
    - clk: thead: th1520-ap: describe gate clocks with clk_gate
    - clk: thead: th1520-ap: fix parent of padctrl0 clock
    - clk: thead: Correct parent for DPU pixel clocks
    - clk: renesas: r9a08g045: Add MSTOP for GPIO
    - perf disasm: Avoid undefined behavior in incrementing NULL
    - perf test trace_btf_enum: Skip if permissions are insufficient
    - perf evsel: Avoid container_of on a NULL leader
    - libperf event: Ensure tracing data is multiple of 8 sized
    - clk: qcom: common: Fix NULL vs IS_ERR() check in qcom_cc_icc_register()
    - clk: qcom: Select the intended config in QCS_DISPCC_615
    - perf parse-events: Handle fake PMUs in CPU terms
    - clk: at91: peripheral: fix return value
    - clk: renesas: cpg-mssr: Fix memory leak in cpg_mssr_reserved_init()
    - perf: Completely remove possibility to override MAX_NR_CPUS
    - perf drm_pmu: Fix fd_dir leaks in for_each_drm_fdinfo_in_dir()
    - perf util: Fix compression checks returning -1 as bool
    - rtc: x1205: Fix Xicor X1205 vendor prefix
    - rtc: optee: fix memory leak on driver removal
    - perf arm_spe: Correct setting remote access
    - perf arm_spe: Correct memory level for remote access
    - perf vendor events arm64 AmpereOneX: Fix typo - should be
      l1d_cache_access_prefetches
    - perf test: AMD IBS swfilt skip kernel tests if paranoia is >1
    - perf test shell lbr: Avoid failures with perf event paranoia
    - perf trace: Fix IS_ERR() vs NULL check bug
    - perf session: Fix handling when buffer exceeds 2 GiB
    - perf test: Don't leak workload gopipe in PERF_RECORD_*
    - perf evsel: Fix uniquification when PMU given without suffix
    - perf test: Avoid uncore_imc/clockticks in uniquification test
    - perf evsel: Ensure the fallback message is always written to
    - perf build-id: Ensure snprintf string is empty when size is 0
    - clk: mediatek: mt8195-infra_ao: Fix parent for infra_ao_hdmi_26m
    - clk: mediatek: clk-mux: Do not pass flags to
      clk_mux_determine_rate_flags()
    - clk: nxp: lpc18xx-cgu: convert from round_rate() to determine_rate()
    - clk: nxp: Fix pll0 rate check condition in LPC18xx CGU driver
    - clk: tegra: do not overallocate memory for bpmp clocks
    - nfsd: fix assignment of ia_ctime.tv_nsec on delegated mtime update
    - nfsd: ignore ATTR_DELEG when checking ia_valid before notify_change()
    - vfs: add ATTR_CTIME_SET flag
    - nfsd: use ATTR_CTIME_SET for delegated ctime updates
    - nfsd: track original timestamps in nfs4_delegation
    - nfsd: fix SETATTR updates for delegated timestamps
    - nfsd: fix timestamp updates in CB_GETATTR
    - tracing: Fix the bug where bpf_get_stackid returns -EFAULT on the ARM64
    - PM: core: Annotate loops walking device links as _srcu
    - PM: core: Add two macros for walking device links
    - PM: sleep: Do not wait on SYNC_STATE_ONLY device links
    - cpufreq: tegra186: Set target frequency for all cpus in policy
    - scsi: mvsas: Fix use-after-free bugs in mvs_work_queue
    - perf bpf-filter: Fix opts declaration on older libbpfs
    - scsi: ufs: sysfs: Make HID attributes visible
    - mshv: Handle NEED_RESCHED_LAZY before transferring to guest
    - perf bpf_counter: Fix handling of cpumap fixing hybrid
    - ASoC: SOF: ipc4-topology: Correct the minimum host DMA buffer size
    - ASoC: SOF: ipc4-topology: Account for different ChainDMA host buffer
      size
    - ASoC: SOF: Intel: hda-pcm: Place the constraint on period time instead
      of buffer time
    - LoongArch: Add cflag -fno-isolate-erroneous-paths-dereference
    - LoongArch: Fix build error for LTO with LLVM-18
    - LoongArch: Init acpi_gbl_use_global_lock to false
    - ASoC: SOF: Intel: Read the LLP via the associated Link DMA channel
    - net: usb: lan78xx: Fix lost EEPROM read timeout error(-ETIMEDOUT) in
      lan78xx_read_raw_eeprom
    - net/mlx4: prevent potential use after free in mlx4_en_do_uc_filter()
    - drm/xe/hw_engine_group: Fix double write lock release in error path
    - drm/xe/i2c: Don't rely on d3cold.allowed flag in system PM path
    - s390/cio: Update purge function to unregister the unused subchannels
    - drm/vmwgfx: Fix a null-ptr access in the cursor snooper
    - drm/vmwgfx: Fix Use-after-free in validation
    - drm/vmwgfx: Fix copy-paste typo in validation
    - net/sctp: fix a null dereference in sctp_disposition
      sctp_sf_do_5_1D_ce()
    - tcp: Don't call reqsk_fastopen_remove() in tcp_conn_request().
    - net: mscc: ocelot: Fix use-after-free caused by cyclic delayed work
    - selftest: net: ovpn: Fix uninit return values
    - ice: ice_adapter: release xa entry on adapter allocation failure
    - net: fsl_pq_mdio: Fix device node reference leak in fsl_pq_mdio_probe
    - tools build: Align warning options with perf
    - perf python: split Clang options when invoking Popen
    - tcp: take care of zero tp->window_clamp in tcp_set_rcvlowat()
    - mailbox: zynqmp-ipi: Remove redundant mbox_controller_unregister() call
    - mailbox: zynqmp-ipi: Remove dev.parent check in zynqmp_ipi_free_mboxes
    - mailbox: zynqmp-ipi: Fix out-of-bounds access in mailbox cleanup loop
    - mailbox: zynqmp-ipi: Fix SGI cleanup on unbind
    - bpf: Fix metadata_dst leak __bpf_redirect_neigh_v{4,6}
    - net: mdio: mdio-i2c: Hold the i2c bus lock during smbus transactions
    - net: sparx5/lan969x: fix flooding configuration on bridge join/leave
    - net/mlx5: Prevent tunnel mode conflicts between FDB and NIC IPsec tables
    - net/mlx5e: Prevent tunnel reformat when tunnel mode not allowed
    - mailbox: mtk-cmdq: Remove pm_runtime APIs from cmdq_mbox_send_data()
    - drm/amdgpu: Add additional DCE6 SCL registers
    - drm/amd/display: Add missing DCE6 SCL_HORZ_FILTER_INIT* SRIs
    - drm/amd/display: Properly clear SCL_*_FILTER_CONTROL on DCE6
    - drm/amd/display: Properly disable scaling on DCE6
    - drm/amd/display: Disable scaling on DCE6 for now
    - drm/amdkfd: Fix kfd process ref leaking when userptr unmapping
    - net: pse-pd: tps23881: Fix current measurement scaling
    - crypto: skcipher - Fix reqsize handling
    - netfilter: nft_objref: validate objref and objrefmap expressions
    - bridge: br_vlan_fill_forward_path_pvid: use br_vlan_group_rcu()
    - selftests: netfilter: nft_fib.sh: fix spurious test failures
    - selftests: netfilter: query conntrack state to check for port clash
      resolution
    - io_uring/zcrx: increment fallback loop src offset
    - net: airoha: Fix loopback mode configuration for GDM2 port
    - cifs: Fix copy_to_iter return value check
    - smb: client: fix missing timestamp updates after utime(2)
    - rtc: isl12022: Fix initial enable_irq/disable_irq balance
    - cifs: Query EA $LXMOD in cifs_query_path_info() for WSL reparse points
    - tpm_tis: Fix incorrect arguments in tpm_tis_probe_irq_single
    - gpio: wcd934x: mark the GPIO controller as sleeping
    - bpf: Avoid RCU context warning when unpinning htab with internal structs
    - kbuild: always create intermediate vmlinux.unstripped
    - kbuild: keep .modinfo section in vmlinux.unstripped
